SystemOrganization addCategory: #NautilusCommon!
SystemOrganization addCategory: #'NautilusCommon-Announcements'!
SystemOrganization addCategory: #'NautilusCommon-Plugin'!
SystemOrganization addCategory: #'NautilusCommon-Plugin-Manager'!
SystemOrganization addCategory: #'NautilusCommon-Refactor'!

!RGTraitDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 09:38'!
inheritsFrom: aClass

	^ self realClass inheritsFrom: aClass! !

!KMCategoryTarget methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:19'!
category

	^ category! !

!KMCategoryTarget methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:19'!
morph

	^ morph! !

!KMCategoryTarget methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:19'!
target

	^ target! !

StandardWindow subclass: #NautilusWindow
	instanceVariableNames: 'container'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!NautilusWindow commentStamp: '<historical>' prior: 0!
I am a subclass of StandardWindow with my own icon

Maybe I'm useless, but right now I'm not on the top of the to do list!

!NautilusWindow methodsFor: 'about' stamp: 'BenjaminVanRyseghem 2/20/2012 16:56'!
aboutText

	^'Nautilus is a new browser for Pharo Smalltalk based on RPackage and Announcements with fancy goodies:
	- groups
	- multi-selections
	- environments
	- iconic buttons
	- hierarchy
	- pragma based menus
	- KeyMapping shortcuts
	- Ring compliant
	- refactorings support

Made by Benjamin Van Ryseghem and friends'! !

!NautilusWindow methodsFor: 'about' stamp: 'BenjaminVanRyseghem 2/20/2012 16:59'!
aboutTitle

	^'About Nautilus'! !

!NautilusWindow methodsFor: 'open/close' stamp: 'BenjaminVanRyseghem 6/14/2012 17:24'!
delete
	
	| mod |
	mod := self model.
	super delete.
	mod 
		ifNotNil: [ mod announce: (NautilusWindowClosed window: self) ]! !

!NautilusWindow methodsFor: 'event handling' stamp: 'BenjaminVanRyseghem 1/22/2012 00:08'!
hasFocus

	^ ActiveHand keyboardFocus == self! !

!NautilusWindow methodsFor: 'open/close' stamp: 'BenjaminVanRyseghem 4/11/2011 17:43'!
initialExtent

	^ 700@500! !

!RBBrowserEnvironment methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/13/2012 19:51'!
asSystemNavigationEnvironment

	| env globalsNames |

	env := SystemDictionary new.
	
	self classesDo: [:each | 
		env add: ( Smalltalk globals associationAt: each theNonMetaClass name )].
	self traitsDo:  [:each | 
		env add: ( Smalltalk globals associationAt: each name )].
	globalsNames := Smalltalk globals keys asOrderedCollection.
	globalsNames removeAll: ( Smalltalk globals classNames ).
	 globalsNames removeAll: ( Smalltalk globals traitNames ).
	globalsNames do: [:each | 
		env add: ( Smalltalk globals associationAt: each )].

	^ env! !

!RBBrowserEnvironment methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/27/2011 15:45'!
packageOrganizer

	^ RPackageOrganizer default! !

!RBBrowserEnvironment methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/22/2011 18:16'!
packages

	^ self packageOrganizer packages! !

!RBBrowserEnvironment methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/13/2012 19:45'!
traits
	| traits |
	traits := IdentitySet new: 4096.
	self traitsDo: [ :each | traits add: each ].
	^ traits! !

!RBBrowserEnvironment methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/13/2012 19:49'!
traitsDo: aBlock

	self systemDictionary allTraitsDo: [ :each | aBlock value: each ]! !

!SystemNavigation methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/31/2011 17:09'!
browseSharedPoolUsersOf: aClass

	| pattern list | 
	self okToChange ifFalse: [^ self ].
	list := self allClassesUsingSharedPool: aClass name.
	list isEmpty
		ifTrue: [ ^ self ]
		ifFalse: [pattern := UIManager default 
				enterOrRequestFrom: list 
				lines: #() 
				title: 'Class name or fragment?'].

	pattern isNil ifTrue: [^ self ].
	pattern browse! !

!SystemNavigation methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/23/2011 22:31'!
browsedEnvironment: aBrowserEnvironment

	environment := aBrowserEnvironment asSystemNavigationEnvironment! !

!SystemNavigation methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 2/24/2012 21:07'!
buildSelfContainedCallsFrom: aCollection in: aClass
	| result oldList |
	
	oldList := #().
	result := OrderedCollection new.
	aCollection do: [:sel || allCalls |
		allCalls := self allCallsOn: sel.
		(( allCalls  size = 1) and: [ (allCalls first actualClass == aClass and: [ allCalls first selector == sel ])])
			ifTrue: [ result add: sel ]].
		
	[ 	oldList := result asArray.
		aCollection do: [:sel || allCalls |
			allCalls := self allCallsOn: sel.
			( allCalls allSatisfy: [:other | 
				result anySatisfy: [:other2 | other actualClass == aClass and: [ other selector = other2 selector ]]])
					ifTrue: [ result add: sel ]]]
	doWhileFalse: [ oldList size = result size ].
		
			
		
	^ result! !

!SystemNavigation methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 2/25/2012 15:09'!
confirmRemovalOfSelectors: aCollection on: aClass 
	"Determine if it is okay to remove the given selector. Answer 1 if it  
	should be removed, 2 if it should be removed followed by a senders  
	browse, and 3 if it should not be removed."
	| collection count answer caption allCalls selectors oneCalls |
	collection := aCollection asOrderedCollection.
	oneCalls := OrderedCollection new.
	aCollection do: [:sel | 
		allCalls := self allCallsOn: sel.
		(count := allCalls size) = 0 "no senders -- let the removal happen without warning"
			ifTrue: [ collection remove: sel ].
		count = 1 "only sender is itself"
			ifTrue: [ (allCalls first actualClass == aClass and: [ allCalls first selector == sel ])
						ifTrue: [ 
							oneCalls add: sel.
							collection remove: sel.]]].
				
	"collection removeAll: (self buildSelfContainedCallsFrom: aCollection in: aClass)."
	collection ifEmpty: [ ^ 1 ].
	count := collection inject: 0 into: [:sum :sel | sum + (self allCallsOn: sel) size].
	selectors := collection joinUsing: ', #' last: ' and #'.
	caption := 'The messages #', selectors,' have ' , count printString , ' sender'.
	"ugly but faster"
	caption := (count = 1
					ifTrue: [ 'The messages #', selectors,' have ' , count printString , ' sender' ]
					ifFalse: [ 'The messages #', selectors,' have ' , count printString , ' senders' ]).
	answer := UIManager default 
		chooseFrom: #('Remove them'
				'Remove, then browse senders (if still existing)'
				'Don''t remove, but show me those senders'
				'Forget it -- do nothing -- sorry I asked') title: caption.
	answer = 3
		ifTrue: [
			collection do: [:aSelector | self browseAllCallsOn:aSelector ]].
	answer = 0
		ifTrue: [answer := 3].
	"If user didn't answer, treat it as cancel"
	^ answer min: 3! !

!SystemNavigation methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/22/2011 15:53'!
selectorFromPattern: pattern withCaption: aCaption startingFrom: aClass
	"I look after a selector matching the given pattern in the withSuperclasses of the given class"

	| toMatch potentialSelectorsList potentialSelectorsListNames methodsNames exactMatch index foundSelector separatorIndex className separatorName class |
	(toMatch := pattern
		copyWithoutAll:
			{(Character space).
			(Character cr).
			(Character tab)}) isEmpty
		ifTrue: [ ^ nil ].
	potentialSelectorsList := aClass withAllSuperclasses reverse gather: [:each | each methodDict ].
	Symbol
		hasInterned: toMatch
		ifTrue: [ :patternSymbol || result |
			"Exact symbol provided"
			result := OrderedCollection new.
			potentialSelectorsList do: [:each | 
				(each selector = patternSymbol)
				ifTrue: [result add: each]].
			result size = 1 ifTrue: [^ result first ]].
	toMatch := (toMatch copyWithout: $.) asLowercase.
	potentialSelectorsListNames := potentialSelectorsList collect: [:each | each methodClass name, '>>#', each selector ].
	methodsNames := pattern last = $.
		ifTrue: [ potentialSelectorsListNames select: [ :nm | nm asLowercase = toMatch ] ]
		ifFalse: [ potentialSelectorsListNames select: [ :n | n includesSubstring: toMatch caseSensitive: false ] ].
	methodsNames isEmpty
		ifTrue: [ ^ nil ].
	exactMatch := methodsNames detect: [ :each | each asLowercase = toMatch ] ifNone: [ nil ].
	index := methodsNames size = 1
		ifTrue: [ 1 ]
		ifFalse: [ 
			exactMatch
				ifNil: [ UIManager default chooseFrom: methodsNames lines: #() title: aCaption ]
				ifNotNil: [ 
					methodsNames addFirst: exactMatch.
					UIManager default chooseFrom: methodsNames lines: #(1) title: aCaption ] ].
	index = 0
		ifTrue: [ ^ nil ].
	foundSelector := methodsNames at: index.
	separatorIndex := foundSelector findString: '>>#'.
	className := foundSelector copyFrom: 1 to: separatorIndex-1.
	separatorName := foundSelector copyFrom: separatorIndex + 2 to: foundSelector size.
	class := Smalltalk at: (Symbol readFromString: '#',className).

	
	^ class methodDict at: (Symbol readFromString: separatorName)
"
	self default selectorFromPattern: 'op' withCaption: '' startingFrom: Boolean
	self default selectorFromPattern: 'zork' withCaption: '' startingFrom: Boolean
	self default selectorFromPattern: 'op' withCaption: '' startingFrom: NautilusWindow
	self default selectorFromPattern: 'openInWorld' withCaption: '' startingFrom: NautilusWindow
"! !

!Morph methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:35'!
detachAllKeymapCategories

	self kmDispatcher detachAllKeymapCategories! !

!Morph methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:23'!
detachKeymapCategory: aCategoryName

	self kmDispatcher detachKeymapCategory: aCategoryName.! !

!Morph methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:23'!
detachKeymapCategory: aCategoryName targetting: anObject

	self kmDispatcher detachKeymapCategory: aCategoryName targetting: anObject! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:46'!
containsFlag

	^ self literals includesAnyOf: #( flag flag: ).! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:44'!
containsHalt
	
	^ self literals includesAnyOf: #( halt halt: halt:onCount: haltIf: haltIfNil haltIfShiftPressed haltOnCount: haltOnce haltOnce:)! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 2/14/2012 20:28'!
containsShouldBeImplemented

	^ self literals includes: #shouldBeImplemented! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/18/2012 16:27'!
correspondingMethods
	" retrieve methods that could be the corresponding method "

	self isTestMethod
		ifTrue: [| className selector selectors |
			selector := self selector.
			className := self methodClass name.
			(self methodClass inheritsFrom: TestCase)
				ifTrue: [| classSymbol correspondingClass tempSel correspondingSel result |
					(selector beginsWith: 'test')
						ifFalse: [ ^ {}].				
					(className endsWith: 'Test')
						ifTrue: [ classSymbol := className copyFrom: 1 to: (className size - 4) ]
						ifFalse: [ classSymbol := className ].
					classSymbol := Symbol readFromString: '#', classSymbol.
					correspondingClass := self class environment at: classSymbol ifAbsent: [ ^ {} ].
					
					tempSel := selector copyFrom: 5 to: selector size.
					correspondingSel := String streamContents: [:stream | 
						tempSel doWithIndex: [:c :i|
							(c isUppercase and: [ i > 1 ])
								ifTrue: [ stream << $: ].
							stream << c ]].
					correspondingSel := correspondingSel contents.
					selectors := correspondingClass selectors.
					result := selectors select: [:each | (each asLowercase = correspondingSel asLowercase) or: [ each asLowercase = (correspondingSel,':') asLowercase]].
					^ result collect: [:each| correspondingClass >> each ]]
				ifFalse: [^ {}]]
		ifFalse: [ ^ { self } ]! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/18/2012 16:10'!
correspondingTestMethod

	self isTestMethod
		ifTrue: [ ^ self ]
		ifFalse: [| sel testClass |
			(self selector endsWith: ':')
				ifTrue: [ sel := self selector copyReplaceAll: ':' with:'' asLowercase ]
				ifFalse:[  sel := self selector asLowercase ].
			(sel beginsWith: 'test')
				ifFalse: [ sel := 'test', sel].
			^ ((testClass := self methodClass correspondingForTest) = self methodClass)
				ifTrue: [ nil ]
				ifFalse:[
					( testClass methodDict values 
								detect: [:each | each selector asLowercase = sel ]
								ifNone: [ nil ]) asRingDefinition ]]! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 23:11'!
hasErrorTest

	^ self methodClass methodRaisedError: (self selector)! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 23:11'!
hasFailedTest

	^ self methodClass methodFailed: (self selector)! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:52'!
hasPassedTest

	^ self methodClass methodPassed: (self selector)! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 23:12'!
isFromTrait

	^ self methodClass hasTraitComposition and: [self methodClass traits anySatisfy: [:trait| (trait selectors includes: self selector) and: [ ((trait >> self selector) decompile sourceText) = self sourceCode]]]! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:51'!
isOverride
	
	self methodClass allSuperclasses do: [:each | 
		(each selectors includes: self selector)
			ifTrue: [ ^true ]].
	^ false! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:50'!
isOverriden
	
	self methodClass allSubclasses do: [:each | 
		(each selectors includes: self selector)
			ifTrue: [ ^true ]].
	^ false
	! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:42'!
isTestMethod

	^ (self methodClass inheritsFrom: TestCase) and: [ self selector beginsWith: 'test' ]! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 09:40'!
literals
	
	"bad code but I do not know how to properly retrieve the good compiled method using a RGMethodDefinition"


	^ self compiledMethod literals.! !

!RGMethodDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/19/2012 14:29'!
retrieveTraitIComeFrom

	self isFromTrait
		ifFalse: [ ^ nil ].
	^ self methodClass traits detect: [:each | each methodDict keys includes: self selector ]! !

!Trait methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/23/2011 21:40'!
correspondingForTest
	"Return the unit test that correspond to me. If it does not exist, it returns myself. 
	 Return the tested class if sent to a class"
	
	| symbol |
	^ (self inheritsFrom: TestCase)
		ifTrue: [ 
			| i |
			i := self name indexOfSubCollection: 'Test'.
			symbol := Symbol readFromString: ('#', self name copyReplaceAll: 'Test' with: '' ).
			Smalltalk at: symbol ifAbsent: [ self ]]
		ifFalse: [
			symbol := Symbol readFromString: ('#', self name, 'Test').
			Smalltalk at: symbol ifAbsent: [ self ]]! !

!Trait methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/14/2012 17:36'!
methodNamed: aSelector

	^ self methodDict at: aSelector! !

!Trait methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/14/2012 17:35'!
methodsInProtocol: aString

	^  (self organization listAtCategoryNamed: aString) collect: [:each | (self methodDict at: each) ]! !

!Trait methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/15/2011 16:46'!
protocols
	" start to migrate to RING API "

	^ self organization categories copy! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/7/2011 18:51'!
containsFlag

	^ self literals includesAnyOf: #( flag flag: ).! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/7/2011 18:50'!
containsHalt

	^ self literals includesAnyOf: #( halt halt: halt:onCount: haltIf: haltIfNil haltIfShiftPressed haltOnCount: haltOnce haltOnce:).! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/18/2012 16:26'!
correspondingMethods
	" retrieve methods that could be the corresponding method "

	self isTestMethod
		ifTrue: [| className selector selectors |
			selector := self selector.
			className := self methodClass name.
			(self methodClass inheritsFrom: TestCase)
				ifTrue: [| classSymbol correspondingClass tempSel correspondingSel result |
					(selector beginsWith: 'test')
						ifFalse: [ ^ {}].				
					(className endsWith: 'Test')
						ifTrue: [ classSymbol := className copyFrom: 1 to: (className size - 4) ]
						ifFalse: [ classSymbol := className ].
					classSymbol := Symbol readFromString: '#', classSymbol.
					correspondingClass := self class environment at: classSymbol ifAbsent: [ ^ {} ].
					
					tempSel := selector copyFrom: 5 to: selector size.
					correspondingSel := String streamContents: [:stream | 
						tempSel doWithIndex: [:c :i|
							(c isUppercase and: [ i > 1 ])
								ifTrue: [ stream << $: ].
							stream << c ]].
					correspondingSel := correspondingSel contents.
					selectors := correspondingClass selectors.
					result := selectors select: [:each | (each asLowercase = correspondingSel asLowercase) or: [ each asLowercase = (correspondingSel,':') asLowercase]].
					^ result collect: [:each| correspondingClass >> each ]]
				ifFalse: [^ {}]]
		ifFalse: [ ^ { self } ]! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/18/2012 16:31'!
correspondingTestMethod

	self isTestMethod
		ifTrue: [ ^ self ]
		ifFalse: [| sel testClass |
			(self selector endsWith: ':')
				ifTrue: [ sel := (self selector copyReplaceAll: ':' with:'') asLowercase ]
				ifFalse:[  sel := self selector asLowercase ].
			(sel beginsWith: 'test')
				ifFalse: [ sel := 'test', sel].
			^ ((testClass := self methodClass correspondingForTest) = self methodClass)
				ifTrue: [ nil ]
				ifFalse:[ testClass methodDict values detect: [:each |
					each selector asLowercase = sel ] ifNone: [ nil ]]]! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/6/2011 21:28'!
dragAndDropPrint

	^ self realClass printString , '>>#', self selector! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/7/2011 18:10'!
hasErrorTest

	^ self methodClass methodRaisedError: (self selector)! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/7/2011 18:11'!
hasFailedTest

	^ self methodClass methodFailed: (self selector)! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/7/2011 18:11'!
hasPassedTest

	^ self methodClass methodPassed: (self selector)! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/23/2011 18:44'!
isFromTrait

	^ self methodClass hasTraitComposition and: [self methodClass traits anySatisfy: [:trait| (trait selectors includes: self selector) and: [ ((trait >> self selector) decompile sourceText) = self decompile sourceText]]]! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/10/2011 10:46'!
isOverride
	
	self methodClass allSuperclasses do: [:each | 
		(each selectors includes: self selector)
			ifTrue: [ ^true ]].
	^ false! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/10/2011 11:05'!
isOverriden
	
	self methodClass allSubclasses do: [:each | 
		(each selectors includes: self selector)
			ifTrue: [ ^true ]].
	^ false
	! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/10/2011 11:11'!
isOverriden2
	
	| implementors subclasses methodClass |
	implementors := SystemNavigation default allImplementorsOf: self selector.
	implementors := implementors collect: [:each | each methodClass ].
	subclasses := self methodClass allSubclasses.
	methodClass := self methodClass.
	^ (subclasses size > implementors size)
		ifTrue: [ implementors anySatisfy: [:each | each inheritsFrom: methodClass]]
		ifFalse: [ subclasses includesAnyOf: implementors ]! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/6/2011 17:43'!
isTestMethod

	^ (self methodClass inheritsFrom: TestCase) and: [ self selector beginsWith: 'test' ]! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 5/12/2011 11:28'!
protocol
	" start to migrate to RING API "

	^ self category! !

!CompiledMethod methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/19/2012 14:28'!
retrieveTraitIComeFrom

	self isFromTrait
		ifFalse: [ ^ nil ].
	^ self methodClass traits detect: [:each | each methodDict keys includes: self selector ]! !

!ImageMorph methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/21/2012 21:36'!
imageExport
	
	^ self image bits asArray! !

Announcement subclass: #NautilusBooleanAnnouncement
	instanceVariableNames: 'boolean'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusBooleanAnnouncement commentStamp: '<historical>' prior: 0!
Announcement raised when a boolean value changed!

!NautilusBooleanAnnouncement class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/12/2011 11:21'!
boolean: aBoolean

	^ self new boolean: aBoolean! !

!NautilusBooleanAnnouncement methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/12/2011 11:21'!
boolean

		^ boolean! !

!NautilusBooleanAnnouncement methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/12/2011 11:21'!
boolean: anObject
	
		boolean := anObject! !

NautilusBooleanAnnouncement subclass: #NautilusShowCategoriesChanged
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusShowCategoriesChanged commentStamp: '<historical>' prior: 0!
A NautilusShowCategoriesChanged is raised the value showCategories changed!

NautilusBooleanAnnouncement subclass: #NautilusShowCommentChanged
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusShowCommentChanged commentStamp: '<historical>' prior: 0!
A NautilusShowCommentChanged is raised when showComment is switched!

NautilusBooleanAnnouncement subclass: #NautilusShowGroupsChanged
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusShowGroupsChanged commentStamp: '<historical>' prior: 0!
A NautilusShowGroupsChanged is raised when the value showGroups is switched!

NautilusBooleanAnnouncement subclass: #NautilusShowHierarchyChanged
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusShowHierarchyChanged commentStamp: '<historical>' prior: 0!
A NautilusShowHierarchyChanged is raised when the value of howHierarchy is switched!

NautilusBooleanAnnouncement subclass: #NautilusShowInstanceChanged
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusShowInstanceChanged commentStamp: '<historical>' prior: 0!
A NautilusShowInstanceChanged is raised when the value of showInstances is changed!

NautilusBooleanAnnouncement subclass: #NautilusShowPackagesChanged
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusShowPackagesChanged commentStamp: '<historical>' prior: 0!
A NautilusShowPackagesChanged is raised when the value of showPackages changed!

Announcement subclass: #NautilusChanged
	instanceVariableNames: 'symbol'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusChanged commentStamp: '<historical>' prior: 0!
A NautilusChanged is raised when a NautilusUI send th message #changed:!

!NautilusChanged class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 6/13/2012 21:34'!
symbol: symbol

	^ self new
		symbol: symbol;
		yourself! !

!NautilusChanged methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 6/13/2012 21:34'!
symbol
	^ symbol! !

!NautilusChanged methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 6/13/2012 21:34'!
symbol: anObject
	symbol := anObject! !

Announcement subclass: #NautilusClassSelected
	instanceVariableNames: 'class'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusClassSelected commentStamp: '<historical>' prior: 0!
A NautilusClassSelected is raised when a class is selected!

!NautilusClassSelected class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/10/2011 14:48'!
class: aClass

	^ self new class: aClass! !

!NautilusClassSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 14:45'!
class: anObject
	
		class := anObject! !

!NautilusClassSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 14:47'!
itemClass

	^ class! !

Announcement subclass: #NautilusGroupSelected
	instanceVariableNames: 'group'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusGroupSelected commentStamp: '<historical>' prior: 0!
A NautilusGroupSelected is raised when a group is selected!

!NautilusGroupSelected class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/10/2011 14:48'!
group: aGroup

	^ self new group: aGroup! !

!NautilusGroupSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 14:46'!
group

		^ group! !

!NautilusGroupSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 14:46'!
group: anObject
	
		group := anObject! !

Announcement subclass: #NautilusKeyPressed
	instanceVariableNames: 'key'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusKeyPressed commentStamp: '<historical>' prior: 0!
A NautilusKeyPressed is raised each time a key is pressed on a Nautilus ui!

!NautilusKeyPressed class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 5/10/2011 12:26'!
key: aKey

	^ self new key: aKey! !

!NautilusKeyPressed methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:16'!
key

		^ key! !

!NautilusKeyPressed methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:16'!
key: anObject
	
		key := anObject! !

Announcement subclass: #NautilusMethodSelected
	instanceVariableNames: 'method'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusMethodSelected commentStamp: '<historical>' prior: 0!
A NautilusMethodSelected is raised each time a mehod is selected!

!NautilusMethodSelected class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/10/2011 14:49'!
method: aMethod

	^ self new method: aMethod! !

!NautilusMethodSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 14:45'!
method

		^ method! !

!NautilusMethodSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 14:45'!
method: anObject
	
		method := anObject! !

Announcement subclass: #NautilusPackageSelected
	instanceVariableNames: 'package'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusPackageSelected commentStamp: '<historical>' prior: 0!
A NautilusPackageSelected is raised when a package is selected!

!NautilusPackageSelected class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/10/2011 12:28'!
package: aPackage

	^ self new package: aPackage! !

!NautilusPackageSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:15'!
package

		^ package! !

!NautilusPackageSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:15'!
package: anObject
	
		package := anObject! !

Announcement subclass: #NautilusProtocolSelected
	instanceVariableNames: 'category'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusProtocolSelected commentStamp: '<historical>' prior: 0!
A NautilusCategorySelected is raised when a category is selected!

!NautilusProtocolSelected class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/10/2011 17:17'!
category: anObject
	
	^ self new category: anObject! !

!NautilusProtocolSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 17:16'!
category

		^ category! !

!NautilusProtocolSelected methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 17:16'!
category: anObject
	
		category := anObject! !

Announcement subclass: #NautilusTextDisplayerChanged
	instanceVariableNames: 'displayerSymbol'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusTextDisplayerChanged commentStamp: '<historical>' prior: 0!
A NautilusTextDisplayerChanged is raised when the way to display the method changed.!

!NautilusTextDisplayerChanged class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 6/13/2012 21:19'!
displayerSymbol: anObject

	^ self new
		displayerSymbol: anObject;
		yourself! !

!NautilusTextDisplayerChanged methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 6/13/2012 21:15'!
displayerSymbol
	^ displayerSymbol! !

!NautilusTextDisplayerChanged methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 6/13/2012 21:15'!
displayerSymbol: anObject
	displayerSymbol := anObject! !

Announcement subclass: #NautilusWindowAnnouncement
	instanceVariableNames: 'window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusWindowAnnouncement commentStamp: '<historical>' prior: 0!
NautilusWindowAnnouncement are aanouncement propagted by the NautilusWindows!

!NautilusWindowAnnouncement class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 8/24/2011 18:53'!
window: aWindow

	^ self new window: aWindow! !

!NautilusWindowAnnouncement methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 8/24/2011 18:53'!
window

	^ window! !

!NautilusWindowAnnouncement methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 8/24/2011 18:53'!
window: anObject
	
	window := anObject! !

NautilusWindowAnnouncement subclass: #NautilusWindowClosed
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusWindowClosed commentStamp: '<historical>' prior: 0!
A NautilusClosedAnnouncement is raised when a NautilusWindow is closed!

NautilusWindowAnnouncement subclass: #NautilusWindowOpened
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusWindowOpened commentStamp: '<historical>' prior: 0!
A NautilusOpenedAnnouncement is raised when a NautilusWindow is opened!

!RGBehaviorDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 14:41'!
addCategory: newName before: aCategory

	^ self addProtocol: newName! !

!KMDispatcher methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:36'!
detachAllKeymapCategories

	self targets removeAll! !

!KMDispatcher methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 22:41'!
detachKeymapCategory: aCategoryName

	self detachKeymapCategory: aCategoryName targetting: morph! !

!KMDispatcher methodsFor: '*NautilusCommon-KeyMappingExtensions' stamp: 'BenjaminVanRyseghem 2/20/2012 19:23'!
detachKeymapCategory: aCategoryName targetting: anObject

	self targets reject: [:tgt | tgt target = anObject and: [ tgt category name = aCategoryName ]]! !

!Behavior methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 14:42'!
addCategory: newName before: aCategory

	^ self organization addCategory: newName before: aCategory! !

!ClassTrait methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 2/18/2012 17:29'!
protocols
	" start to migrate to RING API "

	^ self organization categories copy! !

!RGClassDescriptionDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 14:39'!
extendingPackages

	^ self realClass extendingPackages! !

DialogWindow subclass: #NautilusPluginManager
	instanceVariableNames: 'pluginClassesSelectedIndex pluginClassesSelected pluginsSelected pluginsSelectedIndex pluginsList tree'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin-Manager'!

!NautilusPluginManager commentStamp: '<historical>' prior: 0!
NautilusPluginManager is a manger of plugins used to set up plugin for Nautilus UI!

!NautilusPluginManager methodsFor: 'buttons behavior' stamp: 'BenjaminVanRyseghem 8/25/2011 12:54'!
addButtonAction
	
	self selectedPluginClasses do: [:each | 
		self pluginsList addLast: { each. each defaultPosition } ].
	tree update: #rootNodes! !

!NautilusPluginManager methodsFor: 'buttons behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 15:47'!
addButtonLabel
	
	^ 'Add'! !

!NautilusPluginManager methodsFor: 'buttons behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 15:50'!
addButtonState
	
	^ self selectedPluginClasses isEmpty not! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/11/2011 15:56'!
applyChanges
	
	Nautilus pluginClasses: self pluginsList! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 15:42'!
buildAddButton

	^  (PluggableButtonMorph
			on: self 
			getState: #addButtonState
			action: #addButtonAction
			label: #addButtonLabel) hResizing: #spaceFill; vResizing: #shrinkWrap! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 14:52'!
buildButtonsColumn

	| column fill |
	column := PanelMorph new.
	column 
		changeTableLayout;
		listDirection: #topToBottom.
		
		{
			self buildFullUpButton.
			self buildUpButton.
			self buildDownButton.
			self buildFullDownButton} reverse do: [:each | column addMorph: each ].
	
	column 
		vResizing: #spaceFill;
		width: 24;
		hResizing: #rigid.
	
	^ column! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 2/17/2012 16:32'!
buildDescriptionTextArea
	
	^ (PluggableTextMorph
		on: self
		text: #getText
		accept: nil) 
			enabled: false;
			vResizing: #spaceFill;	
			hResizing: #spaceFill;
			yourself! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 14:48'!
buildDownButton

	^ IconicButton new 
		target: self;
		actionSelector: #down;
		labelGraphic: (self iconClass iconNamed: #down);
		color: Color transparent;
		extent: 24 @ 24;
		borderWidth: 0! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 14:48'!
buildFullDownButton

	^ IconicButton new 
		target: self;
		actionSelector: #fullDown;
		labelGraphic: (self iconClass iconNamed: #downFull);
		color: Color transparent;
		extent: 24 @ 24;
		borderWidth: 0! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 14:12'!
buildFullUpButton

	^ IconicButton new 
		target: self;
		actionSelector: #fullUp;
		labelGraphic: (self iconClass iconNamed: #upFull);
		color: Color transparent;
		extent: 24 @ 24;
		borderWidth: 0! !

!NautilusPluginManager methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/11/2011 15:49'!
buildPluginClassesBox

	^ GroupboxMorph new
			addContentMorph: self buildPluginClassesList;
			addContentMorph: self buildAddButton;
			label: 'Available plugin classes:';
			hResizing: #spaceFill;
			vResizing: #spaceFill.! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 8/25/2011 14:19'!
buildPluginClassesList

	| list |
	list := PluggableListMorph
		on: self
		list: #getPluginClassesList
		primarySelection: #pluginClassesSelectedIndex
		changePrimarySelection: #pluginClassesSelectedIndex:
		listSelection: #pluginClassesSelectedAt:
		changeListSelection: #pluginClassesSelectedAt:put:
		menu: nil
		keystroke: nil.
		
	list wrapSelector: #pluginName.
		
	list resetListSelector: #resetPluginClassesListSelection.
	list autoDeselect: true.
	
	list
		vResizing: #spaceFill;
		hResizing: #spaceFill.
	^ list! !

!NautilusPluginManager methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/11/2011 15:49'!
buildPluginsBox

	^ GroupboxMorph new
			addContentMorph: self buildPluginsList;
			addContentMorph: self buildRemoveButton;
			label: 'Selected plugins:';
			hResizing: #spaceFill;
			vResizing: #spaceFill.! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 8/25/2011 12:51'!
buildPluginsList
	
	tree := (self treeClass model: self) buildPluginsTree.
	tree
		vResizing: #spaceFill;
		hResizing: #spaceFill.
	
	
	^ tree buildContents! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 15:42'!
buildRemoveButton

	^  (PluggableButtonMorph
			on: self 
			getState: #removeButtonState
			action: #removeButtonAction
			label: #removeButtonLabel) hResizing: #spaceFill; vResizing: #shrinkWrap! !

!NautilusPluginManager methodsFor: 'items creation' stamp: 'BenjaminVanRyseghem 5/11/2011 14:33'!
buildUpButton

	^ IconicButton new 
		target: self;
		actionSelector: #up;
		labelGraphic: (self iconClass iconNamed: #up);
		color: Color transparent;
		extent: 24 @ 24;
		borderWidth: 0! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/11/2011 15:57'!
centering
	self left: ((World width / 2) - (self width /2)).
	self top: ((World height / 2) - (self height /2))! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 13:51'!
down

	| list selection firstIndex maxSize |
	list := pluginsList copy.
	maxSize := pluginsList size.
	firstIndex := maxSize.
	selection := self selectedPlugins.
	selection reverse do: [:index || each newIndex |
		each := list at: index.
		firstIndex := index+1 min: firstIndex.
		newIndex := index+1 min: maxSize.
		pluginsList removeAt: index.
		pluginsList add: each beforeIndex: newIndex .
		"set selection"
		].
	self pluginsSelectedIndex: firstIndex.
	
	self changed: #getPluginsList.
	self changed: #allSelections.! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 13:51'!
fullDown

	| list selection |
	list := pluginsList copy.
	selection := self selectedPlugins.
	selection doWithIndex: [:idx :count || each |
		each := list at: idx.
		pluginsList removeAt: idx-count+1.
		pluginsList addLast: each].

	self changed: #getPluginsList.
	self changed: #allSelections.! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 13:52'!
fullUp

	| list selection maxSize |
	list := pluginsList copy.
	selection := self selectedPlugins.
	selection reverse doWithIndex: [:idx :count || each |
		each := list at: idx.
		pluginsList removeAt: (idx+count-1).
		pluginsList addFirst: each].
	
	self changed: #getPluginsList.
	self changed: #allSelections.! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/2/2012 13:18'!
getPluginClassesList

	^ AbstractNautilusPlugin allSubclasses sort: [:a :b | a pluginName <= b pluginName ]! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 8/25/2011 12:48'!
getPluginsList

	^ pluginsList ifNil: [ pluginsList := Nautilus pluginClasses copy ].! !

!NautilusPluginManager methodsFor: 'text area behavior' stamp: 'BenjaminVanRyseghem 2/17/2012 16:31'!
getText
	| item | 
	
	item := self getPluginClassesList at: self pluginClassesSelectedIndex ifAbsent: [ ^ nil ].
	^ item 
		ifNil: [ '' ]
		ifNotNil: [ item description ]! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/11/2011 14:13'!
iconClass

	^ NautilusIcons! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/11/2011 13:39'!
initialize

	super initialize.
	pluginClassesSelected := Dictionary new.
	pluginsSelected := Dictionary new.! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/11/2011 13:45'!
isResizeable
	^true! !

!NautilusPluginManager methodsFor: 'display' stamp: 'BenjaminVanRyseghem 2/17/2012 16:34'!
newContentMorph

	| row column |
	row := PanelMorph new
				layoutPolicy: TableLayout new;
				listDirection: #leftToRight;
				vResizing: #spaceFill;	
				hResizing: #spaceFill;
				spaceFillWeight: 3;
				addMorph: self buildButtonsColumn;
				addMorph: self buildPluginsBox;
				addMorph: self buildPluginClassesBox.
	column := PanelMorph new
					layoutPolicy: TableLayout new;
					listDirection: #topToBottom;
					vResizing: #spaceFill;	
					hResizing: #spaceFill;
					addMorph: self buildDescriptionTextArea;
					addMorph: row.
	^ column! !

!NautilusPluginManager methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/11/2011 15:57'!
openInWorld

	super openInWorld.
	self width: 500.
	self height: 400.
	self centering! !

!NautilusPluginManager methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/11/2011 15:51'!
pluginClassesSelected

		^ pluginClassesSelected! !

!NautilusPluginManager methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/11/2011 15:51'!
pluginClassesSelected: anObject
	
		pluginClassesSelected := anObject! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 11:24'!
pluginClassesSelectedAt: anIndex

	| object |
	object := self getPluginClassesList at: anIndex ifAbsent: [ ^ false ].
	^ pluginClassesSelected at: object ifAbsent: [ false ]! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 11:25'!
pluginClassesSelectedAt: anIndex put: aBoolean

	| object |
	object := self getPluginClassesList at: anIndex ifAbsent: [ ^ self ].
	^ pluginClassesSelected at: object put: aBoolean! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 11:23'!
pluginClassesSelectedIndex

	^ pluginClassesSelectedIndex ifNil: [ pluginClassesSelectedIndex := 0 ]! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 2/17/2012 16:32'!
pluginClassesSelectedIndex: anInteger

	pluginClassesSelectedIndex := anInteger.
	self changed: #pluginClassesSelectedIndex.
	self changed: #getText.! !

!NautilusPluginManager methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/11/2011 15:51'!
pluginsList

		^ pluginsList! !

!NautilusPluginManager methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/11/2011 15:51'!
pluginsList: anObject
	
		pluginsList := anObject! !

!NautilusPluginManager methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/11/2011 15:51'!
pluginsSelected

		^ pluginsSelected! !

!NautilusPluginManager methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/11/2011 15:51'!
pluginsSelected: anObject
	
		pluginsSelected := anObject! !

!NautilusPluginManager methodsFor: 'tree' stamp: 'BenjaminVanRyseghem 8/25/2011 13:50'!
pluginsSelectedIndex: anIndex! !

!NautilusPluginManager methodsFor: 'buttons behavior' stamp: 'BenjaminVanRyseghem 1/19/2012 13:32'!
removeButtonAction
	
	self selectedPlugins reverse do: [:item || index |
		self pluginsList remove: item ].
	
		self resetPluginsListSelection.
		tree deselectAll.
		tree model setSelection: nil.
		tree update: #rootNodes! !

!NautilusPluginManager methodsFor: 'buttons behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 15:47'!
removeButtonLabel
	
	^ 'Remove'! !

!NautilusPluginManager methodsFor: 'buttons behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 15:49'!
removeButtonState
	
	^ self selectedPlugins isEmpty not! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 13:25'!
resetPluginClassesListSelection

	pluginClassesSelected removeAll! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 13:33'!
resetPluginsListSelection

	pluginsSelected removeAll! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 5/11/2011 15:56'!
selectedPluginClasses

	| associations list |
	list := self getPluginClassesList.
	pluginClassesSelected ifNil: [ ^ {} ].
	associations := pluginClassesSelected associations select: [:assoc | assoc value ].
	associations := associations collect: [:assoc | assoc key ].
	associations := associations sort: [:a : b | (list indexOf: a ifAbsent: [ 0 ]) <= (list indexOf: b ifAbsent: [ 0 ])].
	^ associations select: [:each | each notNil ]! !

!NautilusPluginManager methodsFor: 'lists behavior' stamp: 'BenjaminVanRyseghem 8/25/2011 13:55'!
selectedPlugins

	^ tree selectedMorphList collect:[:each | each complexContents item ]! !

!NautilusPluginManager methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/11/2011 11:28'!
title

	^ 'Nautilus Plugins Manager'! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 11:11'!
treeClass

	^ NautilusPluginManagerTree! !

!NautilusPluginManager methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 13:52'!
up

	| list selection firstIndex |
	list := pluginsList copy.
	firstIndex := pluginsList size.
	selection := self selectedPlugins.
	selection do: [:index || each newIndex |
		each := list at: index.
		firstIndex := index-1 min: firstIndex.
		newIndex := index-1 max: 1.
		pluginsList removeAt: index.
		pluginsList add: each beforeIndex: newIndex .
		].
	
	self pluginsSelectedIndex: firstIndex.
	
	self changed: #getPluginsList.
	self changed: #allSelections.! !

!MenuRegistration methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/6/2012 18:48'!
enabled: aBooleanOrABlock

	aBooleanOrABlock == true
		ifTrue: [ 
			self spec enabled: true.
			^ self ].
	aBooleanOrABlock == false
		ifTrue: [ 
			self spec enabled: false.
			^ self ].
	self spec enabled: (aBooleanOrABlock cull: self model).! !

!MenuRegistration methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/31/2011 01:50'!
enabledBlock: aBlock

	self spec enabledBlock: aBlock! !

!MenuRegistration methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 1/24/2012 20:17'!
printOn: aStream

	super printOn: aStream.
	aStream << ' ( ' << self name asString << ' ) '! !

ThreePhaseButtonMorph subclass: #PluggableThreePhaseButtonMorph
	instanceVariableNames: 'offImageSelector onImageSelector pressedImageSelector stateSelector helpText'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!PluggableThreePhaseButtonMorph commentStamp: '<historical>' prior: 0!
A PluggableThreePhaseButtonMorph is an extesion of ThreePhaseButtonMorph to make it pluggable

Then a model can be defined, and queried for state, on image, off image and pressed image.!

!PluggableThreePhaseButtonMorph class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 1/21/2012 22:53'!
on: aModel

	^ self new 
			target: aModel;
			yourself! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:25'!
balloonText

	^ self helpText! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:25'!
helpText

	^ helpText! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:25'!
helpText: anObject 

	helpText := anObject! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
offImageSelector

	^ offImageSelector! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:07'!
offImageSelector: anObject 

	offImageSelector := anObject! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
onImageSelector

	^ onImageSelector! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
onImageSelector: anObject 

	onImageSelector := anObject! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
pressedImageSelector

	^ pressedImageSelector! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
pressedImageSelector: anObject 

	pressedImageSelector := anObject! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
stateSelector

	^ stateSelector! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:08'!
stateSelector: anObject 

	stateSelector := anObject! !

!PluggableThreePhaseButtonMorph methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 1/21/2012 23:04'!
target: anObject

	target ifNotNil: [ target removeDependent: self ].
	anObject ifNotNil: [ anObject addDependent: self ].
	target := anObject.! !

!PluggableThreePhaseButtonMorph methodsFor: 'updating' stamp: 'BenjaminVanRyseghem 1/21/2012 23:16'!
update: aSymbol

	aSymbol == stateSelector
		ifTrue: [ ^ self updateState ].
	aSymbol == onImageSelector
		ifTrue: [ ^ self updateOnImage ].
	aSymbol == offImageSelector
		ifTrue: [ ^ self updateOffImage ].
	aSymbol == pressedImageSelector
		ifTrue: [ ^ self updatePressedImage ].
				
	^ super update: aSymbol! !

!PluggableThreePhaseButtonMorph methodsFor: 'updating' stamp: 'BenjaminVanRyseghem 1/21/2012 23:01'!
updateOffImage

	self offImage: ( target perform: offImageSelector )! !

!PluggableThreePhaseButtonMorph methodsFor: 'updating' stamp: 'BenjaminVanRyseghem 1/21/2012 23:01'!
updateOnImage

	self onImage: ( target perform: onImageSelector )! !

!PluggableThreePhaseButtonMorph methodsFor: 'updating' stamp: 'BenjaminVanRyseghem 1/21/2012 23:01'!
updatePressedImage

	self pressedImage: ( target perform: pressedImageSelector )! !

!PluggableThreePhaseButtonMorph methodsFor: 'updating' stamp: 'BenjaminVanRyseghem 1/21/2012 23:15'!
updateState

	( target perform: stateSelector )
		ifTrue: [ self state: #on ]
		ifFalse:[ self state: #off ]! !

MorphTreeModel subclass: #NautilusPluginManagerTree
	instanceVariableNames: 'model'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin-Manager'!

!NautilusPluginManagerTree commentStamp: '<historical>' prior: 0!
A NautilusPluginManagerTree is a tree which is used to render the plugins selection!

!NautilusPluginManagerTree class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 8/25/2011 11:10'!
model: aModel
	
	^ self new model: aModel! !

!NautilusPluginManagerTree methodsFor: 'building' stamp: 'BenjaminVanRyseghem 2/8/2012 17:30'!
buildPluginsTree
	| tree | 
	tree := IdentityMorphTreeMorph on: self.
	tree
			listManager: (IdentityMorphTreeListManager new client: tree);
			columns: {
					MorphTreeColumn new startWidth: 100;
						rowMorphGetSelector: #firstMorph;
						headerButtonLabel: 'Plugin name' font:  nil.
					MorphTreeColumn new startWidth: 75;
						rowMorphGetSelector: #secondMorph;
						headerButtonLabel: 'Position' font:  nil};
			withHLines: true;
			beMultiple;
			autoDeselection: false;
			rowInset: 4;
			columnInset: 4;
			getMenuSelector: #menu:shifted:;
			rowColorForEven: Color lightGray muchLighter odd: Color white.

	^ tree! !

!NautilusPluginManagerTree methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 8/25/2011 11:09'!
model

	^ model! !

!NautilusPluginManagerTree methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 8/25/2011 11:09'!
model: anObject
	
	model := anObject! !

!NautilusPluginManagerTree methodsFor: 't - accessing' stamp: 'BenjaminVanRyseghem 8/25/2011 12:49'!
rootItems

	^ self model getPluginsList! !

!NautilusPluginManagerTree methodsFor: 't - accessing' stamp: 'BenjaminVanRyseghem 8/25/2011 10:44'!
rootNodeClassFromItem: anItem
	^ PluginTreeNode! !

!NautilusPluginManagerTree methodsFor: 't - accessing' stamp: 'BenjaminVanRyseghem 8/25/2011 11:22'!
update

	self changed: #rootNodes! !

MorphTreeNodeModel subclass: #PluginTreeNode
	instanceVariableNames: 'selectedPosition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin-Manager'!

!PluginTreeNode commentStamp: '<historical>' prior: 0!
A PluginTreeNode is a node of a NautilusPluginManagerTree!

!PluginTreeNode methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 14:56'!
buildDropListFor: aSelector

	| dropList |
	dropList :=  self theme
					newDropListIn: World
					for: self
					list: #getPositionsList
					getSelected: #getSelectedPosition
					setSelected: #setSelectedPosition:
					getEnabled: nil
					useIndex: true
					help: 'Select the position where the plugin will be displayed'.
	dropList
		hResizing: #rigid.
	dropList width: 75.
	^ dropList! !

!PluginTreeNode methodsFor: 'morphs' stamp: 'BenjaminVanRyseghem 8/25/2011 14:17'!
firstMorph

	^ self item 
		ifNotNil: [:it | it first pluginName asStringMorph ]! !

!PluginTreeNode methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 15:04'!
getPositionsList

	^ self item 
		ifNil: [ {} ]
		ifNotNil: [:it | it first possiblePositions ]! !

!PluginTreeNode methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 14:50'!
getSelectedPosition

	^ selectedPosition ifNil: [| it |
		it := self item ifNotNil: [ self item second ].
		selectedPosition := self getPositionsList indexOf: it ]! !

!PluginTreeNode methodsFor: 'morphs' stamp: 'BenjaminVanRyseghem 8/25/2011 14:22'!
secondMorph
	
	^ self item 
		ifNotNil: [:it |	self buildDropListFor: it second ]! !

!PluginTreeNode methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/25/2011 14:59'!
setSelectedPosition: anIndex

	| position |
	selectedPosition := anIndex.
	position := self getPositionsList at: anIndex.
	self item at: 2 put: position.
	self changed: #getSelectedPosition! !

!RGClassDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 14:28'!
compile: aString classified: aCategory notifying: aController

	self realClass compile: aString classified: aCategory notifying: aController! !

!RGClassDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 9/1/2011 14:18'!
definition

	^ self realClass definition! !

!RGClassDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/28/2011 18:33'!
inheritsFrom: aClass

	^ self realClass inheritsFrom: aClass! !

!RGMetaclassDefinition methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/29/2011 21:23'!
inheritsFrom: aClass

	^ self realClass inheritsFrom: aClass! !

!RecentMessageList methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/16/2012 04:38'!
lastClasses: anInteger

	"I return the last anInteger classes modified"
	| result tempList |
	result := OrderedCollection new.
	tempList := self methodReferenceList sorted: [:a :b | a timeStamp >= b timeStamp].
	
	tempList do: [:method || class |
		result size = anInteger ifTrue: [ ^ result ].
		class := method methodClass theNonMetaClass.
		(result includes: class) ifFalse: [ result add: class ]].
	^ result! !

IconicButton subclass: #ToggleIconicButton
	instanceVariableNames: 'model statusSelector enabledIcon disabledIcon'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!ToggleIconicButton commentStamp: '<historical>' prior: 0!
A ToogleIconicButton is an iconic button with two different images, one when the button is activated, one when it is desactivated.

Not really usefull since there is PluggableThreePhaseButtonMorph!

!ToggleIconicButton class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 1/21/2012 22:33'!
on: model actionSelector: actionSelector status: status enabledIcon: enabledIcon disabledIcon: disabledIcon 

	^ self new
			model: model;
			actionSelector: actionSelector;
			color: Color transparent;
			borderWidth: 0;
			statusSelector: status;
			enabledIcon: enabledIcon;
			disabledIcon: disabledIcon;
			yourself! !

!ToggleIconicButton methodsFor: 'private' stamp: 'BenjaminVanRyseghem 4/12/2011 17:41'!
balloonText

	^ helpText! !

!ToggleIconicButton methodsFor: 'private' stamp: 'BenjaminVanRyseghem 1/21/2012 21:47'!
borderRaised
"	self borderStyle: (BorderStyle raised width: 0)."! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:12'!
disabledIcon

		^ disabledIcon! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:36'!
disabledIcon: anObject
	
		disabledIcon := anObject.
		self updateStatus.! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:12'!
enabledIcon

		^ enabledIcon! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:36'!
enabledIcon: anObject
	
		enabledIcon := anObject.
		self updateStatus.! !

!ToggleIconicButton methodsFor: 'private' stamp: 'BenjaminVanRyseghem 4/12/2011 17:08'!
extraBorder

	^ 0! !

!ToggleIconicButton methodsFor: 'private' stamp: 'BenjaminVanRyseghem 4/12/2011 16:26'!
getStatus

	self model 
		ifNotNil: [:mod | 
			self statusSelector
				ifNotNil:[:selector | 
					^ mod perform: selector ]].
	^ true! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:25'!
model

	^ model! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 17:10'!
model: anObject
	
	model ifNotNil: [model removeDependent: self].
	anObject ifNotNil: [anObject addDependent: self].
	model := anObject.
	self target: anObject! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:12'!
statusSelector

		^ statusSelector! !

!ToggleIconicButton methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/12/2011 16:12'!
statusSelector: anObject
	
		statusSelector := anObject! !

!ToggleIconicButton methodsFor: 'updating' stamp: 'BenjaminVanRyseghem 4/12/2011 16:31'!
update: aSymbol

	aSymbol = self statusSelector
		ifTrue: [ self updateStatus ].
	super update: aSymbol! !

!ToggleIconicButton methodsFor: 'private' stamp: 'BenjaminVanRyseghem 4/12/2011 16:37'!
updateStatus

	self getStatus
		ifTrue: [
			self enabledIcon
				ifNotNil: [:icon |
					 self labelGraphic: icon ]]
		ifFalse: [
			self disabledIcon
				ifNotNil: [:icon | 
					self labelGraphic: icon ]].! !

!UndefinedObject methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/27/2011 22:49'!
asRingDefinition
	
	^ self! !

SystemAnnouncer subclass: #NautilusAnnouncer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Announcements'!

!NautilusAnnouncer commentStamp: '<historical>' prior: 0!
an Announcer dedicated to Nautilus relative announcements!

!TestCase class methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 4/7/2011 18:37'!
correspondingClass

	(self name endsWith: 'Test')
		ifTrue: [| index na symbol class |
			index := self name findString: 'Test'.
			na := self name copyFrom: 1 to: (index - 1) .
			symbol := Symbol readFromString: '#',na.
			^ Smalltalk at: symbol ifAbsent: [ nil ]].
	^ nil! !

!TestCase class methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/21/2011 11:25'!
hasErrorTest

	^ (self history at: #errors) isEmpty not ! !

!TestCase class methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/21/2011 11:24'!
hasFailedTest

	^ (self history at: #failures) isEmpty not ! !

!TestCase class methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 8/21/2011 11:24'!
hasPassedTest

	^ (self history at: #passed) isEmpty not ! !

!RBBrowserEnvironmentWrapper methodsFor: '*NautilusCommon' stamp: 'BenjaminVanRyseghem 3/10/2012 20:30'!
packages

	^ (self classes gather: [:each | each packages]) asSet! !

Object subclass: #AbstractNautilusPlugin
	instanceVariableNames: 'model position'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AbstractNautilusPlugin commentStamp: '<historical>' prior: 0!
AbstractNautilusPlugin is an abstraction of what a plugin for Nautilus is.

Mainly, it defines the protocol!

AbstractNautilusPlugin subclass: #AbstractKeyPressedPlugin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AbstractKeyPressedPlugin commentStamp: '<historical>' prior: 0!
AbstractKeyPressedPlugin is an abstraction of plugin which react to key strokes !

!AbstractKeyPressedPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/4/2011 15:05'!
keyPressed: anAnnouncement

	self subclassResponsibility! !

!AbstractKeyPressedPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 5/4/2011 15:12'!
registerTo: aModel

	aModel announcer
		on: NautilusKeyPressed send: #keyPressed: to: self! !

AbstractKeyPressedPlugin subclass: #DummyKeyPressedPlugin
	instanceVariableNames: 'stringMorph counter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!DummyKeyPressedPlugin commentStamp: '<historical>' prior: 0!
A DummyKeyPressedPlugin is a dummy plugin which display the counter of keystrokes!

!DummyKeyPressedPlugin class methodsFor: 'position' stamp: 'BenjaminVanRyseghem 8/25/2011 10:01'!
defaultPosition

	^ #bottom! !

!DummyKeyPressedPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 2/17/2012 16:50'!
description

	^ 'Display the number of key pressed'! !

!DummyKeyPressedPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/10/2011 16:43'!
display

	^ stringMorph! !

!DummyKeyPressedPlugin methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 17:55'!
initialize

	super initialize.
	counter := 0.
	self stringMorph
		contents: 'Keys pressed: ', counter printString;
		openInWorld.
	! !

!DummyKeyPressedPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/10/2011 17:55'!
keyPressed: anAnnouncement

	| key |
	key := anAnnouncement key.
	counter := counter +1.
	self stringMorph contents: 'Keys pressed: ', counter printString! !

!DummyKeyPressedPlugin methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/10/2011 17:12'!
stringMorph

		^ stringMorph ifNil: [ stringMorph := LabelMorph new
												enabled:false; 
												vResizing: #shrinkWrap;
												hResizing: #spaceFill;
												yourself]! !

!DummyKeyPressedPlugin methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:56'!
stringMorph: anObject
	
		stringMorph := anObject! !

AbstractKeyPressedPlugin subclass: #KonamiCodePlugin
	instanceVariableNames: 'lastKeystrokeTime lastKeystrokes code'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!KonamiCodePlugin commentStamp: '<historical>' prior: 0!
A KonamiCodePlugin is a plugin which run an action when the Konami code is entered!

!KonamiCodePlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/12/2011 17:22'!
initialize

	super initialize.
	lastKeystrokeTime := 0.
	! !

!KonamiCodePlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/4/2011 15:35'!
keyPressed: ann

	| aChar milliSeconds slowKeyStroke |

	aChar := ann key keyCharacter.

	milliSeconds := Time millisecondClockValue.
	slowKeyStroke := milliSeconds - lastKeystrokeTime > 500.
	lastKeystrokeTime := milliSeconds.
	slowKeyStroke
		ifTrue: ["forget previous keystrokes and search in following elements"
			lastKeystrokes := aChar asLowercase asString.]
		ifFalse: ["append quick keystrokes but don't move selection if it still matches"
			lastKeystrokes := lastKeystrokes , aChar asLowercase asString.].
	"Get rid of blanks and style used in some lists"
	lastKeystrokes = self konamiCode
		ifTrue: [ self openKonamiCode ].! !

!KonamiCodePlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/4/2011 15:44'!
konamiCode

	^ code ifNil: [
			code := ''.
			{ Character arrowUp. Character arrowUp. Character arrowDown. Character arrowDown. Character arrowLeft. Character arrowRight. Character arrowLeft. Character arrowRight. $b. $a } do: [:char | 
				code := code, char asLowercase asString ].
		code] ! !

!KonamiCodePlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/4/2011 15:55'!
openKonamiCode


	[ 15 timesRepeat: [ 
		Beeper primitiveBeep.
		(Delay forMilliseconds: 50) wait.
		]] fork.
! !

!AbstractNautilusPlugin class methodsFor: 'position' stamp: 'BenjaminVanRyseghem 8/25/2011 10:00'!
defaultPosition

	" should answer the position of the UI "
	"Pick an asnwer among:
		- #top
	""	- #right	""
	""	- #left	""
		- #middle
		- #bottom
		- #none"
		
	^ #none! !

!AbstractNautilusPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 2/17/2012 16:26'!
description

	^ 'No description available'! !

!AbstractNautilusPlugin class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 5/4/2011 14:43'!
model: aModel

	^ self new model: aModel! !

!AbstractNautilusPlugin class methodsFor: 'display' stamp: 'BenjaminVanRyseghem 8/25/2011 14:18'!
pluginName

	^ self name! !

!AbstractNautilusPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 8/25/2011 09:39'!
possiblePositions

	^ {	#top.
		#middle.
		#bottom.
		#none. }! !

!AbstractNautilusPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/10/2011 16:13'!
display
	
	" should answer a morphic object ready to be integrated into a NautilusWindow "
	
	^ nil! !

!AbstractNautilusPlugin methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:43'!
model

		^ model! !

!AbstractNautilusPlugin methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 5/4/2011 14:44'!
model: anObject
	
		model := anObject.
		self registerTo: anObject! !

!AbstractNautilusPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/2/2012 13:18'!
name

	^ self class name! !

!AbstractNautilusPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 8/25/2011 10:03'!
position

	^ position ifNil: [ position := self class defaultPosition ]! !

!AbstractNautilusPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 8/25/2011 09:49'!
position: aPosition
	
	position := aPosition! !

!AbstractNautilusPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 5/4/2011 14:45'!
registerTo: aModel

	self subclassResponsibility! !

AbstractNautilusPlugin subclass: #AbstractPackageSelectedPlugin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AbstractPackageSelectedPlugin commentStamp: '<historical>' prior: 0!
AbstractKeyPressedPlugin is an abstraction of plugin which react when a package is selected!

!AbstractPackageSelectedPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/10/2011 14:39'!
packageSelected: anAnnouncement

	^ self subclassResponsibility! !

!AbstractPackageSelectedPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 5/10/2011 12:35'!
registerTo: aModel

	aModel announcer
		on: NautilusPackageSelected send: #packageSelected: to: self! !

AbstractPackageSelectedPlugin subclass: #DummyPackageSelectedPlugin
	instanceVariableNames: 'morph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!DummyPackageSelectedPlugin commentStamp: '<historical>' prior: 0!
A DummyPackageSelectedPlugin is a dummy plugin which display the counter of keystrokes!

!DummyPackageSelectedPlugin class methodsFor: 'position' stamp: 'BenjaminVanRyseghem 8/25/2011 10:01'!
defaultPosition

	^ #middle! !

!DummyPackageSelectedPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/10/2011 17:54'!
display

	morph :=  LabelMorph new 
					contents: '';
					enabled: false;
					vResizing: #shrinkWrap;
					hResizing: #spaceFill;
					yourself.
	^ morph! !

!DummyPackageSelectedPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/11/2011 11:07'!
packageSelected: anAnnouncement
	
	| package name |
	package := anAnnouncement package.
	name := package name asString.
	package ifNil: [ name := ''].
	morph ifNotNil: [ morph contents: name]! !

AbstractPackageSelectedPlugin subclass: #PackageTasksPlugin
	instanceVariableNames: 'morph tasks index panel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!PackageTasksPlugin commentStamp: '<historical>' prior: 0!
This plugin shows the tasks in the current package.

A task is a method which sends #flag: to mark it as #todo, or #fixme, or whatever task you want to fix.
Clicking in the specific task makes you jump to the marked method.!

!PackageTasksPlugin class methodsFor: 'position' stamp: 'GuillermoPolito 5/2/2012 12:49'!
defaultPosition

	^ #top! !

!PackageTasksPlugin class methodsFor: 'position' stamp: 'GuillermoPolito 5/2/2012 13:53'!
description
	^self comment! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 13:44'!
buildTaskList
	^(PluggableListMorph 
					on: self 
					list: #tasks
					selected: #selectedIndex
					changeSelected: #selectedIndex:
					menu: nil
					keystroke: nil)
					height: 50;
					hResizing: #spaceFill;
					yourself.! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 13:37'!
display
	^panel! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 12:38'!
index
	^index! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 13:46'!
initialize
	tasks := OrderedCollection new.
	index := 0.
	panel := PanelMorph new
				changeTableLayout;
				listDirection: #leftToRight;
				addMorph: self buildTaskList;
				addMorph: ((StringMorph contents: 'Tasks:') width: 50; height: 50; yourself);
				hResizing: #spaceFill;
				vResizing: #shrinkWrap;
				yourself.
! !

!PackageTasksPlugin methodsFor: 'announcement' stamp: 'GuillermoPolito 5/2/2012 13:35'!
packageSelected: anAnnouncement
	
	| package name |
	package := anAnnouncement package.
	package
		ifNil: [ tasks removeAll ]
		ifNotNil: [ tasks := (self systemNavigation allCallsOn: 'flag:' asSymbol) select: [ :m | package includesMethod: m selector ofClass: m methodClass ] ].
	
	self changed: #tasks.! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 13:32'!
selectedIndex
	^index! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 13:33'!
selectedIndex: anIndex
	index := anIndex.
	self updateMethodSelection: (tasks at: index ifAbsent: [ ^self ]).! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'GuillermoPolito 5/2/2012 12:38'!
tasks
	^tasks! !

!PackageTasksPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/2/2012 14:13'!
updateMethodSelection: aMethod

	model ui categoryWidget
		resetCategoryCache;
		resetCategoriesListSelection.
	model ui categoryWidget
		categoriesSelection at: aMethod category put: true.
	model ui methodWidget 
		resetMethodCache;
		resetMethodsListSelection.
	model ui methodWidget 
		methodsSelection at: aMethod category put: true.

	model ui listSelection2 removeAll.
	model ui listSelection2 at: aMethod methodClass put: true.
	model  package: model selectedPackage class: aMethod methodClass category: aMethod category method: aMethod method.
	
	model ui update.
	model ui updateClassView.! !

AbstractNautilusPlugin subclass: #AbstractTextChangedPlugin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AbstractTextChangedPlugin commentStamp: '<historical>' prior: 0!
An AbstractTextChangedPlugin is a plugin which simply log each time the method displayer changed!

!AbstractTextChangedPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 6/13/2012 21:18'!
displayerChanged: anAnnouncement

	self logCr: anAnnouncement displayerSymbol! !

!AbstractTextChangedPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 6/13/2012 21:18'!
registerTo: aModel

	aModel announcer
		on: NautilusTextDisplayerChanged send: #displayerChanged: to: self! !

AbstractNautilusPlugin subclass: #AlexPlugin
	instanceVariableNames: 'text container textMorph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AlexPlugin commentStamp: '<historical>' prior: 0!
An AlexPlugin is a plugin which show the setUp when a test method is selected!

!AlexPlugin class methodsFor: 'position' stamp: 'BenjaminVanRyseghem 8/25/2011 10:02'!
defaultPosition

	^ #middle! !

!AlexPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 2/17/2012 16:42'!
description

	^ 'Display the setUp of test methods'! !

!AlexPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/21/2011 11:54'!
buildTextMorph

	textMorph := PluggableTextMorph
					on: self
					text: #getText
					accept: nil! !

!AlexPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 8/21/2011 11:52'!
display

	^ container! !

!AlexPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/21/2011 11:43'!
getText

	^ text! !

!AlexPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/21/2011 12:08'!
initialize
	
	text := ''.
	container := PanelMorph new
					color: Color transparent;
					changeTableLayout;
					cellInset: 8;
					listDirection: #topToBottom;
					cellPositioning: #topLeft;
					hResizing: #shrinkWrap;
					vResizing: #shrinkWrap.
	self buildTextMorph! !

!AlexPlugin methodsFor: 'updating' stamp: 'MarcusDenker 4/29/2012 10:32'!
methodSelected: anAnnouncement
	
	anAnnouncement method
		ifNotNil: [:method |
			( method methodClass inheritsFrom: TestCase )
			 	ifTrue: [ text := (method methodClass lookupSelector: #setUp) sourceCode ]]
		ifNil: [ text := ''] .
	self changed: #getText.
	self updateContainer! !

!AlexPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 8/21/2011 11:49'!
registerTo: aModel

	aModel announcer
		on: NautilusMethodSelected send: #methodSelected: to: self.! !

!AlexPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 8/21/2011 12:03'!
updateContainer

	^ text isEmpty
		ifTrue: [ container removeMorph: textMorph.
			container hide ]
		ifFalse: [
			container addMorph: textMorph.
			container show ]! !

AbstractNautilusPlugin subclass: #FinderPlugin
	instanceVariableNames: 'finder finderui'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!FinderPlugin commentStamp: '<historical>' prior: 0!
I show the finder bar within Nautilus!

!FinderPlugin class methodsFor: 'as yet unclassified' stamp: 'DamienCassou 4/27/2012 19:19'!
defaultPosition 
	^ #top! !

!FinderPlugin class methodsFor: 'as yet unclassified' stamp: 'DamienCassou 4/27/2012 19:21'!
description
	"Use class comment as a description for the plugin"
	^ self comment! !

!FinderPlugin methodsFor: 'display' stamp: 'BenjaminVanRysgehem 4/28/2012 20:48'!
display
	"Nautilus calls this method when the plugin is first displayed. Show the Finder bar."
	finder := Finder new.
	
	finder
		when: #updateResultDictionary
		send: #openFinderUI
		to: self.
		
	finderui := FinderUI on: finder.
	
	^ (finderui buildSearchModeToolBar: StandardWindow new) height: 25! !

!FinderPlugin methodsFor: 'display' stamp: 'BenjaminVanRysgehem 4/29/2012 14:01'!
openFinderUI
	"The finder bar calls this method when the user accepts his search query."
	finderui open.
	
	"Without that, if you reuse the same Finder for anotehr research, it will open a new window again"
	finder
		removeActionsWithReceiver: self! !

!FinderPlugin methodsFor: 'registration' stamp: 'DamienCassou 4/27/2012 19:18'!
registerTo: aModel
	"I don't see any use of Nautilus notifications for this plugin."! !

AbstractNautilusPlugin subclass: #MondrianPlugin
	instanceVariableNames: 'subMorphs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!MondrianPlugin commentStamp: '<historical>' prior: 0!
A MondrianPlugin is a plugin which switch the code pane with a morph when a package is selwcted!

!MondrianPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 2/17/2012 16:49'!
description

	^ 'When a package is selected, replace the text morph by a morph.
The purpose of this plugin is to be overriden'! !

!MondrianPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 8/21/2011 17:31'!
classSelected: anAnnouncement

	| container |
	container := self model ui ifNotNil: [:view | view sourceCodeContainer ] ifNil: [ ^ self] .
	anAnnouncement itemClass
		ifNil: [
			subMorphs ifNil: [ subMorphs := container submorphs ].
			container removeAllMorphs.
			container addMorph: (self remplacementMorphUsing: anAnnouncement)]
		ifNotNil: [
			subMorphs ifNotNil: [
			container removeAllMorphs.
			subMorphs reverse do: [:each | container addMorph: each ]]]! !

!MondrianPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 8/21/2011 16:53'!
registerTo: aModel

	aModel announcer
		on: NautilusClassSelected send: #classSelected: to: self! !

!MondrianPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 8/21/2011 17:03'!
remplacementMorphUsing: anAnnouncement
		
	^ Morph new color: Color blue; yourself! !

AbstractNautilusPlugin subclass: #NautilusBreadcrumbsPlugin
	instanceVariableNames: 'classButton container methodButton packageButton protocolButton hFill groupButton'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!NautilusBreadcrumbsPlugin commentStamp: '<historical>' prior: 0!
A NautilusBreadcrumbsPlugin is a plugin which add breadcrumbs (for Igor ;) )
!

!NautilusBreadcrumbsPlugin class methodsFor: 'position' stamp: 'BenjaminVanRyseghem 3/9/2012 21:40'!
defaultPosition

	^ #middle! !

!NautilusBreadcrumbsPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 5/3/2012 09:36'!
description

	^ 'DO NOT WORK IN PHARO 1.4
	
Breadcrumbs for Nautilus. I hope Igor will like it ;)'! !

!NautilusBreadcrumbsPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 5/2/2012 13:16'!
pluginName

	^ 'BreadCrumbs'! !

!NautilusBreadcrumbsPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/2/2012 11:43'!
classSelected: anAnnouncement
	| class |
	class := anAnnouncement itemClass.
	classButton ifNotNil: [ container removeMorph: classButton ].
	container removeMorph: self hFill.
	classButton := PluggableButtonMorph new
							actionBlock: [:evt | evt shiftPressed
												ifTrue: [ class browse ]
												ifFalse: [ model ui selectedClass: class ]].
	classButton
		label: class name;
		height: 25.
	class ifNotNil: [ container addMorph: classButton ].
	container addMorph: self hFill.! !

!NautilusBreadcrumbsPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 3/9/2012 21:34'!
display

	^ container! !

!NautilusBreadcrumbsPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/2/2012 11:03'!
groupSelected: anAnnouncement
	| group |
	group := anAnnouncement group.
	groupButton ifNotNil: [ container removeMorph: groupButton ].
	container removeMorph: self hFill.
	groupButton := PluggableButtonMorph new
							actionBlock: [ 
								model ui
									selectedGroup: group ].
								
	groupButton
		label: group name;
		height: 25.
	group ifNotNil: [ container addMorph: groupButton ].
	container addMorph: self hFill! !

!NautilusBreadcrumbsPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 3/9/2012 21:46'!
hFill

	^ hFill ifNil: [ hFill := Morph new
								height: 0;
								width: 2;
								hResizing: #spaceFill;
								vResizing: #rigid;
								yourself ].! !

!NautilusBreadcrumbsPlugin methodsFor: 'initialization' stamp: 'BenjaminVanRyseghem 3/9/2012 21:46'!
initialize
	"Initialization code for NautilusBreadcrumbsPlugin"

	super initialize.

	classButton := nil.
	container := PanelMorph new
					changeTableLayout;
					listDirection: #rightToLeft;
					hResizing: #spaceFill;
					vResizing: #rigid;
					addMorph: self hFill;
					height: 25.
	methodButton := nil.
	packageButton := nil.
	protocolButton := nil.! !

!NautilusBreadcrumbsPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/2/2012 11:02'!
methodSelected: anAnnouncement
	| method |
	method := anAnnouncement method.
	methodButton ifNotNil: [ container removeMorph: methodButton ].
	container removeMorph: self hFill.
	methodButton := PluggableButtonMorph new
							actionBlock: [ model ui selectedMethod: method ].
	method ifNotNil: [ 
		methodButton
			label: method selector asString;
			height: 25.
		container addMorph: methodButton ].
	container addMorph: self hFill.! !

!NautilusBreadcrumbsPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/2/2012 11:02'!
packageSelected: anAnnouncement
	| package |
	
	package := anAnnouncement package.
	packageButton ifNotNil: [ container removeMorph: packageButton ].	
	container removeMorph: self hFill.
	packageButton := PluggableButtonMorph new
							actionBlock: [ 
								model ui
									selectedClass: nil;
									selectedPackage: package ].
	packageButton
		label: package name;
		height: 25.
	(package isNil or: [ model showGroups ]) ifFalse: [ container addMorph: packageButton ].
	container addMorph: self hFill.! !

!NautilusBreadcrumbsPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/2/2012 11:03'!
protocolSelected: anAnnouncement
	| protocol |
	protocol := anAnnouncement category.
	protocolButton ifNotNil: [ container removeMorph: protocolButton ].
	container removeMorph: self hFill.
	protocolButton := PluggableButtonMorph new
							actionBlock: [ 
								model ui selectedCategory: protocol.
								model ui update ].
	protocolButton
		label: protocol asString;
		height: 25.
	protocol ifNotNil: [ container addMorph: protocolButton ].
	container addMorph: self hFill.! !

!NautilusBreadcrumbsPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 3/9/2012 21:22'!
registerTo: aModel

	aModel announcer
		on: NautilusPackageSelected send: #packageSelected: to: self;
		on: NautilusGroupSelected send: #groupSelected: to: self;
		on: NautilusClassSelected send: #classSelected: to: self;
		on: NautilusProtocolSelected send: #protocolSelected: to: self;
		on: NautilusMethodSelected send: #methodSelected: to: self;
		on: NautilusShowGroupsChanged send: #showGroupsChanged: to: self.! !

!NautilusBreadcrumbsPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 3/9/2012 21:48'!
resetContainer
	
	container removeAllMorphs! !

!NautilusBreadcrumbsPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 3/9/2012 22:11'!
showGroupsChanged: anAnnouncement

	container removeMorph: self hFill.
	model showGroups 
		ifTrue: [ 
			groupButton ifNotNil: [ container addMorph: groupButton behind: packageButton ].
			packageButton ifNotNil: [ container removeMorph: packageButton ]]
		ifFalse: [
			packageButton ifNotNil: [ container addMorph: packageButton behind: groupButton ].
			groupButton ifNotNil: [ container removeMorph: groupButton ]].
	container addMorph: self hFill.! !

AbstractNautilusPlugin subclass: #URLPlugin
	instanceVariableNames: 'morph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!URLPlugin commentStamp: '<historical>' prior: 0!
An URLPlugin is a plugin which shows the URL of the current navigation!

URLPlugin subclass: #AnnotationPanePlugin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AnnotationPanePlugin commentStamp: '<historical>' prior: 0!
An IgorsPlugin is a plugin which displays info about the current selection!

!AnnotationPanePlugin class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 2/17/2012 16:39'!
description

	^ 'Display the information of the selected class/method'! !

!AnnotationPanePlugin methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 4/24/2012 23:25'!
buildString

	| mdl stringBuilder |
	
	mdl := self model.
	stringBuilder := WriteStream on: ''.
	
	mdl selectedClass
		ifNil: [ '' ]
		ifNotNil: [:class |
			mdl selectedMethod
				ifNil: [ stringBuilder nextPutAll: (RGCommentDefinition realClass: class) timeStamp asTimeStamp asString.
					 ]
				ifNotNil: [:method | 
					stringBuilder nextPutAll:  (AnnotationRequest onClass: class selector:  method selector) getAnnotations.
				 ]].
		
	^ stringBuilder contents! !

URLPlugin subclass: #IgorsPlugin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!IgorsPlugin commentStamp: '<historical>' prior: 0!
An IgorsPlugin is a plugin which displays info about the current selection!

!IgorsPlugin class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 2/17/2012 16:39'!
description

	^ 'Display the information of the selected class/method'! !

!IgorsPlugin methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 1/19/2012 13:36'!
buildString

	| mdl |
	mdl := self model.
	
	^ mdl selectedClass
		ifNil: [ '' ]
		ifNotNil: [:class |
			mdl selectedMethod
				ifNil: [ (RGCommentDefinition realClass: class) timeStamp asTimeStamp asString ]
				ifNotNil: [:method | method methodReference timeStamp asTimeStamp asString ]]! !

!URLPlugin class methodsFor: 'position' stamp: 'BenjaminVanRyseghem 8/25/2011 10:03'!
defaultPosition

	^ #middle! !

!URLPlugin class methodsFor: 'information' stamp: 'BenjaminVanRyseghem 2/17/2012 16:27'!
description

	^ 'Display the URI of the selected element'! !

!URLPlugin methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/11/2011 16:30'!
buildString

	| first string separator |
	separator := ' -> '.
	first := self model showGroups
				ifTrue: [ self model selectedGroup ]
				ifFalse: [ self model selectedPackage ].
	first
		ifNil: [ ^'']
		ifNotNil: [:package | 
			string := package name.
			self model selectedClass
				ifNotNil: [:class |
					string := string,  separator, class name.
					self model selectedCategory 
						ifNotNil: [:category |
							string := string,  separator, category.
							self model selectedMethod
								ifNotNil: [:method | string := string, separator, method selector printString]]]].
	^ string! !

!URLPlugin methodsFor: 'announcement' stamp: 'BenjaminVanRyseghem 5/11/2011 16:23'!
changed: ann
	
	| string |
	string := self buildString.
	morph ifNotNil: [ morph contents: string ]! !

!URLPlugin methodsFor: 'display' stamp: 'BenjaminVanRyseghem 5/11/2011 16:21'!
display

	morph :=  LabelMorph new 
					contents: '';
					enabled: false;
					vResizing: #shrinkWrap;
					hResizing: #spaceFill;
					yourself.
	^ morph! !

!URLPlugin methodsFor: 'registration' stamp: 'BenjaminVanRyseghem 3/9/2012 21:21'!
registerTo: aModel

	aModel announcer
		on: NautilusPackageSelected send: #changed: to: self;
		on: NautilusClassSelected send: #changed: to: self;
		on: NautilusGroupSelected send: #changed: to: self;
		on: NautilusProtocolSelected send: #changed: to: self;
		on: NautilusMethodSelected send: #changed: to: self;
		on: NautilusShowGroupsChanged send: #changed: to: self.! !

Object subclass: #AnnotationRequest
	instanceVariableNames: 'selector class separator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Plugin'!

!AnnotationRequest class methodsFor: 'instance-creation' stamp: 'PDC 6/25/2007 22:01'!
onClass: aClass selector: aSelector
	^ self new
		onClass: aClass selector: aSelector;
		yourself! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:13'!
allChangeSets
	"A list of all change sets bearing the method."
	
	| changeSets |
	changeSets := ChangeSet 
		allChangeSetsWithClass: class
		selector: selector.
	^ changeSets isEmpty
		ifFalse: [ 
			String streamContents: [ :aStream | 
				changeSets size = 1 
					ifTrue: [ aStream nextPutAll: 'only in change set ' ]
					ifFalse: [ aStream nextPutAll: 'in change sets: ' ].
				changeSets do: [ :aChangeSet | 
					aStream
						nextPutAll: aChangeSet name;
						nextPutAll: ' ' ] ] ]
		ifTrue: [ 'in no change set' ]! !

!AnnotationRequest methodsFor: 'actions' stamp: 'MarianoMartinezPeck 4/24/2012 23:38'!
annotationRequests
	^ CodeHolder annotationRequests copyWithout: #sendersCount ! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:11'!
documentation
	"Comment at beginning of the method or, if it has none, comment at the beginning of a superclass's implementation of the method."
	
	^ class precodeCommentOrInheritedCommentFor: selector! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:10'!
firstComment
	"The first comment in the method, if any."
	
	^ class firstCommentAt: selector! !

!AnnotationRequest methodsFor: 'actions' stamp: 'lr 8/15/2010 17:10'!
getAnnotations
	^ String streamContents: [ :aStream | 
		((self annotationRequests 
			collect: [ :request | self perform: request ]) 
			reject: [ :stringOrNil | stringOrNil isEmptyOrNil ]) 
				do: [ :each | aStream nextPutAll: each ]
				separatedBy: [ aStream nextPutAll: separator ] ]! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:13'!
implementorsCount
	"A report of how many implementors there are of the message."
	
	| implementorsCount |
	implementorsCount := self systemNavigation 
		numberOfImplementorsOf: selector.
	^ implementorsCount = 1
		ifTrue: [ '1 implementor' ]
		ifFalse: [ implementorsCount printString , ' implementors' ]! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:11'!
masterComment
	"The comment at the beginning of the supermost implementor of the method if any."
	
	^ class supermostPrecodeCommentFor: selector! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:15'!
messageCategory
	"Which method category the method lies in."
	
	^ class organization categoryOfElement: selector! !

!AnnotationRequest methodsFor: 'accessing' stamp: 'dc 6/18/2007 18:55'!
method
	^ class compiledMethodAt: selector ifAbsent: [nil]! !

!AnnotationRequest methodsFor: 'initialization' stamp: 'MAD 1/14/2009 11:44'!
onClass: aClass selector: aSelector
	class := aClass.
	selector := aSelector.
	separator := ' - '.! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:15'!
priorTimeStamp
	"The time stamp of the penultimate submission of the method, if any."
	
	| stamp |
	^ (stamp := VersionsBrowser 
		timeStampFor: selector
		class: class
		reverseOrdinal: 2) isNil
			ifFalse: [ 'prior time stamp: ' , stamp ]! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:14'!
priorVersionsCount
	"A report of how many previous versions there are of the method."
	
	| versionsCount |
	versionsCount := VersionsBrowser 
		versionCountForSelector: selector class: class.
	^ versionsCount > 1
		ifTrue: [
			versionsCount = 2
				ifTrue: [ '1 prior version' ]
				ifFalse: [ versionsCount printString, ' prior versions' ] ]
		ifFalse: [ 'no prior versions' ]! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:13'!
recentChangeSet
	"The most recent change set bearing the method."
	
	^ ChangeSet mostRecentChangeSetWithChangeForClass: class selector: selector! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:12'!
sendersCount
	"A report of how many senders there of the message."
	
	| sendersCount |
	sendersCount := (self systemNavigation allCallsOn: selector)
		size.
	^ sendersCount = 1
		ifTrue: [ '1 sender' ]
		ifFalse: [ sendersCount printString , ' senders' ]! !

!AnnotationRequest methodsFor: 'accessing' stamp: 'dc 5/2/2007 18:14'!
separator: aString
	separator := aString! !

!AnnotationRequest methodsFor: 'requests' stamp: 'lr 8/15/2010 17:10'!
timeStamp
	"The time stamp of the last submission of the method."
	
	^ self method isNil ifFalse: [ self method timeStamp ]! !

Object subclass: #IconicButtonStateHolder
	instanceVariableNames: 'target actionSelector arguments labelGraphic color extent helpText borderWidth'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!IconicButtonStateHolder commentStamp: '<historical>' prior: 0!
An IconicButtonStateHolder is a state holder for Iconic button.

Since Nautilus cache the icon, I do not want to keep pointers to the iconic button's target.
I use this state holder for the storage!

!IconicButtonStateHolder class methodsFor: 'instance creation' stamp: ''!
forIcon: icon

	^ self new
		forIcon: icon;
		yourself	! !

!IconicButtonStateHolder class methodsFor: 'instance creation' stamp: ''!
forNautilus: icon

	^ self new
		forIcon: icon;
		target: nil;
		yourself	! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
actionSelector
	^ actionSelector! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
actionSelector: anObject
	actionSelector := anObject! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
arguments

	^ arguments! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
arguments: anObject
	arguments := anObject! !

!IconicButtonStateHolder methodsFor: 'protocol' stamp: ''!
asIcon

	^ IconicButton new 
		target: self target;
		actionSelector: self actionSelector;
		arguments: self arguments;
		labelGraphic: self labelGraphic;
		color: self color;
		helpText: self helpText;
		extent: self extent;
		borderWidth: self borderWidth! !

!IconicButtonStateHolder methodsFor: 'protocol' stamp: ''!
asIconTargetting: newTarget

	^ IconicButton new 
		target: newTarget;
		actionSelector: self actionSelector;
		arguments: self arguments;
		labelGraphic: self labelGraphic;
		color: self color;
		helpText: self helpText;
		extent: self extent;
		borderWidth: self borderWidth! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
borderWidth
	^ borderWidth! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
borderWidth: anObject
	borderWidth := anObject! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
color
	^ color! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
color: anObject
	color := anObject! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
extent
	^ extent! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
extent: anObject
	extent := anObject! !

!IconicButtonStateHolder methodsFor: 'protocol' stamp: ''!
forIcon: icon

	self 
		target: icon target;
		actionSelector: icon actionSelector;
		arguments: icon arguments;
		labelGraphic: icon labelGraphic;
		color: icon color;
		helpText: icon helpText;
		extent: icon extent;
		borderWidth: icon borderWidth! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
helpText
	^ helpText! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
helpText: anObject
	helpText := anObject! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
labelGraphic
	^ labelGraphic! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
labelGraphic: anObject
	labelGraphic := anObject! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
target
	^ target! !

!IconicButtonStateHolder methodsFor: 'accessing' stamp: ''!
target: anObject
	target := anObject! !

Object subclass: #NautilusIcons
	instanceVariableNames: ''
	classVariableNames: 'Icons Instance'
	poolDictionaries: ''
	category: 'NautilusCommon'!

!NautilusIcons commentStamp: 'lr 7/10/2009 11:12' prior: 0!
Most of these icons come from http://www.famfamfam.com/lab/icons. They are licensed under the Creative Commons Attribution 3.0 License by Mark James.!

!NautilusIcons class methodsFor: 'accessing' stamp: 'lr 3/28/2009 16:15'!
default
   ^ Instance ifNil: [ Instance := self new ]! !

!NautilusIcons class methodsFor: 'accessing' stamp: 'dr 9/4/2008 16:35'!
iconNamed: aSymbol
	^ Icons at: aSymbol ifAbsentPut: [self default perform: aSymbol]! !

!NautilusIcons class methodsFor: 'initialization' stamp: 'lr 3/21/2009 19:49'!
initialize
	Instance := nil.
	Icons := IdentityDictionary new! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 2/21/2012 01:53'!
abstract
    ^(Form
	extent: 12@12
	depth: 32
	fromArray: #(16777215 16777215 369098752 1912602624 2717908992 3019898880 3640655872 3841982464 3674210304 3405774848 385875968 16777215 16777215 1811939328 1845493760 352321536 16777215 16777215 134217728 2432696320 3539992576 3590324224 16777215 16777215 1442840576 2264924160 16777215 16777215 16777215 50331648 2667577344 1241513984 3053453312 2952790016 16777215 16777215 3154116608 1543503872 16777215 16777215 16777215 1509949440 2617245696 16777215 3422552064 2650800128 16777215 16777215 4060086272 2399141888 16777215 16777215 16777216 3523215360 671088640 16777215 3607101440 2399141888 16777215 16777215 3439329280 1325400064 16777215 16777215 1342177280 3019898880 16777215 16777215 3472883712 2533359616 16777215 16777215 436207616 16777215 16777215 16777215 3087007744 1426063360 16777215 16777215 3238002688 2952790016 16777215 16777215 16777215 16777215 16777215 520093696 4244635648 4060086272 4026531840 3825205248 3690987520 3472883712 16777215 16777215 16777215 16777215 16777215 2231369728 1996488704 16777215 16777215 16777215 2483027968 3992977408 16777215 16777215 16777215 16777215 201326592 3321888768 134217728 16777215 16777215 16777215 1962934272 4278190080 318767104 16777215 16777215 771751936 2583691264 922746880 83886080 16777215 16777215 16777215 1090519040 4278190080 2617245696 1811939328 1929379840 3707764736 3875536896 3254779904 201326592 16777215 16777215 16777215 134217728 3791650816 2214592512 419430400)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 8/23/2011 17:49'!
alert
    ^(Form
	extent: 16@16
	depth: 32
	fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 2919235584 2919235584 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255616 4278255616 3338665984 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283633923 4283633923 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255616 4291897863 4291897863 4278255616 3338665984 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283633923 4294914824 4294914824 4283633923 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255616 4291897863 4294914824 4294914824 4291897863 4278255616 3338665984 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283568131 4294914824 4294914824 4294914824 4294914824 4283568131 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255616 4291832327 4294914824 4294914824 4294914824 4294914824 4291832327 4278255616 3338665984 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283502595 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4283502595 4278190080 1207959552 16777215 16777215 16777215 16777215 3338665984 4278255616 4291832327 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4291832327 4278255616 3338665984 16777215 16777215 16777215 1207959552 4278190080 4283437059 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4283437059 4278190080 1207959552 16777215 16777215 3338665984 4278255616 4291766534 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4291766534 4278255616 3338665984 16777215 1207959552 4278190080 4283437059 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4294914824 4283437059 4278190080 1207959552 3288334336 4278190080 4280813569 4282322178 4282322178 4282322178 4282322178 4282322178 4282322178 4282322178 4282322178 4282322178 4282322178 4280813569 4278190080 3321888768 3238068224 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3254845440)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 7/10/2009 11:17'!
announcement
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 168300858 976894522 976888885 34288443 993737531 993722369 959979575 673982238 103889690 87761712 705236742 120273668 87758851 152641799 789920516 959985427 204284436 488586007 34289723 993723152 926613505 168311098 976632635 473311541 1010580540 1007826230 840318012 1010580540 456396046 1010580540 1010580526 623262780 1010580540 1010580540 1010580540 1010580540)
	offset: 0@0)
	colorsFromArray: #(#(0.706 0.788 0.875) #(0.439 0.596 0.761) #(0.545 0.674 0.807) #(0.887 0.934 0.996) #(0.538 0.667 0.804) #(0.423 0.585 0.753) #(0.859 0.918 0.992) #(0.844 0.91 0.992) #(0.577 0.694 0.819) #(0.879 0.93 0.996) #(0.953 0.969 0.98) #(0.663 0.757 0.855) #(0.863 0.922 0.992) #(0.372 0.549 0.733) #(0.71 0.792 0.879) #(0.867 0.926 0.996) #(0.815 0.891 0.992) #(0.361 0.542 0.729) #(0.435 0.592 0.761) #(0.875 0.926 0.996) #(0.827 0.902 0.992) #(0.819 0.894 0.992) #(0.678 0.768 0.863) #(0.49 0.635 0.784) #(0.898 0.941 0.996) #(0.867 0.922 0.996) #(0.482 0.628 0.78) #(0.639 0.741 0.848) #(0.937 0.953 0.973) #(0.815 0.894 0.992) #(0.871 0.926 0.996) #(0.819 0.894 0.988) #(0.941 0.965 0.996) #(0.855 0.914 0.992) #(0.84 0.906 0.992) #(0.91 0.945 0.996) #(0.522 0.655 0.796) #(0.431 0.592 0.757) #(0.745 0.815 0.891) #(0.883 0.934 0.996) #(0.902 0.945 0.996) #(0.458 0.612 0.768) #(0.891 0.937 0.996) #(0.836 0.902 0.992) #(0.894 0.937 0.996) #(0.851 0.914 0.992) #(0.914 0.937 0.965) #(0.831 0.902 0.992) #(0.902 0.941 0.996) #(0.863 0.918 0.992) #(0.365 0.545 0.729) #(0.984 0.988 0.992) #(0.6 0.714 0.831) #(0.906 0.934 0.961) #(0.616 0.721 0.836) #(0.914 0.949 0.996) #(0.992 0.996 0.996) #(0.353 0.534 0.725) #(0.345 0.53 0.721) #(1.0 1.0 1.0)))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/7/2011 14:10'!
arrowDoubleDown
	^ Form
		extent: 12@6
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 1711418368 4278893824 4278893824 1711418368 16777215 16777215 16777215 16777215 16777215 16777215 1644306688 3540342528 3590744064 4278961664 4278961664 3590744064 3540342528 1644306688 16777215 16777215 16777215 16777215 33554432 3120842496 4278962176 4278962688 4278962688 4278962176 3120842496 33554432 16777215 16777215 16777215 16777215 16777215 402722560 3590744064 4278962688 4278962688 3590744064 402722560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1308764928 3959984384 3959984384 1308764928 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2315466752 2315466752 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/7/2011 14:09'!
arrowDoubleUp
	^ Form
		extent: 12@6
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 2315466752 2315466752 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1308764928 3959984384 3959984384 1308764928 16777215 16777215 16777215 16777215 16777215 16777215 16777215 402722560 3590744064 4278962688 4278962688 3590744064 402722560 16777215 16777215 16777215 16777215 16777215 33554432 3120842496 4278962176 4278962688 4278962688 4278962176 3120842496 33554432 16777215 16777215 16777215 16777215 1644306688 3540342528 3590744064 4278961664 4278961664 3590744064 3540342528 1644306688 16777215 16777215 16777215 16777215 16777215 16777215 1711418368 4278893824 4278893824 1711418368 16777215 16777215 16777215 16777215)
		offset: 0@0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/7/2011 13:49'!
arrowDown
	^ Form
		extent: 12@12
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1157900544 3154467840 3154467840 1157900544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1711483648 4278893824 4278893824 1711483648 16777215 16777215 16777215 16777215 16777215 16777215 1661149440 3624228608 3657853952 4278961664 4278961664 3657853952 3624228608 1661149440 16777215 16777215 16777215 16777215 16777216 3070510592 4278962176 4278962688 4278962688 4278962176 3070510592 16777216 16777215 16777215 16777215 16777215 16777215 352324608 3573966336 4278962688 4278962688 3573966336 352324608 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1258499072 3959984128 3959984128 1258499072 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2315532032 2315532032 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/7/2011 13:48'!
arrowUp
	^ Form
		extent: 12@12
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 2315532032 2315532032 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1275276288 3959984384 3959984384 1275276288 16777215 16777215 16777215 16777215 16777215 16777215 16777215 369104640 3573967104 4278962688 4278962688 3573967104 369104640 16777215 16777215 16777215 16777215 16777215 16777216 3087288576 4278962176 4278962688 4278962688 4278962176 3087288576 16777216 16777215 16777215 16777215 16777215 1610818304 3540342528 3590744320 4278961664 4278961664 3590744064 3540342528 1610818304 16777215 16777215 16777215 16777215 16777215 16777215 1711483648 4278893824 4278893824 1711483648 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1157900544 3154467840 3154467840 1157900544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/7/2011 13:46'!
arrowUpAndDown
	^ Form
		extent: 12@12
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 2315532032 2315532032 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1308830464 3959984128 3959984128 1308830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 402658560 3590744064 4278962688 4278962688 3590744064 402658560 16777215 16777215 16777215 16777215 16777215 33554432 3120842496 4278962176 4278962688 4278962688 4278962176 3120842496 33554432 16777215 16777215 16777215 16777215 1644372480 3540342528 3590744064 4278961664 4278961664 3590744064 3540342528 1644372480 16777215 16777215 16777215 16777215 16777215 16777215 1711483648 4278893824 4278893824 1711483648 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1711483648 4278893824 4278893824 1711483648 16777215 16777215 16777215 16777215 16777215 16777215 1644372480 3540342528 3590744064 4278961664 4278961664 3590744064 3540342528 1644372480 16777215 16777215 16777215 16777215 33554432 3120842496 4278962176 4278962688 4278962688 4278962176 3120842496 33554432 16777215 16777215 16777215 16777215 16777215 402658560 3590744064 4278962688 4278962688 3590744064 402658560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1308830464 3959984128 3959984128 1308830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2315532032 2315532032 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 3/28/2009 16:04'!
blank
	^ Form extent: 12 @ 12 depth: 8! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 3/30/2011 12:44'!
bookIcon
	^(Form
	extent: 12@12
	depth: 32
	fromArray: #( 0 0 0 0 0 284817913 552924404 0 0 0 0 0 0 0 0 0 817149108 3747766882 4287730065 2679749049 549766340 0 0 0 0 0 0 1086110908 4016202338 4287137928 4288914339 4288914339 4289111718 3216290996 1086505666 0 0 0 816754350 4014952271 4287137928 4289309097 4289769648 4289111718 4288453788 4288453788 4288453788 2947658161 0 814846353 4283782485 4287072135 4288059030 4288059030 4288387995 4289243304 4289309097 4287927444 4287598479 2411050421 1081900156 4283585106 4286611584 4287532686 4287532686 4287466893 4287466893 4287401100 4287401100 4287401100 4288716960 2946868645 3211290728 4288651167 4287269514 4287006342 4287006342 4287006342 4286940549 4286940549 4287203721 4289177511 3483213213 281725642 2677183122 4293190884 4292861919 4289177511 4286874756 4286611584 4286611584 4287006342 4289638062 4020084125 549042617 0 282054607 2677643673 4289572269 4293256677 4292796126 4288980132 4287137928 4290164406 4020215711 816754350 0 0 0 0 551082200 2677643673 4289572269 4293256677 4292401368 4289177511 1085584564 0 0 0 0 0 0 0 551213786 2677643673 4288651167 1623244992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 8/2/2007 19:32'!
breakpoint
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 437918234 437918234 437918234 437654804 319885069 26 437590295 404100630 100859930 437524241 269290764 100860442 437327375 235736076 67305498 437261581 218893324 67305754 437130258 303174162 84082970 436931081 134678279 196890 437918234 437918234 196890 454761243 454761242 196890 454761243 454761242 196634 454761243 454761242 26)
	offset: 0@0)
	colorsFromArray: #(#(0.349 0.212 0.098) #(0.329 0.2 0.094) #(0.376 0.232 0.109) #(0.694 0.462 0.271) #(0.608 0.271 0.204) #(0.545 0.185 0.113) #(0.784 0.322 0.294) #(0.721 0.023 0.023) #(0.788 0.055 0.055) #(0.848 0.106 0.106) #(0.875 0.137 0.137) #(0.914 0.208 0.208) #(0.953 0.298 0.298) #(0.953 0.318 0.318) #(0.953 0.333 0.333) #(0.953 0.349 0.349) #(0.953 0.365 0.365) #(0.953 0.388 0.388) #(0.922 0.427 0.427) #(0.953 0.482 0.482) #(0.949 0.542 0.538) #(0.957 0.592 0.592) #(0.953 0.624 0.62) #(0.984 0.879 0.879) #(0.988 0.898 0.898) #(0.992 0.918 0.918) #(1.0 1.0 1.0) #( )))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:23'!
byteCodePressedIcon
	^ Form
		extent: 24 @ 24
		depth: 32
		fromArray: #(4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289638062 4289374890 4289374890 4289374890 4289374890 4289374890 4289638062 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4288782753 4280098078 4278190080 4278190080 4278190080 4278190080 4278190080 4278255873 4279045389 4280098077 4283124555 4287730065 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278190595 4278191367 4278191367 4278191367 4278191367 4278190853 4278190080 4278190080 4278190080 4278255873 4284703587 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278231527 4278211962 4278209903 4278211448 4278219685 4278222774 4278207843 4278190337 4278255873 4287006342 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278207329 4278190080 4278190080 4278190080 4278190080 4278210932 4278232557 4278208616 4278190080 4283256141 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278202695 4278190080 4282532418 4282992969 4278190080 4278192397 4278232299 4278219943 4278190080 4281282351 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278202695 4278190080 4282203453 4282664004 4278190080 4278193169 4278232300 4278212991 4278190080 4282729797 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278208100 4278190080 4278190080 4278190080 4278190080 4278212734 4278217625 4278191624 4278190080 4285887861 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278231784 4278213249 4278211190 4278213507 4278224834 4278231013 4278191624 4278190080 4279703319 4289506476 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278222259 4278191882 4278190080 4278191110 4278200635 4278217368 4278210674 4278190337 4278190080 4283124555 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278202695 4278190080 4278190080 4278190080 4278190080 4278190080 4278223547 4278220457 4278190080 4279045389 4289703855 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278202695 4278190080 4286348412 4288980132 4282466625 4278190080 4278208358 4278232557 4278195487 4278190080 4287203721 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278202695 4278190080 4284243036 4286019447 4280624421 4278190080 4278211448 4278232557 4278201664 4278190080 4286151033 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278203982 4278190080 4278190080 4278190080 4278190080 4278257676 4278227665 4278229983 4278193427 4278190080 4288387995 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278206556 4278232557 4278228438 4278202694 4278200635 4278201665 4278211447 4278226121 4278223289 4278200121 4278190080 4280492835 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4285295724 4278190080 4278194198 4278200635 4278200635 4278200635 4278200635 4278200378 4278197030 4278192140 4278190080 4278190080 4279111182 4288256409 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4287795858 4278848267 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4279111182 4283716692 4288651167 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4288322202 4286874756 4286874756 4286874756 4286874756 4286874756 4286940549 4287664272 4288848546 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931 4281084972 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 4285229931)
		offset: 0 @ 0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 21:37'!
byteCodeSelectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4285690740 4283388242 4283388242 4283388242 4283388242 4283388242 4283914072 4284900966 4286019447 4289045925 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278210160 4278212477 4278212477 4278212477 4278212477 4278278012 4278601314 4278858308 4278586382 4282205255 4289506476 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278232557 4278231784 4278231270 4278232042 4278232557 4278232557 4278229725 4278596680 4282204997 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278227151 4278388489 4278387974 4278454282 4278793287 4278229982 4278232557 4278231013 4278388232 4289374890 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278224062 4279837479 4289769648 4289111718 4281349688 4278279815 4278232557 4278232557 4278787366 4287532686 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278224062 4279837479 4289769648 4288651167 4281086517 4278280588 4278232557 4278231527 4278454539 4288848546 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278227665 4278388746 4278190080 4278454796 4278729295 4278230497 4278232299 4278405738 4280165673 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278232557 4278232557 4278232557 4278232557 4278232557 4278232557 4278280844 4278716939 4288453788 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278231784 4278213249 4278211190 4278212992 4278223547 4278232299 4278229983 4278664018 4279573535 4288914339 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278224062 4278980883 4283979864 4283256913 4279573793 4278729811 4278232557 4278232557 4278662988 4285295724 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278224062 4279837479 4289769648 4289769648 4289177511 4278586125 4278229468 4278232557 4278217111 4281350203 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278224062 4279837479 4289769648 4289769648 4287795858 4278586897 4278231270 4278232557 4278222517 4280100651 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278225349 4278520075 4280298031 4279705635 4278520589 4278541957 4278232557 4278232557 4278214280 4282533705 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278227923 4278232557 4278232557 4278223805 4278222002 4278223804 4278231785 4278232557 4278232557 4278225091 4278652691 4287203721 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4278981398 4278218398 4278222002 4278222002 4278222002 4278222002 4278221745 4278218656 4278214537 4278727752 4278717968 4285624947 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4282994771 4280298031 4280298031 4280298031 4280298031 4280298031 4280363824 4281284668 4282731084 4285164138 4289243304 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 21:38'!
byteCodeUnselectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4285756275 4283519313 4283519313 4283519313 4283519313 4283519313 4283914071 4284900966 4286019447 4289045925 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4282137660 4282664004 4282664004 4282664004 4282664004 4282598211 4281874488 4280887593 4278848010 4282532418 4289506476 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4286611584 4286414205 4286348412 4286479998 4286611584 4286611584 4286019447 4280887593 4282532418 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4285558896 4278584838 4278519045 4278650631 4281019179 4286085240 4286611584 4286282619 4278584838 4289374890 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4284900966 4280361249 4289769648 4289111718 4281677109 4282992969 4286611584 4286611584 4279834905 4287532686 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4284900966 4280361249 4289769648 4288651167 4281413937 4283190348 4286611584 4286414205 4278716424 4288848546 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4285624689 4278650631 4278190080 4278716424 4281282351 4286151033 4286545791 4282006074 4280558628 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4283190348 4278848010 4288453788 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4286414205 4282795590 4282400832 4282729797 4284835173 4286545791 4286085240 4281282351 4279966491 4288914339 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4284900966 4279242768 4283979864 4283387727 4280032284 4281348144 4286611584 4286611584 4281084972 4285295724 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4284900966 4280361249 4289769648 4289769648 4289177511 4278848010 4286019447 4286611584 4283519313 4281742902 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4284900966 4280361249 4289769648 4289769648 4287795858 4278979596 4286348412 4286611584 4284637794 4280558628 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4285164138 4278716424 4280821800 4280163870 4278782217 4283058762 4286611584 4286611584 4282992969 4282795590 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4285690482 4286611584 4286611584 4284900966 4284506208 4284835173 4286479998 4286611584 4286611584 4285098345 4279045389 4287203721 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4279308561 4283782485 4284506208 4284506208 4284506208 4284506208 4284440415 4283848278 4283058762 4280953386 4278979596 4285690482 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4283387727 4280821800 4280821800 4280821800 4280821800 4280821800 4280887593 4281742902 4282992969 4285164138 4289243304 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4174039754)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:46'!
classVarsPressedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289572269 4286874756 4284900966 4282992969 4281611316 4282598211 4283979864 4287072135 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4287137928 4280163870 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4279966491 4287664272 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4283716692 4278255873 4278190080 4278190125 4278190199 4278190242 4278190255 4278190240 4278190204 4278190114 4278190080 4281940281 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4286348412 4278190080 4278255883 4278190222 4278190321 4278190189 4278190107 4278190080 4278190084 4278190119 4278190158 4278190080 4281611316 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289111718 4279440147 4278190080 4278190247 4278190321 4278190124 4278190080 4278190080 4279242768 4278782217 4278190080 4278190080 4278190080 4281611316 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4284769380 4278190080 4278190153 4278190335 4278190200 4278190080 4280492835 4288059030 4289769648 4289769648 4287993237 4282400832 4278255873 4283585106 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4282664004 4278190080 4278190238 4278190332 4278190091 4278387459 4288059030 4289769648 4289769648 4289769648 4289769648 4289769648 4289374890 4289703855 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4280756007 4278190080 4278190281 4278190301 4278190080 4280229663 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4279308561 4278190080 4278190312 4278190273 4278190080 4281216558 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4280690214 4278190080 4278190281 4278190300 4278190080 4280229663 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4282664004 4278190080 4278190239 4278190331 4278190090 4278387459 4288059030 4289769648 4289769648 4289769648 4289769648 4289769648 4289374890 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4284572001 4287466893 4289769648 4289769648 4284703587 4278190080 4278190156 4278190335 4278190200 4278190080 4230095394 4070086808 4038111408 4021334192 4237661589 4282400832 4278255873 4283848278 4289769648 4289769648 4290559164 4292138196 4244898820 4110681092 4283716692 4286940549 4289769648 4289769648 4289111718 4279374354 4278190080 4278190245 4278190321 4278190120 4278190080 4278190080 4279308561 4278782217 4278190080 4278190080 4278190080 4281611316 4289769648 4289769648 4290756543 4291480266 4111207436 3691645450 4282664004 4286085240 4289769648 4289769648 4289769648 4286151033 4278190080 4278255885 4278190229 4278190321 4278190186 4278190102 4278190080 4278190082 4278190117 4278190158 4278190080 4281611316 4289769648 4289769648 4291151301 4289703855 3826915866 2147615234 4196935720 4284440415 4289703855 4289769648 4289769648 4289769648 4283387727 4278190080 4278190080 4278190131 4278190199 4278190239 4278190252 4278190242 4278190211 4278190116 4278190080 4281940281 4289769648 4289769648 4292006610 4271018642 3037662991 738197504 4127853066 4283979864 4288387995 4289769648 4289769648 4289769648 4289769648 4286940549 4280163870 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4279966491 4287664272 4289769648 4290230199 4292335575 4047256636 1728053248 14684133 3892708870 4282729797 4286151033 4289769648 4289769648 4289769648 4289769648 4289769648 4289572269 4286611584 4284703587 4282927176 4281479730 4282400832 4283914071 4287072135 4289769648 4289769648 4289769648 4291217094 4290493371 4077521418 150994944 14684133 1392640514 4077981969 4283914071 4288190616 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4292138196 4097259319 2064058119 14684133 14684133 14684133 2986541827 4078968864 4284572001 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289901234 4291875024 4149367378 2987133964 16777216 14684133 14684133 14684133 134217728 3188065798 4162723358 4284045657 4288848546 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290230199 4289374890 4213844522 3205632530 117440512 14684133 14684133 14684133 14684133 14684133 67108864 2147681027 4093969669 4179697953 4284308829 4287203721 4289177511 4289769648 4289769648 4289769648 4289769648 4289374890 4287861651 4284637794 4196672548 3994030096 1594427657 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 167772160 1862599941 3255964178 3741911305 4161210119 4228055811 4227990018 4227990018 4228055811 4177921542 3708751631 2602573856 822346756 14684133 14684133 14684133 14684133 14684133 14684133)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:46'!
classVarsSelectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4288519581 4287006342 4287927444 4289309097 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4285690483 4279900714 4278519052 4278716443 4278913850 4278848038 4278387465 4280361263 4285361517 4289638062 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4288190616 4280690227 4278716465 4278190269 4278190323 4278190335 4278190335 4278190335 4278190331 4278190259 4278650662 4286282619 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289243304 4279242778 4278256016 4278190333 4278190335 4278190312 4278190237 4278387569 4278256001 4278190247 4278190319 4278782296 4285953654 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4282664011 4278584928 4278190335 4278190335 4278190258 4278650646 4281940294 4284703588 4283848281 4281150779 4278650643 4278387485 4285953654 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4288059030 4278650646 4278190320 4278190335 4278190308 4278650642 4287401100 4289769648 4289769648 4289769648 4289769648 4288322202 4283124562 4288453788 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4285822068 4278848084 4278190335 4278190335 4278584939 4283321940 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4182724431 4283979864 4289572269 4289769648 4289769648 4283650902 4278256002 4278190335 4278190335 4278848054 4286874756 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4216344656 4283979864 4289572269 4289769648 4289769648 4281479743 4278190248 4278190335 4278190335 4278716441 4288453788 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3988174518 4249899088 4283979864 4289572269 4289769648 4289769648 4282927182 4278256014 4278190335 4278190335 4278848045 4287335307 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 4122458039 4249964881 4283979864 4289572269 4289769648 4289769648 4285229931 4278782304 4278190335 4278190335 4278716502 4284703588 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 4189501110 4233253458 4284045657 4289638062 4289769648 4289769648 4287335307 4278848039 4278190333 4278190335 4278190281 4279045400 4221937061 4222660784 4222660784 4222660784 4272992432 4289638062 4286348412 4289374890 4289769648 4289769648 4289967027 4292335575 4155946678 3813362507 4283979864 4289309097 4289769648 4289769648 4289703855 4280624432 4278321807 4278190335 4278190335 4278519161 4279111193 4285295724 4287598479 4286874756 4284703587 4279440159 4278321671 4285953654 4289769648 4289769648 4290032820 4292335575 3669802172 3696448339 4283979864 4288651167 4289769648 4289769648 4289769648 4288256409 4278716435 4278190290 4278190335 4278190335 4278190267 4278716505 4278913837 4278913852 4278584933 4278190271 4278782296 4285953654 4289769648 4289769648 4290361785 4292335575 3602430136 2706789974 4283979864 4286940549 4289769648 4289769648 4289769648 4289769648 4286019448 4278782227 4278519155 4278190323 4278190335 4278190335 4278190335 4278190335 4278190335 4278190315 4278584893 4285953654 4289769648 4289769648 4291085508 4292335575 2829757098 1195064123 4267202648 4285098345 4289769648 4289769648 4289769648 4289769648 4289769648 4288848546 4282071876 4278387465 4278848048 4278716507 4278255999 4278650727 4278913856 4278584846 4282006084 4288980132 4289769648 4289769648 4291940817 4275624152 1299740792 33554432 3746516815 4283979864 4288980132 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4288980132 4287072135 4285295724 4283914071 4285032552 4286479998 4289243304 4289769648 4289769648 4289769648 4290230199 4292335575 3703356604 83886080 14684133 2102612819 4267202648 4285624689 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291743438 4275558359 2089980562 14684133 14684133 33554432 2957856077 4283979864 4287466893 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291019715 4292335575 2879628195 33554432 14684133 14684133 14684133 268435456 3444461134 4284243036 4288059030 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292138196 3299716525 154613559 14684133 14684133 14684133 14684133 14684133 239618120 2706789974 4115747153 4286743170 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289901234 4291282887 3955146430 2376114336 41975936 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 673588774 2706724181 3462356831 3446369131 4237398417 4221147545 4120484249 4103772826 4187593113 4087390368 3047860906 3098718898 2192157097 234881023 14684133 14684133 14684133 14684133 14684133)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:45'!
classVarsUnselectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4288519581 4287006342 4287927444 4289309097 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4285756275 4280427042 4278716424 4279308561 4280492835 4279769112 4278584838 4280821800 4285361517 4289638062 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4288190616 4281084972 4280032284 4284440415 4286216826 4286611584 4286611584 4286611584 4286479998 4284111450 4279703319 4286282619 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289243304 4279571733 4282992969 4286545791 4286611584 4285822068 4283387727 4282006074 4282466625 4283716692 4286085240 4281413937 4285953654 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4282927176 4281545523 4286611584 4286611584 4284045657 4279111182 4282335039 4284769380 4283979864 4281611316 4279045389 4279242768 4285953654 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4288059030 4279111182 4286085240 4286611584 4285690482 4279045389 4287401100 4289769648 4289769648 4289769648 4289769648 4288322202 4283387727 4288453788 4289769648 4289769648 4290032820 4292335575 3954620086 4165947215 4283979864 4289572269 4289769648 4289769648 4285822068 4281282351 4286611584 4286611584 4281940281 4283519313 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4182724431 4283979864 4289572269 4289769648 4289769648 4283716692 4282532418 4286611584 4286611584 4280295456 4286874756 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3954620086 4216344656 4283979864 4289572269 4289769648 4289769648 4281940281 4283716692 4286611584 4286611584 4279308561 4288453788 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3988174518 4249899088 4283979864 4289572269 4289769648 4289769648 4283124555 4282927176 4286611584 4286611584 4279966491 4287335307 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 4122458039 4249964881 4283979864 4289572269 4289769648 4289769648 4285229931 4281677109 4286611584 4286611584 4281282351 4284769380 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 4189501110 4233253458 4284045657 4289638062 4289769648 4289769648 4287335307 4279834905 4286545791 4286611584 4284835173 4279440147 4221937061 4222660784 4222660784 4222660784 4272992432 4289638062 4286348412 4289374890 4289769648 4289769648 4289967027 4292335575 4155946678 3813362507 4283979864 4289309097 4289769648 4289769648 4289703855 4280953386 4282992969 4286611584 4286611584 4282335039 4279440147 4285295724 4287598479 4286874756 4284703587 4279834905 4278519045 4285953654 4289769648 4289769648 4290032820 4292335575 3669802172 3696448339 4283979864 4288651167 4289769648 4289769648 4289769648 4288256409 4279111182 4285098345 4286611584 4286611584 4284374622 4281413937 4280032284 4280492835 4281677109 4284506208 4281413937 4285953654 4289769648 4289769648 4290361785 4292335575 3602430136 2706789974 4283979864 4286940549 4289769648 4289769648 4289769648 4289769648 4286085240 4279111182 4282137660 4286216826 4286611584 4286611584 4286611584 4286611584 4286611584 4285953654 4280427042 4285953654 4289769648 4289769648 4291085508 4292335575 2829757098 1195064123 4267202648 4285098345 4289769648 4289769648 4289769648 4289769648 4289769648 4288848546 4282400832 4278584838 4280098077 4281413937 4282400832 4281808695 4280690214 4278848010 4282335039 4288980132 4289769648 4289769648 4291940817 4275624152 1299740792 33554432 3746516815 4283979864 4288980132 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4288980132 4287072135 4285295724 4283914071 4285032552 4286479998 4289243304 4289769648 4289769648 4289769648 4290230199 4292335575 3703356604 83886080 14684133 2102612819 4267202648 4285624689 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291743438 4275558359 2089980562 14684133 14684133 33554432 2957856077 4283979864 4287466893 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291019715 4292335575 2879628195 33554432 14684133 14684133 14684133 268435456 3444461134 4284243036 4288059030 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292138196 3299716525 154613559 14684133 14684133 14684133 14684133 14684133 239618120 2706789974 4115747153 4286743170 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289901234 4291282887 3955146430 2376114336 41975936 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 673588774 2706724181 3462356831 3446369131 4237398417 4221147545 4120484249 4103772826 4187593113 4087390368 3047860906 3098718898 2192157097 234881023 14684133 14684133 14684133 14684133 14684133)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 3/29/2009 14:02'!
collection
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 168952850 171324982 909522486 255008812 271977989 285543990 706029348 70649368 724044854 254681884 271986469 689508662 135534100 137758237 890965046 909522486 909513472 436212534 909508866 151126326 909522486 909511457 807338806 909522486 909521969 841353526 909522486 909511458 504824630 909522486 909511943 755436854 909522486 909522486 909522486 909522486)
	offset: 0@0)
	colorsFromArray: #(#(0.565 0.764 0.538) #(0.992 0.98 0.934) #(0.957 0.879 0.549) #(0.953 0.867 0.514) #(1.0 0.569 0.286) #(0.577 0.772 0.553) #(0.557 0.761 0.53) #(0.957 0.875 0.538) #(1.0 0.949 0.914) #(0.937 0.827 0.369) #(1.0 0.953 0.922) #(0.953 0.871 0.53) #(0.542 0.753 0.518) #(0.992 0.98 0.926) #(0.937 0.965 0.934) #(1.0 0.678 0.466) #(1.0 0.667 0.451) #(0.408 0.678 0.372) #(1.0 0.694 0.494) #(0.93 0.961 0.926) #(1.0 0.682 0.478) #(0.918 0.631 0.447) #(1.0 0.557 0.271) #(0.848 0.757 0.384) #(0.545 0.745 0.506) #(0.561 0.686 0.522) #(0.392 0.671 0.357) #(0.466 0.659 0.423) #(0.887 0.53 0.298) #(0.514 0.71 0.474) #(0.807 0.737 0.458) #(0.887 0.796 0.423) #(0.91 0.628 0.443) #(0.93 0.84 0.466) #(0.894 0.804 0.435) #(0.831 0.553 0.372) #(0.823 0.542 0.357) #(0.643 0.772 0.604) #(0.804 0.733 0.443) #(0.871 0.588 0.408) #(0.498 0.698 0.462) #(0.612 0.733 0.573) #(1.0 0.577 0.306) #(0.639 0.764 0.6) #(0.926 0.569 0.337) #(0.937 0.823 0.353) #(0.937 0.581 0.349) #(0.419 0.686 0.388) #(0.883 0.811 0.53) #(0.894 0.823 0.534) #(0.848 0.776 0.494) #(0.973 0.612 0.38) #(0.941 0.831 0.384) #(0.573 0.694 0.534) #( ) ))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:33'!
decompilePressedIcon
	^ Form
		extent: 24 @ 24
		depth: 32
		fromArray: #(4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289572269 4284703587 4284308829 4284308829 4284308829 4284572001 4285164138 4285624689 4287072135 4289111718 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4282927176 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278255873 4281282351 4286743170 4289769648 4289769648 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4280246784 4280843520 4280843520 4280776960 4280512000 4280246528 4279516928 4278522112 4278190080 4278190080 4283256141 4289703855 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4283231488 4281108992 4279450368 4279782144 4280445696 4281705728 4283098624 4281175040 4278455041 4278190080 4284637794 4289769648 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282568448 4278190080 4278190080 4278190080 4278190080 4278190080 4279450368 4282833664 4281971200 4278190336 4278650887 4288322202 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4280163870 4286677377 4284769380 4279571733 4278190080 4279914496 4283231488 4280379136 4278190080 4282598211 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4280624421 4289769648 4289769648 4288848546 4279111182 4278190080 4282369280 4282567936 4278190080 4280163870 4289769648 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4280624421 4289769648 4289769648 4289769648 4282729797 4278190080 4281506560 4283165440 4278388736 4278453252 4289572269 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4280624421 4289769648 4289769648 4289769648 4283979864 4278190080 4280910080 4283231488 4278985728 4278190080 4288453788 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4280624421 4289769648 4289769648 4289769648 4282664004 4278190080 4281506816 4283165440 4278388736 4278453252 4289572269 4290690750 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4280624421 4289769648 4289769648 4288651167 4278979596 4278190080 4282435328 4282567936 4278190080 4280163870 4289769648 4290690750 4292335575 4244898820 4244767234 4284572001 4287466893 4289769648 4289769648 4281479730 4278190080 4282103808 4282501632 4278190080 4246543645 4118773631 4167065696 4262597138 4278190080 4279981312 4283231488 4280379136 4278190080 4282598211 4289769648 4290559164 4292138196 4244898820 4110681092 4283716692 4286940549 4289769648 4289769648 4281479730 4278190080 4282103808 4282568448 4278190080 4278190080 4278190080 4278190080 4278190080 4279582976 4282899712 4282036992 4278256128 4278650887 4288322202 4289769648 4290756543 4291480266 4111207436 3691645450 4282664004 4286085240 4289769648 4289769648 4281479730 4278190080 4282103808 4283231488 4281108992 4279450368 4279781888 4280445440 4281705984 4283098624 4281175040 4278388992 4278190080 4284637794 4289769648 4289769648 4291085508 4289703855 3826915866 2147615234 4196869927 4284440415 4289703855 4289769648 4281479730 4278190080 4280246784 4280843520 4280843520 4280776960 4280512000 4280246528 4279516928 4278522112 4278190080 4278190080 4283256141 4289703855 4289769648 4289769648 4291940817 4271018642 3037662991 738197504 4111075850 4283979864 4288387995 4289769648 4282927176 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278255873 4281348144 4286743170 4289769648 4289769648 4289769648 4290164406 4292335575 4047388222 1728053248 14684133 3875931654 4282729797 4286151033 4289769648 4289572269 4284703587 4284308829 4284308829 4284308829 4284572001 4285164138 4285690482 4287072135 4289111718 4289769648 4289769648 4289769648 4289769648 4289769648 4291217094 4290756543 4060809995 150994944 14684133 1375731712 4061204753 4283914071 4288190616 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4292138196 4097193526 2064058119 14684133 14684133 14684133 2986541827 4078968864 4284572001 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289901234 4291875024 4149367378 2987133964 16777216 14684133 14684133 14684133 134217728 3188065798 4162591772 4283979864 4288848546 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290230199 4289374890 4213844522 3205632530 117440512 14684133 14684133 14684133 14684133 14684133 67108864 2147681027 4093969669 4179632160 4284308829 4287203721 4289177511 4289769648 4289769648 4289769648 4289769648 4289374890 4287861651 4284637794 4213449764 4010807312 1594427657 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 167772160 1862599941 3255964178 3741911305 4161210119 4228055811 4227990018 4227990018 4228055811 4177921542 3708751631 2602573856 839387144 14684133 14684133 14684133 14684133 14684133 14684133)
		offset: 0 @ 0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 21:44'!
decompileSelectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4285624689 4278256129 4278387970 4278387970 4278453763 4278387970 4278651397 4279046922 4280692769 4282993991 4287137928 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4283231488 4283231232 4283032320 4282767104 4282037504 4281041921 4279379209 4280955430 4288651167 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4282767104 4282104064 4282435840 4283098880 4283231488 4283231488 4283231232 4280908291 4279375887 4289045925 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279577865 4280297500 4279771412 4278454019 4280042505 4282435584 4283231488 4283231488 4280508934 4282336316 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4287795858 4289769648 4289572269 4284703842 4278784006 4282568448 4283231488 4283032320 4279180552 4286940549 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4287795858 4289769648 4289769648 4289769648 4284309339 4280175624 4283231488 4283231488 4280642818 4283980119 4289769648 4289769648 4292335575 3939487695 4182790224 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4287795858 4289769648 4289769648 4289769648 4288782753 4278850566 4283231488 4283231488 4281440768 4281810739 4289769648 4289769648 4292335575 3939487695 4216344656 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4287795858 4289769648 4289769648 4289769648 4289769648 4278454019 4283032320 4283231488 4282302464 4280100633 4289769648 4289769648 4292335575 3973042127 4249964881 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4287795858 4289769648 4289769648 4289769648 4289111718 4278651908 4283231488 4283231488 4281705728 4281284651 4289769648 4289769648 4292335575 4090416846 4249964881 4283979864 4289572269 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4287795858 4289769648 4289769648 4289769648 4285888117 4279777545 4283231488 4283231488 4280842753 4283454031 4289769648 4289769648 4292335575 4174237133 4250030674 4284045657 4289638062 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279444746 4237464210 4222660784 4222660784 4237069452 4279244556 4282104064 4283231488 4283231232 4279644936 4285887861 4289769648 4289769648 4292335575 4157394124 3813296714 4283979864 4289309097 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4279445002 4282598722 4282402365 4280429342 4278916358 4281572609 4283231488 4283231488 4281108225 4280494880 4289703855 4289769648 4289901234 4292335575 3654209230 3696448339 4283979864 4288651167 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4281904896 4280843520 4281175296 4281905152 4283032320 4283231488 4283231488 4281970944 4278783494 4287993237 4289769648 4289769648 4290230199 4292335575 3603482824 2706789974 4283979864 4286940549 4289769648 4289769648 4284111450 4280644353 4283231488 4283231488 4283231488 4283231488 4283231488 4283231488 4283164928 4282236416 4280441607 4279178508 4286743170 4289769648 4289769648 4289769648 4290953922 4292335575 2847455416 1195064123 4267202648 4285098345 4289769648 4289769648 4284506208 4279048966 4279842571 4279842571 4279842571 4279709963 4279445002 4279180553 4278585604 4279968791 4284309084 4288914339 4289769648 4289769648 4289769648 4289769648 4291743438 4275624152 1267699599 33554432 3746516815 4283979864 4288980132 4289769648 4289440683 4286940549 4286874756 4286874756 4286940549 4287203721 4287730065 4288256409 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3721252301 50331648 16777215 2102612819 4267202648 4285624689 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291480266 4275558359 2107876259 16777215 16777215 33554432 2957856077 4283979864 4287466893 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290624957 4292335575 2880944055 16777216 16777215 16777215 16777215 268435456 3444461134 4284243036 4288059030 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290427578 4292138196 3300966592 174548839 16777215 16777215 16777215 16777215 16777215 239618120 2706855767 4099035730 4286743170 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290953922 3939487695 2461118897 50331647 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 640297514 2656524119 3462422624 3429591915 4237398417 4221147545 4120484249 4120484249 4187593113 4070481566 2998055602 3065888189 2176564155 352321535 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 21:45'!
decompileUnselectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4285624689 4278321666 4278453252 4278453252 4278519045 4278387459 4278716424 4279176975 4280887593 4283058762 4287137928 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4286611584 4286545791 4286216826 4285822068 4284637794 4282927176 4279769112 4281084972 4288651167 4289769648 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4285822068 4284769380 4285295724 4286414205 4286611584 4286611584 4286545791 4282598211 4279505940 4289045925 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4280098077 4280492835 4279966491 4278519045 4280887593 4285295724 4286611584 4286611584 4281874488 4282466625 4289769648 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4287795858 4289769648 4289572269 4284703587 4278979596 4285558896 4286611584 4286216826 4279440147 4286940549 4289769648 4289769648 4292335575 3939487695 4165947215 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4287795858 4289769648 4289769648 4289769648 4284374622 4281150765 4286611584 4286611584 4282137660 4283979864 4289769648 4289769648 4292335575 3939487695 4182790224 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4287795858 4289769648 4289769648 4289769648 4288782753 4279045389 4286611584 4286611584 4283650899 4281940281 4289769648 4289769648 4292335575 3939487695 4216344656 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4287795858 4289769648 4289769648 4289769648 4289769648 4278519045 4286216826 4286611584 4285032552 4280295456 4289769648 4289769648 4292335575 3973042127 4249964881 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4287795858 4289769648 4289769648 4289769648 4289111718 4278716424 4286611584 4286611584 4284045657 4281479730 4289769648 4289769648 4292335575 4090416846 4249964881 4283979864 4289572269 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4287795858 4289769648 4289769648 4289769648 4285953654 4280492835 4286611584 4286611584 4282532418 4283519313 4289769648 4289769648 4292335575 4174237133 4250030674 4284045657 4289638062 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4237464210 4222660784 4222660784 4237069452 4279374354 4284769380 4286611584 4286545791 4280229663 4285887861 4289769648 4289769648 4292335575 4157394124 3813296714 4283979864 4289309097 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4279834905 4282664004 4282532418 4280624421 4279111182 4283782485 4286611584 4286611584 4283058762 4280690214 4289703855 4289769648 4289901234 4292335575 3654209230 3696448339 4283979864 4288651167 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4284374622 4282664004 4283190348 4284440415 4286216826 4286611584 4286611584 4284440415 4278848010 4287993237 4289769648 4289769648 4290230199 4292335575 3603482824 2706789974 4283979864 4286940549 4289769648 4289769648 4284111450 4282269246 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286479998 4284900966 4281611316 4279308561 4286743170 4289769648 4289769648 4289769648 4290953922 4292335575 2847455416 1195064123 4267202648 4285098345 4289769648 4289769648 4284506208 4279374354 4280492835 4280492835 4280492835 4280229663 4279834905 4279505940 4278650631 4280163870 4284308829 4288914339 4289769648 4289769648 4289769648 4289769648 4291743438 4275624152 1267699599 33554432 3746516815 4283979864 4288980132 4289769648 4289440683 4286940549 4286874756 4286874756 4286940549 4287203721 4287730065 4288256409 4289572269 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4292335575 3721252301 50331648 16777215 2102612819 4267202648 4285624689 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291480266 4275558359 2107876259 16777215 16777215 33554432 2957856077 4283979864 4287466893 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290624957 4292335575 2880944055 16777216 16777215 16777215 16777215 268435456 3444461134 4284243036 4288059030 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290427578 4292138196 3300966592 174548839 16777215 16777215 16777215 16777215 16777215 239618120 2706855767 4099035730 4286743170 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290953922 3939487695 2461118897 50331647 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 640297514 2656524119 3462422624 3429591915 4237398417 4221147545 4120484249 4120484249 4187593113 4070481566 2998055602 3065888189 2176564155 352321535 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 2/21/2012 02:37'!
dirtyMonticelloPackageIcon

	^ (Form
		extent: 16@16
		depth: 32
		fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 722731779 2235369994 3106932744 3394768655 301989888 16777215 16777215 100663296 2707033871 2689666317 3240297990 16777215 16777215 16777215 1985285646 3527478027 3207858441 3040217353 3577022729 4241039649 1496975882 16777215 673974023 3692692484 4156563488 3157854473 3023636745 16777215 16777215 16777215 1817054477 2200963080 16777215 2725122578 2859602707 3583055896 2674987795 959645704 3609199877 2486634761 4021558814 3257271814 924976646 16777215 16777215 16777215 16777215 33554432 16777215 3381204759 2169310477 2792296978 3464303893 3642819845 268435456 2943750931 3279885589 3408004614 16777215 16777215 16777215 16777215 16777215 16777215 706675973 3967620373 606012677 2186087693 4105248029 857801989 50331648 3667007512 2487290635 3207399175 16777215 16777215 16777215 16777215 16777215 16777215 2438729487 3094811668 16777215 3375040263 4088405277 503316480 975635974 4171504411 2350777605 2285767178 16777215 16777215 16777215 16777215 16777215 150994944 3715371795 1564477962 1598294795 3324184070 4189134109 1278085128 1984236299 3750762520 2721778186 1092551941 16777215 16777215 16777215 16777215 16777215 2270104845 3278114832 16777216 3593209607 1124598017 4120516889 637927681 2355040272 3246396693 3240625927 167772160 16777215 16777216 16777215 16777215 959908105 3747549200 858916872 1093601288 3023702538 1782516234 3598915094 33554432 2590839314 2910327828 3357607173 16777215 16777215 2065368068 16777215 1278806281 3612675598 1682771213 16777215 2605059084 1664682249 3026587921 2371227150 16777215 2506625297 2472874257 3324052741 33554432 16777215 2721253384 3694200840 3444116492 1296042506 16777215 16777215 1950485259 3693544966 3376548619 100663296 83886080 3259763981 3727624200 3927376900 3726115844 689570820 16777215 67108864 16777215 16777215 16777215 16777215 16777215 637534208 33554432 16777215 639042564 3056273159 67108864 538248196 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 3/31/2011 17:27'!
dirtyPackageIcon

	^ (Form
		extent: 15@16
		depth: 32
		fromArray:    #(16777215 16777215 16777215 16777215 16777215 16777215 55924053 417994005 50331647 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 33554432 465965843 3031638305 3903537987 3402577205 1055007009 55924053 16777215 16777215 16777215 16777215 16777215 16777215 33554432 211096853 2898203925 3903533104 4286542707 4286545791 4286874242 4037368410 3520342827 602025004 75530368 16777215 16777215 16777215 67108864 1907822094 3651740708 4254094677 4107417399 4122498132 4286807935 4189741923 4141438293 4238769019 3970982755 2898412355 399008868 41975936 50331648 3569165862 4155256623 4285098345 4285690482 4286019447 4239415384 4242881853 4191310675 4287269514 4287730065 4288848546 4290879648 4140590437 212511402 16777215 3417454134 4220740451 4173088326 4254618194 4106502465 4123936326 4287004286 4189741923 4141438550 4239162492 4191255676 4207711637 4057304204 284159983 16777215 3433903670 4285164138 4285754990 4240068945 4190259015 4287196782 4286545791 4286939521 4173685089 4258814040 4288185990 4288585374 3989996162 234881023 16777215 3618122282 4284571744 4285032552 4154738503 4286280049 4189085535 4190129742 4173682262 4220874350 4123479116 4286743170 4287269514 3990118753 150994943 16777215 3751747873 4218959157 4235610184 4170400322 4285229931 4285558896 4257240919 4285493103 4285822068 4123411524 4288113515 4107945542 4091689787 83886079 16777215 3548454687 4282203453 4233968957 4270077237 4285551186 4284966759 4290072142 4285229931 4286277479 4242418475 4123019079 4286609271 3854453836 83886079 16777216 3664647188 4280756007 4281742902 4284427822 4285086523 4286790202 4289611848 4290390056 4290652200 4291308588 4285690482 4285953654 3870967366 67108863 117440512 3313569037 4263906830 4280163613 4282654238 4282203453 4283319878 4289282112 4286729806 4284900966 4290194476 4285361517 4253703003 3486721317 41975936 16777216 134217728 1603340296 4016639245 4281337864 4280690214 4281611316 4287577405 4284835173 4284835173 4239861543 3820561958 2127435286 75513920 16777215 16777215 16777215 33554432 218103808 2543520266 4149480717 4280424986 4286460980 4285292640 4004129836 2832208402 296026112 16777215 16777215 16777215 16777215 16777215 16777215 16777215 50331648 372899840 3012103437 4187497251 3083409432 565772288 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 83886080 134217728 33554432 16777215 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 5/11/2011 14:41'!
down
    ^(Form
	extent: 24@24
	depth: 32
	fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 251658240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 251658240 16777215 16777215 16777215 16777215 16777215 1293352960 3894738944 1847590912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1847590912 3894738944 1293352960 16777215 16777215 16777215 991559680 3846701056 4291952640 3915644928 1562247168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1562247168 3915644928 4291952640 3846701056 991559680 16777215 16777215 554172416 3694657536 4291624960 4292083712 3881107456 1276837888 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1276837888 3881107456 4292083712 4291624960 3694657536 554172416 16777215 16777215 16777215 738983936 3745382400 4291821568 4292018176 3830054912 1008336896 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1008336896 3830054912 4292018176 4291821568 3745382400 738983936 16777215 16777215 16777215 16777215 16777215 906887168 3796172800 4291952640 4291887104 3779002368 772472832 16777215 16777215 16777215 16777215 16777215 16777215 772472832 3779002368 4291887104 4291952640 3796172800 906887168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1125318656 3830317056 4292083712 4291690496 3728211968 570949632 16777215 16777215 16777215 16777215 570949632 3728211968 4291690496 4292083712 3830317056 1125318656 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1343881216 3864592384 4292083712 4291428352 3660644352 402653184 16777215 16777215 402653184 3660644352 4291428352 4292083712 3864592384 1343881216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1595604992 3898867712 4292083712 4291035136 3559718912 285212672 285212672 3559718912 4291035136 4292083712 3898867712 1595604992 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1847459840 3949985792 4292083712 4290641920 3458793472 3458793472 4290641920 4292083712 3949985792 1847459840 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2115895296 4001169408 4292083712 4273733632 4273733632 4292083712 4001169408 2115895296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2367619072 4035510272 4292083712 4292083712 4035510272 2367619072 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2602500096 4103340032 4103340032 2602500096 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2770337792 2770337792 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 5/11/2011 14:42'!
downFull
    ^(Form
	extent: 24@24
	depth: 32
	fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 251658240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 251658240 16777215 16777215 16777215 16777215 16777215 1293352960 3894738944 1847590912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1847590912 3894738944 1293352960 16777215 16777215 16777215 991559680 3846701056 4291952640 3915644928 1562247168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1562247168 3915644928 4291952640 3846701056 991559680 16777215 16777215 554172416 3694657536 4291624960 4292083712 3881107456 1276837888 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1276837888 3881107456 4292083712 4291624960 3694657536 554172416 16777215 16777215 16777215 738983936 3745382400 4291821568 4292018176 3830054912 1008336896 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1008336896 3830054912 4292018176 4291821568 3745382400 738983936 16777215 16777215 16777215 16777215 16777215 906887168 3796172800 4291952640 4291887104 3779002368 772472832 16777215 16777215 16777215 16777215 16777215 16777215 772472832 3779002368 4291887104 4291952640 3796172800 906887168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1125318656 3830317056 4292083712 4291690496 3728211968 570949632 16777215 16777215 16777215 16777215 570949632 3728211968 4291690496 4292083712 3830317056 1125318656 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1343881216 3864592384 4292083712 4291428352 3660644352 402653184 16777215 16777215 402653184 3660644352 4291428352 4292083712 3864592384 1343881216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1595604992 3898867712 4292083712 4291035136 3559718912 285212672 285212672 3559718912 4291035136 4292083712 3898867712 1595604992 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1847459840 3949985792 4292083712 4290641920 3458793472 3458793472 4290641920 4292083712 3949985792 1847459840 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2115895296 4001169408 4292083712 4273733632 4273733632 4292083712 4001169408 2115895296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2367619072 4035510272 4292083712 4292083712 4035510272 2367619072 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2602500096 4103340032 4103340032 2602500096 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1260322816 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3861184512 3861184512 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 1260322816 16777215 16777215 2552365056 4290772992 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4290772992 2552365056 16777215 16777215 2552365056 4290772992 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4290772992 2552365056 16777215 16777215 2552365056 4290772992 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4292083712 4290772992 2552365056 16777215 16777215 1260322816 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 3089432576 1260322816 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/7/2011 19:12'!
emptyPackageIcon

	^ (Form
		extent: 14@16
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 33554432 61516458 61516458 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 87241523 1012027986 3211488107 2927262330 613125003 61516458 16777216 16777215 16777215 16777215 16777215 16777216 50331648 541344836 2539346779 4201672816 3530321004 3782637174 4135353468 2407102841 379099288 93952409 16777215 16777215 16777216 252710928 2085704017 3966002276 3344982112 1582519123 109084800 290147147 2070637419 3783097725 3968502410 2323677312 243302528 16777215 67108864 3277478490 4284900966 3797769565 1330071367 138428480 55924053 55924053 208300650 1919576682 4170421139 4272795053 3348008590 164021958 16777215 4134366573 3848824679 3781979244 3681644913 2992857955 1280463442 1365139038 3128325750 3868036493 3851916950 3970081185 3937382319 234881023 16777215 4150749031 3966528620 4268715887 3698224750 4017452405 4252728187 4252991359 3951396229 3599140229 4287203721 4137722016 3903498922 218103807 16777215 4099562074 1684300900 1802004584 3899617135 4184829807 3648550775 3598745471 4202330746 3598548349 1754567828 2492896918 3700790677 150994943 16777215 4047980359 1599625304 16777215 158429553 3261885548 4151604340 4286019190 2557768820 264027324 117440511 2055570821 3531768450 83886079 16777215 4197725236 1750028111 16777215 16777215 2741265508 4167921005 4285756018 1466986608 33554431 50331647 2172419196 3715857275 83886079 16777215 4212989213 3627431478 826820680 16777215 2673235542 3982516063 3698356079 1248422249 16777215 510553710 3178460019 3698816887 67108863 16777215 2586586156 4195751446 4247004196 3091218496 3209185352 4166078544 4235095405 1432774246 2003331176 4134234987 3849351280 1601993852 33554431 16777215 16777215 473183284 3274123047 4263123482 4280953386 4215094589 4285427053 4167394661 3831981927 2188077931 244486802 33554431 16777215 16777215 16777215 16777215 16777215 1093874483 3760267553 4213581093 4268649837 2758108517 492921185 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1832598331 1014528120 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 3/29/2009 14:10'!
exception
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 1583238196 1191577949 759500554 1583225870 390089009 36066088 1578711384 857557019 906518110 1581393173 991970905 1549688414 722677332 570761514 1583242846 1327383559 1091971346 5322527 792346372 337270359 1297099812 1011548469 286015067 654532190 1583242842 941838926 1432247902 1583242763 221384798 1583242846 1583224899 1029594718 1583242846 1583231050 1583242846 1583242846)
	offset: 0@0)
	colorsFromArray: #(#(0.906 0.764 0.392) #(0.945 0.867 0.6) #(0.918 0.776 0.306) #(0.969 0.922 0.815) #(0.945 0.831 0.443) #(0.953 0.84 0.443) #(0.934 0.823 0.388) #(0.953 0.819 0.286) #(0.98 0.949 0.855) #(0.93 0.815 0.376) #(0.992 0.98 0.941) #(0.894 0.733 0.302) #(0.945 0.792 0.4) #(0.898 0.725 0.286) #(0.949 0.863 0.423) #(0.965 0.91 0.737) #(0.984 0.961 0.906) #(0.914 0.772 0.365) #(0.91 0.768 0.384) #(0.941 0.844 0.415) #(0.953 0.844 0.498) #(0.965 0.871 0.4) #(0.953 0.836 0.474) #(0.945 0.859 0.439) #(0.949 0.867 0.651) #(0.988 0.965 0.867) #(0.949 0.815 0.455) #(0.957 0.855 0.542) #(0.953 0.875 0.514) #(0.957 0.836 0.341) #(0.953 0.867 0.474) #(0.914 0.78 0.474) #(0.945 0.8 0.263) #(0.934 0.811 0.431) #(0.941 0.792 0.216) #(0.93 0.788 0.443) #(0.965 0.914 0.796) #(0.965 0.891 0.51) #(0.898 0.733 0.22) #(0.906 0.764 0.435) #(0.992 0.984 0.953) #(0.898 0.737 0.275) #(0.957 0.894 0.71) #(0.992 0.977 0.914) #(0.926 0.815 0.569) #(0.918 0.788 0.333) #(0.973 0.902 0.561) #(0.918 0.788 0.286) #(0.957 0.891 0.725) #(0.937 0.815 0.396) #(0.902 0.757 0.396) #(0.965 0.867 0.369) #(0.937 0.84 0.384) #(0.934 0.836 0.526) #(0.91 0.764 0.306) #(0.887 0.721 0.333) #(0.914 0.764 0.357) #(0.941 0.855 0.412) #(0.949 0.855 0.462) #(0.949 0.811 0.232) #(0.957 0.891 0.635) #(0.945 0.863 0.659) #(0.941 0.776 0.408) #(0.953 0.855 0.474) #(0.945 0.844 0.427) #(0.941 0.78 0.236) #(0.957 0.891 0.608) #(0.875 0.69 0.216) #(0.969 0.883 0.451) #(0.906 0.761 0.286) #(0.957 0.848 0.498) #(0.934 0.836 0.396) #(0.961 0.84 0.415) #(0.941 0.831 0.408) #(0.977 0.941 0.855) #(0.949 0.875 0.604) #(0.965 0.91 0.655) #(0.922 0.757 0.404) #(0.941 0.851 0.635) #(0.965 0.914 0.698) #(0.879 0.69 0.247) #(0.898 0.741 0.353) #(0.891 0.717 0.302) #(0.973 0.934 0.804) #(0.953 0.831 0.279) #(1.0 0.996 0.992) #(0.941 0.796 0.443) #(0.941 0.804 0.486) #(0.98 0.922 0.573) #(0.914 0.772 0.345) #(0.98 0.945 0.859) #(0.902 0.725 0.322) #(0.969 0.918 0.772) #(0.926 0.8 0.357) #( ) ))! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 8/2/2007 19:32'!
flag
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 437918234 437918234 437918234 436470535 101584139 387389210 436404481 17105924 303634202 436666638 218827016 35198490 437126412 185075720 1644314 437060363 168298504 1644570 436930320 269422351 370743322 437326099 320082453 387520538 437918234 437918234 387520538 454761243 454761242 387520538 454761243 454761242 387520282 454761243 454761242 387389210)
	offset: 0@0)
	colorsFromArray: #(#(0.22 0.396 0.585) #(0.898 0.945 0.996) #(0.228 0.498 0.761) #(0.608 0.796 0.98) #(0.635 0.804 0.98) #(0.655 0.819 0.98) #(0.47 0.729 0.973) #(0.542 0.768 0.977) #(0.251 0.631 0.961) #(0.267 0.639 0.961) #(0.275 0.643 0.961) #(0.286 0.647 0.961) #(0.302 0.659 0.965) #(0.326 0.667 0.965) #(0.353 0.678 0.965) #(0.396 0.714 0.965) #(0.419 0.729 0.969) #(0.239 0.686 0.93) #(0.243 0.624 0.772) #(0.236 0.682 0.851) #(0.228 0.667 0.788) #(0.224 0.616 0.671) #(0.384 0.228 0.082) #(0.349 0.212 0.098) #(0.329 0.2 0.094) #(0.694 0.462 0.271) #(1.0 1.0 1.0) #( )))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/6/2011 18:50'!
greenArrowUpAndDown
	^ Form
		extent: 9@15
		depth: 32
		fromArray:  #(16777215 16777215 16777215 906042112 3791859456 906042112 16777215 16777215 16777215 16777215 16777215 268435456 3557049600 4278962432 3557049600 268435456 16777215 16777215 16777215 16777216 3137548288 4278894336 4278962688 4278894336 3137548288 16777216 16777215 16777215 2348951296 4161381376 4278962688 4278962688 4278962688 4161381376 2348951296 16777215 1342316032 3926358272 4278962688 4278962688 4278962688 4278962688 4278962688 3926358272 1342316032 3858831104 3842402048 3842402048 4262115584 4278962688 4262115584 3842402048 3842402048 3858831104 251658240 268435456 1140850688 4194866688 4278962688 4194866688 1140850688 268435456 251658240 16777215 16777215 939524096 4194866688 4278962688 4194866688 939524096 16777215 16777215 251658240 268435456 1140850688 4194866688 4278962688 4194866688 1140850688 268435456 251658240 3858831104 3842402048 3842402048 4262115584 4278962688 4262115584 3842402048 3842402048 3858831104 1342316032 3926358272 4278962688 4278962688 4278962688 4278962688 4278962688 3926358272 1342316032 16777215 2348951296 4161381376 4278962688 4278962688 4278962688 4161381376 2348951296 16777215 16777215 16777216 3137548288 4278894336 4278962688 4278894336 3137548288 16777216 16777215 16777215 16777215 268435456 3557049600 4278962432 3557049600 268435456 16777215 16777215 16777215 16777215 16777215 906042112 3791859456 906042112 16777215 16777215 16777215)
		offset: 0@0! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/1/2011 15:26'!
groupIcon

	^ (Form
		extent: 15@16
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 16777215 741343023 3275816768 3075604305 610139997 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 206881045 2468937512 4198039352 4282777413 4283629394 4133486431 2422472547 160417763 16777215 16777215 16777215 16777215 16777215 16777215 1593774888 3892256563 3483734080 3963682109 4282777413 4283563857 3915905900 3816339156 3866464511 1668517887 16777215 16777215 16777215 704196930 3271492893 4294906665 4294909748 4294913088 4143399757 3482178394 3546861469 4234117372 4285237503 4286026495 4286881023 3448151551 544905471 16777215 2212050759 3705883738 3892062268 4294909748 4261359168 3506413903 4043306825 3959223899 3718624710 4285237503 4286026495 3933375999 3813831421 1295737599 16777215 2261264440 4291180100 4225057616 3505218398 3640584759 4294965305 4294965317 4294965585 4294965598 3673156994 3613359861 4248921854 4282673663 1329686527 16777215 2327257906 4289868607 4290721090 3821495878 4041136203 3623152977 4294965316 4261411153 3623876694 4110415943 4015421164 4283133695 4283988479 1397584383 16777215 2255301983 4187107390 4289344061 3887095105 4291281462 4292070714 4007252563 3942249295 4294965308 4294965575 4050224622 4284448511 4068575729 1386704574 16777215 2467771800 4146608763 3898423902 3969339963 4289900083 4290820917 4274767168 4294965068 4294965582 4294965594 4051670252 3704655548 4194271886 1526686578 16777215 2567710594 4279970659 4280431990 4180689000 4269180974 4289439538 4290491968 4294965343 4294965602 4173456753 4058746767 4294936466 4294939806 1593798010 67108864 2919241572 4278982722 4279641432 4280168537 4280713254 4282219052 4288322877 4292864882 4286898294 4286775170 4276918936 4294941604 4294944944 1694069631 83886080 1879052875 4177530951 4278653495 4279377983 4279984923 4280448802 4282093368 4287035781 4287299466 4288151447 4277119914 4294946743 3824456348 669148016 16777216 150994944 587202568 3288339543 4227928107 4279059213 4279654422 4281433136 4288216727 4288610206 4289462187 4109085865 2195417203 150994944 16777216 16777215 16777215 33554432 234881024 1207970826 3858781696 4278664199 4280771878 4289396393 4255841706 3111708280 407587627 33554432 16777215 16777215 16777215 16777215 16777215 16777215 67108864 352321536 2046839040 4028261914 3734040464 1028699728 67108864 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 117440512 251658240 117440512 16777216 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:49'!
instVarsPressedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(14684133 14684133 14684133 14684133 14684133 167772160 1862599941 3255964178 3741911305 4161210119 4228055811 4227990018 4227990018 4228055811 4177921542 3708751631 2636391460 839387144 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 67108864 2147681027 4093969669 4179697953 4284308829 4287203721 4289177511 4289769648 4289769648 4289769648 4289769648 4289374890 4287795858 4284506208 4196606755 4010873105 1611270666 14684133 14684133 14684133 14684133 14684133 14684133 134217728 3188065798 4162723358 4284045657 4288848546 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290032820 4289243304 4213844522 3222409746 117440512 14684133 14684133 14684133 14684133 2986541827 4078968864 4284572001 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4291743438 4149367378 2987068171 16777216 14684133 14684133 1392640514 4077981969 4283914071 4288190616 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290230199 4292138196 4097259319 2047083524 14684133 14684133 3892708870 4282729797 4286151033 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291151301 4290493371 4060744202 150994944 738197504 4127853066 4283979864 4288387995 4289769648 4289769648 4289769648 4289769648 4289769648 4287664272 4279308561 4278519045 4278519045 4278584838 4285164138 4289769648 4289769648 4289769648 4289769648 4289769648 4290164406 4292335575 4030413627 1711276032 2147615234 4196935720 4284440415 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4278517760 4278648832 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291940817 4270952849 2970225162 3691645450 4282664004 4286085240 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291151301 4289703855 3776386839 4110681092 4283716692 4286940549 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4291480266 4094364427 4244767234 4284572001 4287532686 4289769648 4289769648 4289769648 4289769648 4289769648 4256149423 4181869122 4278190080 4289396736 4294180864 4278190080 4245819922 4222660784 4289769648 4289769648 4289769648 4289769648 4289769648 4290690750 4292138196 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4289396736 4294180864 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4282729797 4278190080 4278517760 4278648832 4278190080 4279440147 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287664272 4279308561 4278519045 4278519045 4278584838 4285164138 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4283979864 4287401100 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290756543 4292335575 4244898820 4244767234 4216805207 4186672011 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4190093247 4225226711 4228121604)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:44'!
instVarsSelectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(14684133 14684133 14684133 14684133 14684133 572991271 2623035480 3445645408 3412814699 4237332624 4221147545 4120484249 4103707033 4187593113 4137458844 3030623139 3115035563 2393417896 434891755 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 223169869 2656655705 4099035730 4286611584 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290822336 4022386880 2661590180 177838489 14684133 14684133 14684133 14684133 14684133 234881024 3444526927 4284243036 4287927444 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4292138196 3568415153 341268311 14684133 14684133 14684133 16777216 2907787601 4283979864 4287335307 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290559164 4292335575 3215830445 117440512 14684133 14684133 2069189973 4267202648 4285493103 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291414473 4292335575 2493291676 14684133 33554432 3763359824 4283979864 4288914339 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289967027 4292335575 3972384197 201326592 1195261502 4267202648 4285032552 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4288980132 4281871147 4281344032 4281344032 4281409825 4287006342 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291677645 4292335575 1653509774 2723567190 4283979864 4286808963 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280551432 4290707456 4290707456 4284219649 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290822336 4292335575 3182144427 3696514132 4283979864 4288453788 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290098613 4292335575 3870799799 3813362507 4283979864 4289111718 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 3904617403 4233187665 4284045657 4289440683 4289769648 4289769648 4289769648 4289769648 4289769648 4272992432 4237069452 4281272842 4294901760 4294901760 4286185729 4250557018 4272992432 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292269782 4240095930 4249964881 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4256873146 4249899088 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4240161723 4216344656 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4206607291 4182724431 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4281272842 4294901760 4294901760 4286185729 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4279764486 4286513152 4286513152 4282188033 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289572269 4284506208 4283979864 4283979864 4283979864 4288387995 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4115483981 4216805207 4171934378 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172394929 4225226711 4105878202)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:44'!
instVarsUnselectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(14684133 14684133 14684133 14684133 14684133 572991271 2623035480 3445645408 3412814699 4237332624 4221147545 4120484249 4103707033 4187593113 4137458844 3030623139 3115035563 2393417896 434891755 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 223169869 2656655705 4099035730 4286611584 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290822336 4022386880 2661590180 177838489 14684133 14684133 14684133 14684133 14684133 234881024 3444526927 4284243036 4287927444 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4292138196 3568415153 341268311 14684133 14684133 14684133 16777216 2907787601 4283979864 4287335307 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290559164 4292335575 3215830445 117440512 14684133 14684133 2069189973 4267202648 4285493103 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291414473 4292335575 2493291676 14684133 33554432 3763359824 4283979864 4288914339 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289967027 4292335575 3972384197 201326592 1195261502 4267202648 4285032552 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4288980132 4281479730 4280821800 4280821800 4280887593 4287006342 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291677645 4292335575 1653509774 2723567190 4283979864 4286808963 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4279637526 4284506208 4284506208 4281216558 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290822336 4292335575 3182144427 3696514132 4283979864 4288453788 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290098613 4292335575 3870799799 3813362507 4283979864 4289111718 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 3904617403 4233187665 4284045657 4289440683 4289769648 4289769648 4289769648 4289769648 4289769648 4272992432 4237069452 4280032284 4286611584 4286611584 4282269246 4250557018 4272992432 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292269782 4240095930 4249964881 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4256873146 4249899088 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4240161723 4216344656 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4206607291 4182724431 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4280032284 4286611584 4286611584 4282269246 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287401100 4279176975 4282400832 4282400832 4280229663 4284177243 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289572269 4284506208 4283979864 4283979864 4283979864 4288387995 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4115483981 4216805207 4171934378 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172394929 4225226711 4105878202)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 3/29/2009 14:19'!
magnitude
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 874447653 738461995 85013556 875824136 573444634 471217204 875826957 607204404 875115572 875836464 489816628 875836468 875836468 50409268 875836468 875836468 268902708 875836468 875836418 101004340 875836468 875836448 167851060 873804852 875825163 204747815 874722356 875763995 321259818 335557684 875042605 102243847 930868 875836468 875836468 875836468)
	offset: 0@0)
	colorsFromArray: #(#(0.372 0.372 0.372) #(0.608 0.608 0.608) #(0.961 0.961 0.961) #(0.506 0.506 0.506) #(0.588 0.588 0.588) #(0.415 0.415 0.415) #(0.419 0.419 0.419) #(0.384 0.384 0.384) #(0.745 0.745 0.745) #(0.561 0.561 0.561) #(0.447 0.447 0.447) #(0.435 0.435 0.435) #(0.427 0.427 0.427) #(0.545 0.545 0.545) #(0.522 0.522 0.522) #(0.902 0.902 0.902) #(0.761 0.761 0.761) #(0.53 0.53 0.53) #(0.686 0.686 0.686) #(0.628 0.628 0.628) #(0.181 0.181 0.181) #(0.204 0.204 0.204) #(0.604 0.604 0.604) #(0.455 0.455 0.455) #(0.408 0.408 0.408) #(0.341 0.341 0.341) #(0.659 0.659 0.659) #(0.333 0.333 0.333) #(0.663 0.663 0.663) #(0.624 0.624 0.624) #(0.396 0.396 0.396) #(0.875 0.875 0.875) #(0.542 0.542 0.542) #(0.592 0.592 0.592) #(0.569 0.569 0.569) #(0.236 0.236 0.236) #(0.565 0.565 0.565) #(0.494 0.494 0.494) #(0.62 0.62 0.62) #(0.953 0.953 0.953) #(0.733 0.733 0.733) #(0.502 0.502 0.502) #(0.298 0.298 0.298) #(0.451 0.451 0.451) #(0.585 0.585 0.585) #(0.439 0.439 0.439) #(0.698 0.698 0.698) #(0.714 0.714 0.714) #(0.721 0.721 0.721) #(0.855 0.855 0.855) #(0.474 0.474 0.474) #(0.871 0.871 0.871) #( ) ))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 2/21/2012 02:32'!
monticelloPackage
    ^(Form
	extent: 16@16
	depth: 32
	fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 722736128 2235383040 3106942976 3394787328 301989888 16777215 16777215 100663296 2707053056 2689683712 3240305408 16777215 16777215 16777215 1985303808 3527491840 3207869440 3040228864 3577033984 4241082624 1496988160 16777215 673983488 3692698112 4156604416 3157866752 3023649024 16777215 16777215 16777215 1817071104 2200973312 16777215 2725146112 2859627008 3583086848 2675011840 959656704 3609206784 2486646528 4021597184 3257280000 924983808 16777215 16777215 16777215 16777215 33554432 16777215 3381233920 2169326848 2792320768 3464330496 3642827008 268435456 2943776256 3279912704 3408011776 16777215 16777215 16777215 16777215 16777215 16777215 706682624 3967646976 606019328 2186104064 4105285888 857809152 50331648 3667038720 2487304448 3207408896 16777215 16777215 16777215 16777215 16777215 16777215 2438749184 3094836992 16777215 3375049472 4088442880 503316480 975644416 4171539456 2350784000 2285780480 16777215 16777215 16777215 16777215 16777215 150994944 3715396608 1564491776 1598309376 3324191488 4189171968 1278094848 1984251136 3750793216 2721790720 1092558592 16777215 16777215 16777215 16777215 16777215 2270121728 3278136320 16777216 3593219072 1124599808 4120549888 637928960 2355060480 3246424064 3240634368 167772160 16777215 16777216 16777215 16777215 959919872 3747569408 858927616 1093611264 3023714816 1782529792 3598942976 33554432 2590862592 2910353408 3357614336 16777215 16777215 2065373952 16777215 1278818560 3612693760 1682787584 16777215 2605073920 1664694528 3026609664 2371245568 16777215 2506647552 2472895744 3324059904 33554432 16777215 2721264384 3694211328 3444132096 1296056320 16777215 16777215 1950499328 3693553408 3376562688 100663296 83886080 3259780096 3727634176 3927381760 3726120960 689576448 16777215 67108864 16777215 16777215 16777215 16777215 16777215 637534208 33554432 16777215 639047424 3056282368 67108864 538252544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 3/29/2009 14:13'!
morph
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 1578631802 292362797 539127618 1895825665 2117994270 1445606482 202325275 1997372285 33573212 859313989 1763509875 1213866361 1064308758 192424752 1645101626 793665883 476466020 85208644 1751792704 621947215 1414349622 527711064 676669009 1346794755 1617375851 1095982919 656635516 1819423020 354700362 1695037706 154613091 420699479 75263577 2139062143 2139062143 2139062143)
	offset: 0@0)
	colorsFromArray: #(#(0.557 0.714 0.898) #(0.526 0.686 0.887) #(0.557 0.706 0.887) #(0.494 0.604 0.796) #(0.494 0.6 0.792) #(0.585 0.811 1.0) #(0.879 0.93 0.883) #(0.514 0.671 0.867) #(0.84 0.867 0.902) #(0.581 0.667 0.804) #(0.474 0.577 0.753) #(0.729 0.851 0.674) #(0.51 0.678 0.883) #(0.565 0.71 0.918) #(0.733 0.894 1.0) #(0.538 0.694 0.883) #(0.455 0.741 1.0) #(0.553 0.69 0.871) #(0.969 0.867 0.78) #(0.506 0.635 0.815) #(0.757 0.906 1.0) #(0.851 0.879 0.922) #(0.655 0.844 1.0) #(0.836 0.918 0.992) #(0.604 0.741 0.902) #(0.518 0.631 0.804) #(0.542 0.678 0.855) #(0.549 0.698 0.883) #(0.753 0.875 0.725) #(0.815 0.894 0.823) #(0.51 0.667 0.863) #(0.639 0.733 0.91) #(0.522 0.659 0.84) #(0.686 0.757 0.867) #(0.542 0.671 0.836) #(1.0 0.949 0.612) #(0.848 0.859 0.894) #(0.988 0.949 0.918) #(1.0 0.682 0.514) #(0.984 0.871 0.415) #(1.0 0.796 0.674) #(0.977 0.914 0.867) #(0.518 0.671 0.859) #(0.585 0.776 0.518) #(0.836 0.879 0.922) #(0.534 0.671 0.851) #(0.706 0.757 0.855) #(0.643 0.745 0.879) #(0.819 0.918 1.0) #(0.827 0.871 0.906) #(0.458 0.721 0.404) #(0.62 0.737 0.891) #(0.51 0.631 0.8) #(0.577 0.663 0.848) #(0.506 0.612 0.776) #(0.565 0.671 0.84) #(0.926 0.961 0.992) #(0.581 0.659 0.792) #(0.545 0.639 0.792) #(0.4 0.686 0.353) #(0.811 0.898 0.827) #(0.561 0.706 0.883) #(0.518 0.674 0.871) #(0.659 0.757 0.891) #(0.887 0.945 0.902) #(1.0 0.84 0.717) #(0.717 0.776 0.863) #(0.678 0.745 0.859) #(0.538 0.628 0.776) #(0.898 0.945 0.992) #(1.0 0.918 0.549) #(0.996 0.961 0.757) #(0.863 0.93 0.992) #(0.474 0.628 0.827) #(0.844 0.871 0.914) #(0.62 0.807 0.581) #(0.848 0.867 0.91) #(0.988 0.977 0.898) #(0.804 0.914 1.0) #(0.98 0.977 0.934) #(0.957 0.84 0.365) #(0.961 0.93 0.714) #(0.596 0.678 0.815) #(1.0 0.6 0.314) #(0.953 0.937 0.823) #(1.0 0.538 0.243) #(0.502 0.659 0.855) #(0.498 0.596 0.768) #(0.549 0.792 0.577) #(0.612 0.682 0.807) #(0.914 0.957 0.992) #(0.706 0.863 1.0) #(0.482 0.616 0.8) #(0.498 0.624 0.792) #(0.694 0.757 0.863) #(1.0 0.737 0.569) #(0.631 0.721 0.902) #(0.522 0.772 1.0) #(0.549 0.792 1.0) #(0.553 0.647 0.823) #(0.836 0.926 1.0) #(0.84 0.863 0.891) #(0.423 0.717 0.423) #(0.788 0.898 0.733) #(0.612 0.729 0.887) #(0.918 0.953 0.922) #(0.934 0.965 0.934) #(0.616 0.831 0.628) #(0.53 0.643 0.807) #(0.545 0.686 0.863) #(0.502 0.596 0.753) #(0.616 0.702 0.823) #(0.772 0.898 1.0) #(0.581 0.686 0.844) #(0.851 0.891 0.934) #(0.937 0.965 0.992) #(0.729 0.859 0.686) #(0.671 0.745 0.879) #(0.682 0.749 0.879) #(0.545 0.698 0.898) #(0.388 0.682 0.341) #(0.534 0.639 0.8) #(0.561 0.702 0.883) #(0.553 0.706 0.91) #(0.486 0.588 0.776) #(0.542 0.698 0.887) #(0.522 0.678 0.875) #( ) ))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 3/30/2011 19:10'!
packageIcon

	^ (Form
		extent: 15@16
		depth: 32
		fromArray:  #(16777215 16777215 16777215 16777215 16777215 16777215 55924053 75530368 50331647 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 33554432 138428480 1750488662 3547295599 2256173690 261724569 55924053 16777215 16777215 16777215 16777215 16777215 16777215 33554432 103492395 1178944837 3361890914 4286085240 4286545791 4286808963 3900275065 1819834488 162179754 75530368 16777215 16777215 16777215 67108864 741618740 2874693720 4235029869 3514399097 3783229311 4286677377 4119234182 3499200913 4203580813 3683026566 1736672131 245671076 41975936 50331648 1902206815 3948896095 4285098345 4285690482 4286019447 4185685116 3213527690 3817441673 4287269514 4287730065 4288848546 4289638062 3180762774 212511402 16777215 2523490665 4084692598 3631641716 4235161455 3497621881 3783229311 4286677377 4119299975 3482555283 4203778192 3919684001 4004358826 3786387375 284159983 16777215 2556847718 4285164138 4285558896 3665656699 3732371319 4286151033 4286545791 4286808963 3968502410 3515912079 4287532686 4288585374 3701974951 234881023 16777215 2639878489 4284506208 4285032552 3715067759 4285822068 3850272125 3883761021 3632563075 4202527868 3582034305 4286743170 4287269514 3583218579 150994943 16777215 2672643405 3863957327 4200291163 3814941539 4285229931 4285558896 4185421687 4285493103 4285822068 3564928124 4286414205 3498542983 3196421509 83886079 16777215 2822651454 4282203453 4182395466 4081929549 4284374622 4284966759 4268715630 4285229931 4285493103 3698027371 3698948473 4286282619 3480976251 83886079 16777216 3039636781 4280756007 4281742902 4265360444 4283058762 4283519313 4284966502 4284243036 4266939476 4233977181 4285690482 4285953654 3480647286 67108863 117440512 2518687776 4246148887 4280098077 4280821800 4282203453 4282992969 4284374365 4284637794 4284900966 4267071062 4285361517 4235095662 2305452650 41975936 16777216 134217728 873731092 3659670050 4245885715 4280690214 4281611316 4283913814 4284835173 4284835173 4065744470 3294255706 844255826 55924053 16777215 16777215 16777215 33554432 218103808 1461131031 3978305568 4280098077 4249635659 4284835173 3730463322 1246514252 100663296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 50331648 285212672 2115903006 3645129539 1833979984 150994944 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 83886080 134217728 33554432 16777215 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 3/30/2011 14:23'!
refreshIcon
	^(Form
		extent: 16@16
		depth: 32
		fromArray: #( 0 0 0 0 0 0 0 895969127 526080859 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1884706390 4168710521 2288675434 271330348 0 0 0 0 0 0 0 0 0 828465505 2609087363 3615917702 4269439610 4285887861 4285624689 3899156584 1766607948 67569415 0 0 0 0 0 50529027 2306242166 4237069452 4286940549 4286611584 4286282619 4285887861 4285558896 4285229931 4268189543 2235514687 0 0 0 0 0 2590862701 4287598479 4287269514 4270097540 3329652342 3312217196 4285887861 4285558896 3345179491 1011567435 0 0 0 0 0 1263423054 4287532686 4287532686 3867378563 1096835168 0 1885166941 3681579120 1549227863 50923785 0 0 0 0 0 0 3061545851 4287795858 4236937866 811951461 0 0 641547581 137441585 0 0 0 0 0 0 0 34936085 4102720138 4287795858 3011016824 0 0 0 0 0 0 0 0 0 0 0 0 272317243 4287861651 4287795858 2489607268 0 0 0 0 0 0 0 0 68095759 0 0 0 204682035 4287730065 4287795858 2658432116 0 0 0 0 0 0 0 34014983 3965146967 4283979864 3125694030 0 0 3767044232 4287795858 3884287365 137244206 0 0 0 0 0 0 1129863256 4284769380 4284506208 2739423304 0 0 2189459584 4287795858 4287532686 2541123190 16843009 0 0 0 0 305805882 3597166696 4284703587 4250885983 910114623 0 0 273698896 3834218889 4287532686 4287335307 3094442353 1094532413 101255433 286199567 1582124365 3731318631 4284966759 4284703587 2689946965 0 0 0 0 879126118 3985082247 4287269514 4286940549 4286611584 4285624689 4285558896 4285624689 4285229931 4284966759 3227212635 220998700 0 0 0 0 0 509698401 2977659771 4286743170 4286545791 4286282619 4285887861 4285558896 4100417383 2170116441 103295016 0 0 0 0 0 0 0 0 575820370 1734895720 2121298032 2037017194 1448564567 255013683 0 0 0 0 0)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 3/31/2011 01:59'!
removeIcon
	^ (Form
	extent: 16@16
	depth: 32
	fromArray:  #(0 0 0 0 0 16777216 975118106 1948196125 2233408797 505551386 0 0 0 0 0 0 0 0 0 740105501 2485067036 3913366574 4287266903 4291870588 4290358386 4234896198 2770871586 723394078 0 0 0 0 0 169482778 2803834139 4266346036 4290226543 4292129381 4291006529 4287127849 4290939191 4289826121 4292857218 4270292053 3056281379 991829530 0 0 0 2048727835 4289170770 4293777803 4291932517 4286537258 4278912771 4278190080 4279044356 4285747232 4289428791 4293645446 4293515148 4285162053 1461525786 0 0 2233014039 4292059214 4291203136 4290485594 4293186183 4288648552 4283518790 4284439625 4290950264 4292989063 4292791942 4294041488 4289240168 2535004182 0 0 1141837583 4079033886 4283716440 4291862608 4291794755 4292721001 4294896278 4294436244 4293515404 4294436244 4291016058 4286086513 4079889188 1712262925 0 0 134217728 3676117787 4280495698 4280627542 4282731358 4290877268 4294104192 4289439097 4284839294 4283921301 4284976569 4284516277 2786662166 469762048 0 0 0 3407682073 4283195017 4283194246 4282338678 4281351266 4282406780 4283791527 4284188861 4284124357 4283993287 4282936985 2249528595 0 0 0 0 3122338329 4283195018 4283194246 4283194246 4283194246 4283198876 4283927751 4283927751 4283927751 4283927751 4282408577 1746145553 0 0 0 0 2837125656 4283063944 4283194246 4283194246 4283194246 4283463079 4283927751 4283927751 4283927751 4283927751 4281880424 1225657870 0 0 0 0 2518292504 4282932356 4283194246 4283194246 4283194246 4283594409 4283927751 4283927751 4283927751 4283927751 4264641108 688260614 0 0 0 0 2199459607 4282800510 4283194246 4283194246 4283194246 4283395998 4283927751 4283927751 4283927751 4283927751 4062984519 436207616 0 0 0 0 1192366610 4248059475 4283195017 4283194246 4283194246 4283066516 4283927751 4283927751 4283927751 4283729855 3676448299 285212672 0 0 0 0 67108864 1494289934 3827639852 4282932356 4283194246 4282803083 4283927751 4283729598 4282408577 4230492216 2434077971 67108864 0 0 0 0 0 0 503908617 2887325720 4265496687 4282340983 4281682014 4062323235 2836928279 1225394698 268435456 0 0 0 0 0 0 0 0 67108864 1662326034 2904102936 2216105237 604440327 67108864 0 0 0 0 0)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/13/2011 11:45'!
separatorIcon

	^ (Form
		extent: 24@5
		depth: 32
		fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1329216058 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1329216058 3869089181 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 3869089181 1329216058 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1463828544 1329216058 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 23:19'!
sourcePressedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(14684133 14684133 14684133 738197504 2852126720 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959620355 2399141888 234881024 14684133 14684133 14684133 14684133 14684133 1107296256 4093640704 4278190080 4278321666 4281677109 4286151033 4287664272 4289111718 4289769648 4289769648 4289769648 4289769648 4289111718 4287466893 4284111450 4280624421 4278190080 4278190080 3842048257 1090519040 14684133 14684133 14684133 1207959552 4160749568 4278190080 4280295456 4287269514 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4287993237 4280953386 4278190080 4110417920 922746880 14684133 268435456 3875536896 4278190080 4280821800 4287598479 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4283585106 4278190080 3942645760 520093696 2533359616 4278190080 4279505940 4285822068 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291217094 4282335039 4278190080 2583691264 4043309056 4278190080 4282992969 4289243304 4289769648 4289769648 4289769648 4289769648 4289703855 4286940549 4285361517 4283914071 4283782485 4284703587 4286019447 4288387995 4289769648 4289769648 4289769648 4289769648 4289901234 4290098613 4278255873 4160749568 4278190080 4279242768 4285361517 4289769648 4289769648 4289769648 4289769648 4286216826 4280032284 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4279111182 4286611584 4289769648 4289769648 4289769648 4291611852 4282532418 4278190080 4278190080 4281150765 4287203721 4289769648 4289769648 4289769648 4286216826 4278190080 4278190080 4280226816 4284300032 4286205440 4286139648 4284825856 4282920448 4279569920 4278190080 4280492835 4289769648 4289769648 4289769648 4290822336 4286940549 4278190080 4278190080 4282861383 4288848546 4289769648 4289769648 4289111718 4278979596 4278190080 4285482496 4292446976 4285614080 4282263552 4280358144 4282066432 4284234496 4286270976 4278190080 4280361249 4289769648 4289769648 4289769648 4290098613 4288716960 4278190080 4278190080 4283716692 4289506476 4289769648 4289769648 4286479998 4278190080 4281277952 4293694976 4283051776 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4280361249 4289769648 4289769648 4289769648 4289835441 4290559164 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4284440415 4278190080 4284825856 4293169408 4278190080 4278190080 4284966759 4287927444 4286808963 4284506208 4280624421 4278190080 4282335039 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4284835173 4278190080 4284431360 4293694976 4280555264 4278190080 4278321666 4280492835 4282729797 4285887861 4289177511 4288980132 4289703855 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4287072135 4278190080 4279372800 4292578304 4291264256 4283314688 4278715648 4278190080 4278190080 4278190080 4278519045 4283914071 4289506476 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4289769648 4281019179 4278190080 4280095232 4288044800 4292972288 4293300736 4290344448 4286731008 4282066432 4278321408 4278190080 4281545523 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4289769648 4288387995 4280558628 4278190080 4278190080 4278584320 4281803520 4285876992 4291592704 4293760768 4290278656 4279241472 4278190080 4285953654 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289572269 4285164138 4281216558 4278321666 4278190080 4278190080 4278190080 4285876992 4293760768 4286270976 4278190080 4282795590 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4288651167 4281216558 4283124555 4287927444 4289769648 4289111718 4286611584 4282729797 4278255873 4278584320 4292906752 4289096192 4278190080 4281348144 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4285427310 4278190080 4278190080 4278190080 4280821800 4283058762 4284572001 4282795590 4278255873 4278518528 4292840960 4287387904 4278190080 4282598211 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4285427310 4278190080 4279898368 4278978304 4278190080 4278190080 4278190080 4278190080 4278190080 4285876992 4293760768 4282460416 4278190080 4284769380 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4285427310 4278190080 4281409280 4288964608 4289030400 4287059456 4284891392 4286402560 4290081536 4292249600 4284365824 4278190080 4278979596 4288651167 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4287598479 4278452995 4278190080 4278190080 4278650112 4280358144 4281803520 4281803520 4280095232 4278452736 4278190080 4278321666 4286216826 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4289769648 4287203721 4283585106 4280427042 4278255873 4278190080 4278190080 4278190080 4278190080 4278453252 4282269246 4287795858 4289769648 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4283979864 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289440683 4288256409 4287072135 4287006342 4288453788 4289638062 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4291480266 4278190080 4278190080 4216805207 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172394929 4224305609 4278190080)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 22:07'!
sourceSelectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(14684133 14684133 14684133 14684133 14684133 572991271 2623035480 3445645408 3412814699 4237332624 4221147545 4120484249 4103707033 4187593113 4137458844 3030623139 3115035563 2393417896 434891755 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 223169869 2656655705 4099035730 4286611584 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290822336 4022386880 2661590180 177838489 14684133 14684133 14684133 14684133 14684133 234881024 3444526927 4284243036 4287927444 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4292138196 3568415153 341268311 14684133 14684133 14684133 16777216 2907787601 4283979864 4287335307 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290559164 4292335575 3215830445 117440512 14684133 14684133 2069189973 4267202648 4285493103 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291414473 4292335575 2476646046 14684133 33554432 3763359824 4283979864 4288914339 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289967027 4292335575 3955672774 184549376 1195261502 4267202648 4285032552 4289769648 4289769648 4289769648 4289769648 4289769648 4286940549 4282004781 4280097041 4278584579 4278518786 4279439370 4280688921 4282860607 4285229931 4289572269 4289769648 4289769648 4289769648 4291677645 4292335575 1653509774 2723567190 4283979864 4286808963 4289769648 4289769648 4289769648 4289769648 4283189572 4280227592 4287979264 4291658496 4293432320 4293432320 4292249600 4290409984 4287190784 4280161542 4286282619 4289769648 4289769648 4289769648 4290822336 4292335575 3182144427 3696514132 4283979864 4288453788 4289769648 4289769648 4289769648 4285756274 4280490248 4293103616 4293760768 4293498112 4291001344 4288833280 4290278656 4292380928 4293760768 4282921226 4286085240 4289769648 4289769648 4289769648 4290098613 4292335575 3870799799 3813362507 4283979864 4289111718 4289769648 4289769648 4289769648 4281610279 4288964608 4293760768 4292052480 4279373061 4280426005 4282333744 4281149213 4279241992 4281344522 4280292869 4286085240 4289769648 4289769648 4289769648 4289835441 4292335575 3904617403 4233187665 4284045657 4289440683 4289769648 4289769648 4289769648 4279439370 4291986944 4293760768 4285285891 4249832779 4222660784 4222660784 4222660784 4222529198 4269834368 4283321159 4288519581 4289769648 4289769648 4289769648 4289835441 4292269782 4240095930 4249964881 4283979864 4289374890 4289769648 4289769648 4289769648 4279768334 4291855616 4293760768 4289490432 4279176199 4283255622 4286348412 4288782753 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4256873146 4249899088 4283979864 4289374890 4289769648 4289769648 4289769648 4282070832 4287256577 4293760768 4293760768 4291592704 4286337026 4282264330 4279176198 4280754714 4284308570 4289243304 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4240161723 4216344656 4283979864 4289374890 4289769648 4289769648 4289769648 4287927444 4279241991 4288899072 4293760768 4293760768 4293760768 4293760768 4293563648 4289884672 4283972103 4279965457 4287927444 4289769648 4289769648 4289769648 4289835441 4292335575 4206607291 4182724431 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4287203721 4280228885 4280884746 4286008579 4289950208 4293235200 4293760768 4293760768 4293760768 4287191041 4280952352 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289703855 4287269514 4283716175 4281083678 4279044613 4284037894 4292578304 4293760768 4293694976 4279110405 4288651167 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4288453788 4288980132 4289769648 4289769648 4289769648 4289769648 4288585374 4282137143 4285417219 4293760768 4293760768 4281213194 4287203721 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4280426007 4278847492 4282794813 4287006342 4288914339 4289769648 4288848546 4282531900 4285351685 4293760768 4293760768 4279635975 4288387995 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4280294163 4290016000 4286468354 4281278730 4279110405 4278847493 4278979077 4282592778 4292709632 4293760768 4291592704 4278979078 4289703855 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4280294163 4290804480 4293760768 4293760768 4293760768 4292840960 4293629440 4293760768 4293760768 4292775424 4281278728 4284769121 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4283386949 4278781700 4282001674 4286205441 4288044800 4289555968 4289753088 4288044800 4284957443 4279176198 4283255365 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289309097 4286414205 4283913555 4282794554 4281609765 4281412643 4282662969 4283979606 4288322202 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4115483981 4216805207 4171934378 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172394929 4225226711 4105878202)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 1/21/2012 22:07'!
sourceUnselectedIcon

	^ (Form
		extent: 24@24
		depth: 32
		fromArray: #(14684133 14684133 14684133 14684133 14684133 572991271 2623035480 3445645408 3412814699 4237332624 4221147545 4120484249 4103707033 4187593113 4137458844 3030623139 3115035563 2393417896 434891755 14684133 14684133 14684133 14684133 14684133 14684133 14684133 14684133 223169869 2656655705 4099035730 4286611584 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290822336 4022386880 2661590180 177838489 14684133 14684133 14684133 14684133 14684133 234881024 3444526927 4284243036 4287927444 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290361785 4292138196 3568415153 341268311 14684133 14684133 14684133 16777216 2907787601 4283979864 4287335307 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4290559164 4292335575 3215830445 117440512 14684133 14684133 2069189973 4267202648 4285493103 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4291414473 4292335575 2476646046 14684133 33554432 3763359824 4283979864 4288914339 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289703855 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289967027 4292335575 3955672774 184549376 1195261502 4267202648 4285032552 4289769648 4289769648 4289769648 4289769648 4289769648 4286940549 4281611316 4279769112 4278519045 4278387459 4279176975 4280295456 4282598211 4285229931 4289572269 4289769648 4289769648 4289769648 4291677645 4292335575 1653509774 2723567190 4283979864 4286808963 4289769648 4289769648 4289769648 4289769648 4282992969 4279505940 4283453520 4285493103 4286414205 4286414205 4285756275 4284769380 4283058762 4279440147 4286282619 4289769648 4289769648 4289769648 4290822336 4292335575 3182144427 3696514132 4283979864 4288453788 4289769648 4289769648 4289769648 4285756275 4279703319 4286216826 4286611584 4286479998 4285098345 4283914071 4284703587 4285822068 4286611584 4281019179 4286085240 4289769648 4289769648 4289769648 4290098613 4292335575 3870799799 3813362507 4283979864 4289111718 4289769648 4289769648 4289769648 4281216558 4283979864 4286611584 4285690482 4278979596 4280032284 4281874488 4280624421 4278979596 4280229663 4279505940 4286085240 4289769648 4289769648 4289769648 4289835441 4292335575 3904617403 4233187665 4284045657 4289440683 4289769648 4289769648 4289769648 4279176975 4285624689 4286611584 4282071867 4249701709 4222660784 4222660784 4222660784 4222529198 4269834368 4283124555 4288519581 4289769648 4289769648 4289769648 4289835441 4292269782 4240095930 4249964881 4283979864 4289374890 4289769648 4289769648 4289769648 4279505940 4285558896 4286611584 4284308829 4278913803 4283058762 4286348412 4288782753 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4256873146 4249899088 4283979864 4289374890 4289769648 4289769648 4289769648 4281742902 4283124555 4286611584 4286611584 4285427310 4282664004 4280690214 4278913803 4280361249 4284243036 4289243304 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4240161723 4216344656 4283979864 4289374890 4289769648 4289769648 4289769648 4287927444 4278979596 4283979864 4286611584 4286611584 4286611584 4286611584 4286479998 4284506208 4281479730 4279637526 4287927444 4289769648 4289769648 4289769648 4289835441 4292335575 4206607291 4182724431 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4287203721 4279966491 4279966491 4282532418 4284572001 4286282619 4286611584 4286611584 4286611584 4283124555 4280624421 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289703855 4287269514 4283585106 4280624421 4278782217 4281545523 4285953654 4286611584 4286545791 4278848010 4288651167 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4288453788 4288980132 4289769648 4289769648 4289769648 4289769648 4288585374 4282006074 4282137660 4286611584 4286611584 4280098077 4287203721 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4280098077 4278650631 4282532418 4287006342 4288914339 4289769648 4288848546 4282335039 4282203453 4286611584 4286611584 4279176975 4288387995 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4279900698 4284572001 4282729797 4280163870 4278848010 4278716424 4278782217 4280887593 4286019447 4286611584 4285427310 4278782217 4289703855 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4279900698 4285032552 4286611584 4286611584 4286611584 4286085240 4286545791 4286611584 4286611584 4286085240 4280098077 4284703587 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4283124555 4278650631 4280558628 4282532418 4283519313 4284308829 4284440415 4283519313 4281940281 4278913803 4282992969 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289309097 4286414205 4283782485 4282400832 4281150765 4281019179 4282335039 4283914071 4288322202 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4165947215 4283979864 4289374890 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289769648 4289835441 4292335575 4172987066 4115483981 4216805207 4171934378 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172329136 4172394929 4225226711 4105878202)
		offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'lr 3/29/2009 14:19'!
string
	^ ((ColorForm
	extent: 12@12
	depth: 8
	fromArray: #( 673716502 100672805 623061032 673717016 118757928 587409448 673710082 33825576 354166824 673717518 268698408 19277864 673714447 504037672 638134312 673720360 302655016 606152744 673720360 673588264 555886632 673720360 673456424 572991528 673720360 671621672 656418856 673720360 673654568 538912808 673720360 671948840 84682792 673720360 673128232 320284712)
	offset: 0@0)
	colorsFromArray: #(#(0.439 0.721 0.937) #(0.447 0.674 0.93) #(0.573 0.784 0.953) #(0.451 0.682 0.937) #(0.534 0.761 0.949) #(0.435 0.631 0.926) #(0.439 0.729 0.945) #(0.573 0.788 0.953) #(0.443 0.651 0.926) #(0.443 0.663 0.93) #(0.427 0.671 0.93) #(0.494 0.733 0.945) #(0.431 0.631 0.926) #(0.435 0.643 0.926) #(0.498 0.745 0.945) #(0.478 0.694 0.934) #(0.569 0.78 0.953) #(0.941 0.965 0.992) #(0.941 0.961 0.992) #(0.431 0.628 0.926) #(0.538 0.764 0.949) #(0.447 0.682 0.937) #(0.435 0.706 0.937) #(0.431 0.628 0.918) #(0.522 0.768 0.949) #(0.827 0.898 0.977) #(0.455 0.694 0.937) #(0.419 0.71 0.937) #(0.447 0.682 0.93) #(0.455 0.698 0.937) #(0.443 0.71 0.937) #(0.435 0.635 0.926) #(0.435 0.639 0.926) #(0.443 0.659 0.926) #(0.439 0.651 0.926) #(0.451 0.686 0.937) #(0.443 0.659 0.93) #(0.439 0.717 0.937) #(0.443 0.671 0.93) #(0.435 0.647 0.926) #( ) ))! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/6/2011 17:57'!
testGreen
    ^(Form
	extent: 12@12
	depth: 32
	fromArray:   #(16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215 16777215 436207616 3204448256 4278323202 4280376350 4283209800 4283603789 4281625137 4278454788 3204448256 436207616 16777215 16777216 3204448256 4279053323 4284135253 4285913199 4286964095 4287686539 4287686539 4286173300 4279974425 3204448256 16777216 1694498816 4278390018 4281819188 4281322278 4281584939 4283421512 4286701692 4287686539 4287686539 4286502265 4278718727 1694498816 3003121664 4278532866 4279526927 4278962688 4278962688 4278962688 4280077330 4285521256 4287686539 4287686539 4282680896 3003121664 3858759680 4278596868 4279588369 4278962688 4278962688 4278962688 4278962688 4279880718 4286505081 4287686539 4284724574 3858759680 3858759680 4278596100 4279775511 4279091970 4278962688 4278962688 4278962688 4278962688 4282700348 4286964095 4284330585 3858759680 3003121664 4278531331 4279838232 4280186137 4278962688 4278962688 4278962688 4278962688 4280863775 4285913199 4281432365 3003121664 1694498816 4278258432 4279710997 4280959017 4280909604 4279288326 4278962688 4278962688 4280928544 4284924000 4278718727 1694498816 16777216 3204448256 4278592773 4280634914 4281948471 4282806595 4282814529 4282884930 4284523356 4279448081 3204448256 16777216 16777215 436207616 3204448256 4278257409 4279649811 4280902950 4281167401 4279980312 4278388995 3204448256 436207616 16777215 16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/6/2011 17:54'!
testNotRun
    ^(Form
	extent: 12@12
	depth: 32
	fromArray:  #(16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215 16777215 436207616 3204448256 4278584838 4282795590 4286348412 4286611584 4283848278 4278716424 3204448256 436207616 16777215 16777216 3204448256 4280295456 4287927444 4289967027 4290690750 4291217094 4291217094 4289703855 4281216558 3204448256 16777216 1694498816 4278782217 4283453520 4287664272 4287861651 4288848546 4290559164 4291217094 4291217094 4290032820 4279111182 1694498816 3003121664 4280756007 4282861383 4286743170 4286743170 4286743170 4287269514 4289967027 4291217094 4291217094 4285361517 3003121664 3858759680 4280492835 4282203453 4286743170 4286743170 4286743170 4286743170 4287137928 4290493371 4291217094 4288059030 3858759680 3858759680 4280361249 4280821800 4286479998 4286743170 4286743170 4286743170 4286743170 4288453788 4290690750 4287795858 3858759680 3003121664 4280492835 4280361249 4283716692 4286743170 4286743170 4286743170 4286743170 4287598479 4289967027 4284374622 3003121664 1694498816 4278650631 4280953386 4281874488 4284440415 4286545791 4286743170 4286743170 4287466893 4288585374 4279111182 1694498816 16777216 3204448256 4279834905 4282269246 4283256141 4284572001 4285822068 4286611584 4287203721 4280756007 3204448256 16777216 16777215 436207616 3204448256 4278519045 4281611316 4283387727 4283782485 4282203453 4278650631 3204448256 436207616 16777215 16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/6/2011 17:58'!
testRed
    ^(Form
	extent: 12@12
	depth: 32
	fromArray:   #(16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215 16777215 436207616 3204448256 4278714882 4284227102 4288170056 4288367949 4285149489 4278846468 3204448256 436207616 16777215 16777216 3204448256 4281076491 4290205013 4292374383 4292968319 4293364619 4293364619 4291851380 4281997593 3204448256 16777216 1694498816 4279042562 4284494900 4291503654 4291636011 4292036680 4292902012 4293364619 4293364619 4292180345 4279305991 1694498816 3003121664 4282057218 4284878607 4291428352 4291428352 4291428352 4291564050 4292700264 4293364619 4293364619 4286988352 3003121664 3858759680 4281664516 4283830545 4291428352 4291428352 4291428352 4291428352 4291563022 4292901241 4293364619 4290076254 3858759680 3858759680 4281467908 4281407255 4290970114 4291428352 4291428352 4291428352 4291428352 4291968060 4292968319 4289878361 3858759680 3003121664 4281664259 4280686616 4285864217 4291428352 4291428352 4291428352 4291428352 4291567391 4292374383 4286131501 3003121664 1694498816 4278910976 4281668885 4282394921 4286522404 4290905606 4291428352 4291428352 4291371040 4290797664 4279305991 1694498816 16777216 3204448256 4280616197 4283310626 4284036919 4285612867 4287643969 4288889410 4288896092 4281471249 3204448256 16777216 16777215 436207616 3204448256 4278649089 4282782483 4284818982 4285409577 4283504664 4278780675 3204448256 436207616 16777215 16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 4/6/2011 17:58'!
testYellow
    ^(Form
	extent: 12@12
	depth: 32
	fromArray:  #(16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215 16777215 436207616 3204448256 4278782211 4285164839 4289375827 4289572953 4286020153 4278913797 3204448256 436207616 16777215 16777216 3204448256 4281545744 4291612771 4293915774 4294376077 4294705048 4294705048 4293191809 4282467102 3204448256 16777216 1694498816 4279176964 4285164603 4293850685 4294047809 4294113371 4294376074 4294705048 4294705048 4293521030 4279505928 1694498816 3003121664 4282862090 4286151963 4294377244 4294377244 4294377244 4294311212 4294376312 4294705048 4294705048 4288059722 3003121664 3858759680 4282335499 4284835867 4294377244 4294377244 4294377244 4294377244 4294311465 4294376327 4294705048 4291349354 3858759680 3858759680 4282072330 4281808922 4293785117 4294377244 4294377244 4294377244 4294377244 4294113616 4294376077 4291218021 3858759680 3003121664 4282467082 4280887578 4287204646 4294377244 4294377244 4294377244 4294377244 4294113847 4293915774 4287270200 3003121664 1694498816 4279111170 4282137882 4282795820 4287862577 4293653536 4294377244 4294377244 4293784887 4292139373 4279505928 1694498816 16777216 3204448256 4281019657 4283914536 4284506684 4286283082 4288783436 4290362703 4289836389 4282006550 3204448256 16777216 16777215 436207616 3204448256 4278716418 4283519770 4285756975 4286415155 4284375328 4278848004 3204448256 436207616 16777215 16777215 16777215 16777216 1694498816 3003121664 3858759680 3858759680 3003121664 1694498816 16777216 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 11/12/2011 16:12'!
trait
    ^(Form
	extent: 12@12
	depth: 32
	fromArray:  #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 201326592 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 50331648 2734686208 16777215 16777215 855638016 1224736768 1023410176 838860800 1174405120 1207959552 1191182336 1895825408 2181038080 704643072 33554432 2399141888 1409286144 201326592 16777215 83886080 3640655872 922746880 16777215 16777215 16777215 16777215 1426063360 503316480 16777215 16777215 16777215 1862270976 2483027968 16777215 16777215 16777215 16777215 16777215 1258291200 16777215 16777215 16777215 318767104 3556769792 234881024 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2516582400 1476395008 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 788529152 3254779904 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 3238002688 905969664 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1610612736 2801795072 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 67108864 3892314112 1258291200 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2147483648 1862270976 788529152 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 11/12/2011 16:25'!
uncommentedClass
  ^(Form
	extent: 12@12
	depth: 32
	fromArray: #(16777215 16777215 16777215 16777215 16777215 1361772544 2905276416 1865089024 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2976382976 4292214784 2402025472 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2727280640 4294901760 2201354240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2055667712 4294574080 1797980160 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1634795520 4293787648 1445658624 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1903165440 4292804608 908787712 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2256076800 4291231744 254476288 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2625503232 4088987648 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1350893568 566165504 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 596443136 132186112 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1664483328 4242014208 3669098496 120258560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1227554816 3985440768 1986789376 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 5/11/2011 14:04'!
up
    ^(Form
	extent: 24@24
	depth: 32
	fromArray:  #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1107301120 1107301120 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1006636288 3808439296 3808439296 1006636288 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 805309184 3774883072 4278222336 4278222336 3774883072 805309184 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 637536000 3724550656 4278221824 4278222848 4278222848 4278221824 3724550656 637536000 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 503316480 3674217984 4278221312 4278222848 3841995520 3841995520 4278222848 4278221312 3674217984 503316480 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 385875968 3607108352 4278220800 4278222848 3909105664 1442845184 1442845184 3909105664 4278222848 4278220800 3607108352 385875968 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 285212672 3523221504 4278220032 4278222848 3959439616 1761612544 16777215 16777215 1761612544 3959439616 4278222848 4278220032 3523221504 285212672 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 201326592 3439334912 4278219264 4278222848 4009773568 2046825728 16777215 16777215 16777215 16777215 2046825728 4009773568 4278222848 4278219264 3439334912 201326592 16777215 16777215 16777215 16777215 16777215 16777215 16777215 134217728 3338671360 4261440768 4278222848 4060107264 2365592576 16777215 16777215 16777215 16777215 16777215 16777215 2365592576 4060107264 4278222848 4261440768 3338671360 134217728 16777215 16777215 16777215 16777215 16777215 83886080 3204453376 4244662528 4278222848 4127218176 2634028288 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2634028288 4127218176 4278222848 4244662528 3204453376 83886080 16777215 16777215 16777215 33554432 3053458432 4194329856 4278222848 4177551616 2885686528 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2885686528 4177551616 4278222848 4194329856 3053458432 33554432 16777215 16777215 1509951744 4076880384 4278222848 4227885056 3087013120 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 33554432 3087013120 4227885056 4278222848 4076880384 1509951744 16777215 16777215 33554432 2919240960 4160769280 3271562752 100663296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100663296 3271562752 4160769280 2919240960 33554432 16777215 16777215 16777215 33554432 1996492544 167772160 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 167772160 1996492544 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 5/11/2011 14:08'!
upFull
    ^(Form
	extent: 24@24
	depth: 32
	fromArray:  #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 234881024 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 805306368 234881024 16777215 16777215 2483032832 4076880128 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4043327744 4076880128 2483032832 16777215 16777215 2550141952 4278219776 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278219776 2550141952 16777215 16777215 2550141952 4278219776 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278219776 2550141952 16777215 16777215 2231374080 3791660032 3741329664 3741329664 3741329664 3741329664 3741329664 3741329664 3741329664 3741329664 3875547136 3875547136 3741329664 3741329664 3741329664 3741329664 3741329664 3741329664 3741329664 3741329664 3791660032 2231374080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1006636288 3808439296 3808439296 1006636288 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 805309184 3774883072 4278222336 4278222336 3774883072 805309184 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 637536000 3724550656 4278221824 4278222848 4278222848 4278221824 3724550656 637536000 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 503316480 3674217984 4278221312 4278222848 3841995520 3841995520 4278222848 4278221312 3674217984 503316480 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 385875968 3607108352 4278220800 4278222848 3909105664 1442845184 1442845184 3909105664 4278222848 4278220800 3607108352 385875968 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 285212672 3523221504 4278220032 4278222848 3959439616 1761612544 16777215 16777215 1761612544 3959439616 4278222848 4278220032 3523221504 285212672 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 201326592 3439334912 4278219264 4278222848 4009773568 2046825728 16777215 16777215 16777215 16777215 2046825728 4009773568 4278222848 4278219264 3439334912 201326592 16777215 16777215 16777215 16777215 16777215 16777215 16777215 134217728 3338671360 4261440768 4278222848 4060107264 2365592576 16777215 16777215 16777215 16777215 16777215 16777215 2365592576 4060107264 4278222848 4261440768 3338671360 134217728 16777215 16777215 16777215 16777215 16777215 83886080 3204453376 4244662528 4278222848 4127218176 2634028288 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2634028288 4127218176 4278222848 4244662528 3204453376 83886080 16777215 16777215 16777215 33554432 3053458432 4194329856 4278222848 4177551616 2885686528 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2885686528 4177551616 4278222848 4194329856 3053458432 33554432 16777215 16777215 1509951744 4076880384 4278222848 4227885056 3087013120 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 33554432 3087013120 4227885056 4278222848 4076880384 1509951744 16777215 16777215 33554432 2919240960 4160769280 3271562752 100663296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100663296 3271562752 4160769280 2919240960 33554432 16777215 16777215 16777215 33554432 1996492544 167772160 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 167772160 1996492544 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!NautilusIcons methodsFor: 'icons' stamp: 'BenjaminVanRyseghem 8/23/2011 17:49'!
warning
    ^(Form
	extent: 16@16
	depth: 32
	fromArray: #(16777215 16777215 16777215 16777215 16777215 16777215 16777215 2919235584 2919235584 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255872 4278255872 3338665984 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283643907 4283643907 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255872 4291923463 4291923463 4278255872 3338665984 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283643907 4294946056 4294946056 4283643907 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255872 4291923463 4294946056 4294946056 4291923463 4278255872 3338665984 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283578371 4294946056 4294946056 4294946056 4294946056 4283578371 4278190080 1207959552 16777215 16777215 16777215 16777215 16777215 16777215 3338665984 4278255872 4291857671 4294946056 4294946056 4294946056 4294946056 4291857671 4278255872 3338665984 16777215 16777215 16777215 16777215 16777215 1207959552 4278190080 4283512579 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4283512579 4278190080 1207959552 16777215 16777215 16777215 16777215 3338665984 4278255872 4291857671 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4291857671 4278255872 3338665984 16777215 16777215 16777215 1207959552 4278190080 4283446787 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4283446787 4278190080 1207959552 16777215 16777215 3338665984 4278255872 4291791878 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4291791878 4278255872 3338665984 16777215 1207959552 4278190080 4283446787 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4294946056 4283446787 4278190080 1207959552 3288334336 4278190080 4280818433 4282329858 4282329858 4282329858 4282329858 4282329858 4282329858 4282329858 4282329858 4282329858 4282329858 4280818433 4278190080 3321888768 3238068224 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3254845440)
	offset: 0@0)! !

Object subclass: #NautilusWrapper
	instanceVariableNames: 'selectedPackage selectedCategory selectedMethod selectedClass selectedGroup showPackages showGroups showHierarchy showComment showInstance showCategories'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!NautilusWrapper commentStamp: '<historical>' prior: 0!
A NautilusWrapper is a wrapper which hold a single step of the Nautilus browsing history!

!NautilusWrapper class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 4/13/2011 16:35'!
with: aNautilus

	^ self new with: aNautilus! !

!NautilusWrapper methodsFor: 'protocol' stamp: 'BenjaminVanRyseghem 3/13/2012 04:47'!
= anotherWrapper

	self species = anotherWrapper species ifFalse: [ ^ false ].
	^ 	self selectedPackage = anotherWrapper selectedPackage and: [ 
		self selectedGroup = anotherWrapper selectedGroup and: [
		self selectedClass = anotherWrapper selectedClass and: [
		self selectedCategory = anotherWrapper selectedCategory and: [
		self selectedMethod = anotherWrapper selectedMethod and: [
		self showPackages = anotherWrapper showPackages and: [
		self showInstance = anotherWrapper showInstance and: [
		self showGroups = anotherWrapper showGroups and: [
		self showHierarchy = anotherWrapper showHierarchy and: [
		self showComment = anotherWrapper showComment and:[
		self showCategories = anotherWrapper showCategories ]]]]]]]]]]! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedCategory

		^ selectedCategory! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedCategory: anObject
	
		selectedCategory := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedClass

		^ selectedClass! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedClass: anObject
	
		selectedClass := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedGroup

		^ selectedGroup! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedGroup: anObject
	
		selectedGroup := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 10/19/2011 17:31'!
selectedMethod

	^ selectedMethod! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedMethod: anObject
	
		selectedMethod := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedPackage

		^ selectedPackage! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
selectedPackage: anObject
	
		selectedPackage := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showCategories

		^ showCategories! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showCategories: anObject
	
		showCategories := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showComment

		^ showComment! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showComment: anObject
	
		showComment := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showGroups

		^ showGroups! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showGroups: anObject
	
		showGroups := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showHierarchy

		^ showHierarchy! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showHierarchy: anObject
	
		showHierarchy := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showInstance

		^ showInstance! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showInstance: anObject
	
		showInstance := anObject! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 4/13/2011 16:34'!
showPackages

		^ showPackages! !

!NautilusWrapper methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 8/23/2011 20:15'!
showPackages: anObject
	
	showPackages := anObject! !

!NautilusWrapper methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/12/2011 13:13'!
with: aNautilus
	
	self 
		selectedPackage: aNautilus selectedPackage;
		selectedCategory: aNautilus selectedCategory.
		aNautilus selectedMethod
			ifNil: [ self selectedMethod: nil ]
			ifNotNil: [:met | self selectedMethod: met selector].
	self
		selectedClass: aNautilus selectedClass;
		selectedGroup: aNautilus selectedGroup;
		showPackages: aNautilus showPackages;
		showGroups: aNautilus showGroups;
		showHierarchy: aNautilus showHierarchy;
		showComment: aNautilus showComment;
		showInstance: aNautilus showInstance;
		showCategories: aNautilus showCategories.! !

Object subclass: #Refactor
	instanceVariableNames: 'toMoveInSuperClass addAnAbstractMethodNamed'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon-Refactor'!

!Refactor commentStamp: '<historical>' prior: 0!
Refactor is a script class used to automaticaly do some refactor through UIs!

!Refactor methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 5/24/2011 13:50'!
createAbstractMethods

	addAnAbstractMethodNamed do: [:assoc || sel cat |
		sel := assoc key.
		cat := assoc value.
		AbstractNautilusUI compile: sel, '
	^ self subclassResponsibility' classified: cat]! !

!Refactor methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 5/24/2011 13:02'!
initialize

	super initialize.
	toMoveInSuperClass := OrderedCollection new.
	addAnAbstractMethodNamed := OrderedCollection new.! !

!Refactor methodsFor: 'as yet unclassified' stamp: 'MarcusDenker 4/29/2012 10:34'!
moveDetectedMethods

	toMoveInSuperClass do: [:assoc || key value selector |
		key := assoc key.
		value := assoc value.
		selector := key selector.
		AbstractNautilusUI compile: key sourceCode classified: key category.
		key methodClass removeSelector: selector.
		value methodClass removeSelector: selector ]! !

!Refactor methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 5/24/2011 13:48'!
script

	self
		detectMethods;
		moveDetectedMethods;
		createAbstractMethods! !

StringMorph subclass: #RotatingStringMorph
	instanceVariableNames: 'initialContents rotating'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!RotatingStringMorph commentStamp: '<historical>' prior: 0!
A RotatingStringMorph is a StringMorph which rotate to show everything if the width is too small to display the whole contents!

RotatingStringMorph subclass: #GoBackStringMorph
	instanceVariableNames: 'index initialIndex leftToRight wait'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusCommon'!

!GoBackStringMorph commentStamp: '<historical>' prior: 0!
A GoBackStringMorph is a string morph which do not totally rotate but do some go and back!

!GoBackStringMorph methodsFor: 'geometry' stamp: ''!
extent: aPoint
	| ft stream items item |
	super extent: aPoint.

	items := OrderedCollection with: self.
	item := self.
	
	[ item owner notNil ]
		whileTrue: [ 
			item := item owner.
			items add: item ].
	item := items detectMin: [:e | e extent x ].
	stream := ReadWriteStream with: ''.
	ft := StandardFonts defaultFont.
	initialIndex := 0.
	[ initialIndex < initialContents size and: [ (ft widthOfString: stream contents) < item extent x]]
		whileTrue: [ 
			initialIndex := initialIndex + 1.
			stream << (initialContents at: initialIndex) ].
	initialIndex := initialIndex -1.! !

!GoBackStringMorph methodsFor: 'initialization' stamp: ''!
initialize
	"Initialization code for GoBackStringMorph"

	super initialize.

	index := 0.
	initialIndex := 0.
	leftToRight := false.
	wait := 0.! !

!GoBackStringMorph methodsFor: 'geometry' stamp: ''!
mouseEnter: evt

	super mouseEnter: evt.
	leftToRight := false.
	index := initialIndex + 1.! !

!GoBackStringMorph methodsFor: 'geometry' stamp: ''!
stepAction
	| newContents c |
	newContents := self contents.
	
	wait = 0 ifFalse: [ ^ wait := wait - 1 ].
	leftToRight
		ifTrue: [ 
			index := index -1.
			index = initialIndex 
				ifTrue: [ c := '' ]
				ifFalse: [ c := initialContents at: (index - initialIndex) ].
			newContents :=  c asString, newContents.
			self privateSetContents: newContents.
			index < initialIndex ifTrue: [
				wait := 5.
				index := index +1.
				leftToRight := false.
				^ self]]
		ifFalse: [
			index := index +1.
			newContents := newContents allButFirst.
			self privateSetContents: newContents.
			index > initialContents size ifTrue: [
												leftToRight := true.
												wait := 3 ]]! !

!RotatingStringMorph methodsFor: 'protocol' stamp: ''!
asText

	^ initialContents asText! !

!RotatingStringMorph methodsFor: 'accessing' stamp: ''!
contents: aString

	initialContents := aString.
	self privateSetContents: aString, ' '! !

!RotatingStringMorph methodsFor: 'initialization' stamp: ''!
initialize
	"Initialization code for RotatingStringMorph"

	super initialize.

	initialContents := ''.
	rotating := false.
	self on: #mouseEnter send: #mouseEnter: to: self.
	self on: #mouseLeave send: #mouseLeave: to: self.! !

!RotatingStringMorph methodsFor: 'private' stamp: ''!
largeEnough
	| items item |
	
	items := OrderedCollection new.
	item := self.
	
	[ item owner notNil ]
		whileTrue: [ 
			items add: item.
			item := item owner ].
	
	^ items allSatisfy: [:e | e extent x > (StandardFonts defaultFont widthOfString: initialContents) ]! !

!RotatingStringMorph methodsFor: 'event handling' stamp: ''!
mouseEnter: evt

	rotating := true! !

!RotatingStringMorph methodsFor: 'event handling' stamp: ''!
mouseLeave: evt

	rotating := false.
	self resetDisplay! !

!RotatingStringMorph methodsFor: 'private' stamp: ''!
resetDisplay
	
	self privateSetContents: initialContents.
	! !

!RotatingStringMorph methodsFor: 'stepping and presenter' stamp: ''!
step
	(rotating and: [ self largeEnough not ]) ifTrue: [ self stepAction ]! !

!RotatingStringMorph methodsFor: 'stepping and presenter' stamp: ''!
stepAction
	| newContents |
	
	newContents := self contents.
	newContents := newContents allButFirst , newContents first asString.
	self privateSetContents: newContents! !

!RotatingStringMorph methodsFor: 'testing' stamp: ''!
stepTime

	^ 150! !

!ClassDescription methodsFor: '*NautilusCommon' stamp: 'AlexandreBergel 8/21/2011 17:25'!
correspondingForTest
	"Return the unit test that correspond to me. If it does not exist, it returns myself. 
	 Return the tested class if sent to a class"
	
	| symbol |
	^ (self inheritsFrom: TestCase)
		ifTrue: [ 
			| i |
			i := self name indexOfSubCollection: 'Test'.
			symbol := Symbol readFromString: ('#', self name copyReplaceAll: 'Test' with: '' ).
			Smalltalk at: symbol ifAbsent: [ self ]]
		ifFalse: [
			symbol := Symbol readFromString: ('#', self name, 'Test').
			Smalltalk at: symbol ifAbsent: [ self ]]! !
NautilusIcons initialize!
